/*
 * created: 2019-04-08
 * 公有参数、方法
 */

if (!evm) {
    throw new Error('depended on evm-1.0.1.min.js');
}
var place = 'sichuan';

evm.namespace('globalConfig');

var debug = evm.globalConfig.debug = false;
var areaDebug = false;

//159打印标志 true:打开 false:关闭
evm.logSwitch = true;

try {
    evm.util.common.logger.setConfig({
        logSwitch: true,
        logMode: debug ? 'browser' : 'server',
        logLevel: 'debug',
        intervalTime: 5,
        postUrl: '/swatapps/ape/interface/logger.php',
        //正式上线时候必须配置为true
        onCheckAuth: true,
        //输入客户端特征字符串数组
        //正式上线必须配置指定的测试终端
        auth: ['000314793936', '8280203979404047'],
        //输入客户端特征检测函数
        //如：函数返回机顶盒的CA卡、MAC地址等
        setAuthToken: function () {
            try {
                return evm.globalConfig.getMacCode();
            } catch (e) {
                return '';
            }
        }
    });
} catch (e) {
    if (console) {
        console.log('logger.js 日志配置报错: ' + e.message);
    }
}

// evm.log = function (str) {
//     evm.util.common.logger.warn(str);
// };

evm.addStbUAExpression({
    expression: /android/,
    stb: 'evm_apk',
    browser: 'stb',
    protocol: 'APK'
});

evm.importKeyCode({
    stb: "evm_apk",
    keymap: {
        13: "SELECT",
        37: "LEFT",
        38: "UP",
        39: "RIGHT",
        40: "DOWN",
        67: "MUTE",
        33: "PAGE_UP",
        34: "PAGE_DOWN",
        8: "BACK",
        27: "BACK"
    }
});

evm.addStbUAExpression({
    expression: /ciscobrowser|CiscoBrowser|MiBOX3|ipanel|iPanel|EnRich|enrich/,
    stb: 'sichuan_stb',
    browser: 'stb',
    protocol: 'NGOD'
});

evm.importKeyCode({
    stb: "sichuan_stb",
    keymap: {
        8: "BACK",
        13: "SELECT",
        37: "LEFT",
        38: "UP",
        39: "RIGHT",
        40: "DOWN",
        1096: "VOL_DOWN",
        1095: "VOL_UP",
        1097: "MUTE",
        427: "PAGE_UP",
        428: "PAGE_DOWN",
        403: "RED",
        404: "GREEN",
        405: "YELLOW",
        406: "BLUE"
    }
});

evm.addStbUAExpression({
    expression: /dvnbrowser/,
    stb: 'wujin_dvn_stb',
    browser: 'stb',
    protocol: 'NGOD'
});

evm.importKeyCode({
    stb: "wujin_dvn_stb",
    keymap: {
        640: "BACK",
        13: "SELECT",
        37: "LEFT",
        38: "UP",
        39: "RIGHT",
        40: "DOWN",
        1096: "VOL_DOWN",
        1095: "VOL_UP",
        1097: "MUTE",
        427: "PAGE_UP",
        428: "PAGE_DOWN",
        406: "F4",
        403: "F1",
        404: "F2",
        405: "F3"
    }
});

try {
    evm.getStbInfo();
} catch (e) {

}

var playerProtocol = evm.stbInfo.protocol;
evm.log("===UA:" + navigator.userAgent);
evm.log(evm.stbInfo.stb + ', ' + evm.stbInfo.protocol);
if (evm.stbInfo.stb) {
    var evm_media = medias[evm.stbInfo.stb + '_player'].init();
    volumeBarInit();
} else {
    var evm_media = {
        setSource: function (addr, token, ext) {
            evm.log(addr + '/' + token + '/' + ext);
        },
        setPosition: function () {},
        fullscreen: function () {},
        stop: function () {},
        play: function () {

        },
        destoryInstance: function () {},
        volumeUp: function () {},
        volumeDown: function () {},
        mute: function () {},
        unMute: function () {},
        getVolume: function () {},
        setVolume: function () {},
        systemEventHandler: function () {}
    };
}


var macCode = '';
(function getMacCode() {
    try {
        // apk
        //mac = EVM.getMac();
        //mac = media.getCard();
        macCode = EVM.getSystemProperties("sys.cacard.number");
    } catch (e) {}
    if (!macCode) {
        try {
            // 四川 茁壮
            macCode = media.getCard();
        } catch (e) {}
    }
    if (!macCode) {
        try {
            // 四川 茁壮
            macCode = CAManager.cardSerialNumber;
        } catch (e) {}
    }
    if (!macCode) {
        try {
            // 四川 enrich
            macCode = CA.serialNumber;
        } catch (e) {}
    }
    if (!macCode) {
        try {
            // 广东
            macCode = SysInfo.STBSerialNumber;
        } catch (e) {}
    }
    if (!macCode) {
        try {
            // 华数
            macCode = CA.card.serialNumber;
        } catch (e) {}
    }
    if (!macCode) {
        macCode = evm.getUrl().mac || '';
    }
    try {
        macCode = macCode.replace(/\s/g, "");
    } catch (e) {}

    if (!macCode) {
        evm.log("getMacCode() 未获取到macCode");
    }
})();

evm.globalConfig.CMSImagePattern = new RegExp('^\/EMSP_CMS');
evm.globalConfig.CMSImagePatternContent = new RegExp('\/EMSP_CMS', 'g');
evm.extend(evm.globalConfig, {
    userCookieName: 'family-doctor/currentUser',
    userTypeCookieName: 'family-doctor-client-type',
    server: 'family-doctor/server',
    currentUser: {},
    //aums接口 ajax请求PHP标识
    bridge_switch: false,
    userType: null,
    param: evm.getUrl(),
    siteId: 182,
    area_stb_code: 6, // 用户查询对应机顶盒code
    hashcode: -1,
    getNotificationTimer: null,
    onMeeting: false,
    onCall: false,
    enableMessagePipe: true, // 消息通道标识
    FtypeId: 2, //图集文章类型ID
    BtemplateId: 34, // 曝光台文章类型ID
    countTypeId: 20,
    videoTypeId: 19,
    followTypeId: 21,
    articleTypeId: 22,
    columnTypeId: 23, //用于栏目统计的ID
    live_stb_type: 0,
    live_type: { // 直播类型
        all: 0,
        normal: 1,
        villiage: 2,
        town: 3
    },
    live_range: { // 直播列表获取的区域范围
        current: 0,
        upper: 1,
        down: 2
    },
    article_type: { // 文章列表获取的区域范围
        current: '',
        upper: 1,
        down: 2
    },
    area_level: { // 文章列表获取的区域层级
        // 国、省/直辖市、市、区/县、乡/镇、村/社区、小组/小区
        country: 1,
        province: 2,
        city: 3,
        area: 4,
        town: 5,
        village: 6,
        group: 7
    },
    /**
     * 公有方法
     **/
    getLiveInfo: function (type, callback) {
        var url = evm.globalInterface.AUMS.getGuest({
            deviceId: macCode,
            deviceType: type
        });
        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback === 'function') {
                if (resp.code == 1) {
                    if (resp.data[0]) {
                        var data = resp.data[0];
                    } else {
                        var data = resp.data;
                    }
                    $WebApp.areaId = data.areaId;
                    evm.cookie('area', data.areaName + '##' + data.areaId);
                }
                //获取大邑区域Id逻辑
                evm.globalConfig.getParentareaId(data.areaId, function (data) {
                    var upperRegion = data.upperRegion;
                    for (var i = 0; i < upperRegion.length; i++) {
                        if (upperRegion[i].areaLevel == '4') {
                            resp.data[0].parentId = upperRegion[i].areaId;
                            break;
                        }
                    }
                    callback(resp);
                });

            }
        });
    },
    getCanWatchLiveVideos: function (userId, type, regionId, liveType, areaRange, upperLevel, lowerLevel, pageIndex, pageSize, callback) {
        var url = evm.globalInterface.AUMS.getCanWatchLiveVideos({
            userId: userId,
            type: type,
            regionId: regionId,
            liveType: liveType,
            areaRange: areaRange,
            upperLevel: upperLevel,
            lowerLevel: lowerLevel,
            pageIndex: pageIndex,
            pageSize: pageSize
        });
        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback === 'function') {
                callback(resp);
            }
        });
    },
    getParentareaId: function (areaId, callback) {
        var url = evm.globalInterface.AUMS.AreaServlet({
            regionId: areaId,
            upperLevel: 2,
            needDetailInfo: false
        });

        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback === 'function') {
                callback(resp);
            }
        });
    },
    fetchSourceForNB: function (id, areaId, callback) {
        var url = evm.globalInterface.AUMS.getAutoPageContent({
            id: id,
            areaId: areaId
        });
        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback == 'function') {
                callback(resp)
            }
        });
    },
    getCMSarticleByCId: function (cId, areaId, articleType, pageIndex, pageSize, callback) {
        var url = evm.globalInterface.AUMS.getArticleList({
            columnId: cId,
            areaId: areaId,
            areaType: articleType,
            pageIndex: pageIndex,
            pageSize: pageSize
        });
        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback == 'function') {
                callback(resp)
            }
        });
    },
    getCMSarticleContentById: function (articleId, callback) {
        var url = evm.globalInterface.AUMS.ArticleServlet({
            id: articleId
        });
        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback == 'function') {
                callback(resp)
            }
        });
    },
    getStbInfo: function (callback) {
        evm.globalInterface.UMS.getTerminalInfo({
            macCode: macCode
        }, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }

            if (resp.isSuccess === 0) {
                evm.log('getStbInfo() 获取ums用户信息失败');
            } else {
                evm.globalConfig.currentUser.customerGUID = resp.customerGUID;
                evm.globalConfig.currentUser.customerName = resp.customerName;
                evm.globalConfig.currentUser.phoneNumber = resp.TEL;
                evm.globalConfig.currentUser.image = resp.imageUrl;
                evm.globalConfig.currentUser.short = resp.shortGUID;
                evm.globalConfig.currentUser.terminalMacCode = evm.globalConfig.mac_code;
                evm.globalConfig.currentUser.callPower = resp.callPower;
                evm.globalConfig.currentUser.videoCallProperty = resp.callTerminal;
                evm.globalConfig.currentUser.meetingPower = resp.meetingPower;
                evm.globalConfig.currentUser.meetingProperty = resp.meetingTerminal;
                evm.globalConfig.currentUser.terminalGUID = resp.terminalGUID;

                evm.cookie('cloudVideoSTB/currentUser', evm.util.common.json2str(evm.globalConfig.currentUser));
                if (typeof callback === 'function') {
                    callback();
                }
            }
        });
    },
    getTotalCntByCids: function (typeId, columnIds, callback) {
        var url = evm.globalInterface.AUMS.getTotalCntByCIds({
            typeId: typeId,
            columnIds: columnIds
        });
        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback == 'function') {
                callback(resp);
            }
        });
    },
    castVote: function (typeId, columnId, macCode, callback, contentId) {
        /**
         * contentId 用于栏目与文章绑定关系,小红点功能特别开发 可不传
         **/
        if (contentId) {
            var url = evm.globalInterface.AUMS.castVote({
                typeId: typeId,
                columnId: columnId,
                userId: macCode,
                point: 1,
                contentId: contentId
            });
        } else {
            var url = evm.globalInterface.AUMS.castVote({
                typeId: typeId,
                columnId: columnId,
                userId: macCode,
                point: 1
            });
        }

        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback == 'function') {
                callback(resp);
            }
        });
    },
    login: function (callback) {
        evm.globalInterface.PNS.getLoginUrl({
            uId: evm.globalConfig.currentUser.customerGUID
        }, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            evm.cookie('cloudvideo-server', resp.ums_server);
            evm.cookie('cloudVideoSTB/server', resp.PNSServer + ',' + resp.CSMServer + ',' + resp.UMSServer);
            evm.cookie('server', resp.PNSServer + ',' + resp.CSMServer + ',' + resp.UMSServer);

            if (typeof callback === 'function') {
                callback();
            }
        });
    },
    getActivityById: function (id, callback) {
        var url = evm.globalInterface.AUMS.getActivityById({
            id: id
        });
        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback == 'function') {
                callback(resp);
            }
        });
    },
    getPerson: function (id, callback) {
        var url = evm.globalInterface.AUMS.getPerson({
            pid: id
        });
        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback == 'function') {
                callback(resp);
            }
        });
    },
    getMassesActivity: function (id, callback) {
        var url = evm.globalInterface.AUMS.getMassesActivity({
            massesId: evm.globalConfig.currentUser.terminalGUID,
            id: id
        });
        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback == 'function') {
                callback(resp);
            }
        });
    },
    saveMassesActivity: function (id, callback) {
        var url = evm.globalInterface.AUMS.saveMassesActivity({
            massesId: evm.globalConfig.currentUser.terminalGUID,
            id: id
        });
        evm.ajax(url, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (typeof callback == 'function') {
                callback(resp);
            }
        });
    },
    getNotification: function () {
        evm.globalInterface.PNS.getNotificationUrl({
            uId: evm.globalConfig.currentUser.customerGUID,
            clientType: 'STB',
            terminalType: 'main',
            compactMod: 'on'
        }, function (resp) {
            if (typeof resp == 'string') {
                resp = eval('false||' + resp);
            }
            if (resp.hashCode != evm.globalConfig.hashcode) {
                evm.globalConfig.hashcode = resp.hashCode;
                if (resp.data) {
                    if (evm.globalConfig.currentUser.meetingPower && resp.data.meetingStatus) {
                        var meetingData = resp.data.meetingStatus;
                        evm.globalConfig.handleMeetingData(meetingData);
                    }
                    if (evm.globalConfig.currentUser.callPower && resp.data.videoCallStatus) {
                        var videoCallData = resp.data.videoCallStatus;
                        evm.globalConfig.handleVideoCallData(videoCallData);
                    }
                }
            }
            if (evm.globalConfig.getNotificationTimer) {
                clearTimeout(evm.globalConfig.getNotificationTimer);
            }
            evm.globalConfig.getNclearTimeoutotificationTimer = setTimeout(function () {
                evm.globalConfig.getNotification();
            }, 2000);
        });
    },
    handleMeetingData: function (data) {

        if (data.endTime == null) {
            evm.globalConfig.onMeeting = true;
            var self = null;
            var speakerMode = data.speakerMode;
            for (var i = 0; i < data.userStatus.length; i++) {
                if (data.userStatus[i].userId == evm.globalConfig.currentUser.customerGUID) {
                    self = data.userStatus[i];
                    break;
                }
            }
            //pc端发起的会议，本机顶盒为主持人
            if (data.hostId == evm.globalConfig.currentUser.customerGUID) {
                if (data.mainStatus == "accept" || data.mainStatus == "joined") {
                    if (data.currentTerminalType === 0) {
                        var url = '/cloudVideoSTB-v3-village/html/meeting.html';
                        url = evm.createQuery(url, 'mac', macCode);
                        url = evm.createQuery(url, 'userId', evm.globalConfig.currentUser.customerGUID);
                        url = evm.createQuery(url, 'currentTerminalSubType', 'main');
                        url = evm.createQuery(url, 'module', 'currentClient');
                        url = evm.createQuery(url, 'speakerMode', data.speakerMode);
                        clearTimeout(evm.globalConfig.getNotificationTimer);
                        setTimeout(function () {
                            location.href = url;
                        }, 200);
                    }
                } else if (data.mainStatus == "reject" || data.mainStatus == "left") {
                    if (evm.globalConfig.onMeeting && $WebApp.widget.tipbox2.box_elem) {
                        evm.globalConfig.onMeeting = false;
                        $WebApp.widget.tipbox2.toggle('hide');
                    }
                }
            }
            //本机顶盒为受邀请的人
            else {
                if (data.mainStatus == "accept" || data.mainStatus == "joined") {
                    if (data.currentTerminalType === 0) {
                        var url = '/cloudVideoSTB-v3-village/html/meeting.html';
                        url = evm.createQuery(url, 'mac', macCode);
                        url = evm.createQuery(url, 'userId', evm.globalConfig.currentUser.customerGUID);
                        url = evm.createQuery(url, 'currentTerminalSubType', 'main');
                        if (self && self.interactUser) {
                            url = evm.createQuery(url, 'module', 'remoteClient');
                        } else {
                            url = evm.createQuery(url, 'module', 'watchClient');
                        }
                        url = evm.createQuery(url, 'speakerMode', speakerMode);
                        clearTimeout(evm.globalConfig.getNotificationTimer);
                        setTimeout(function () {
                            location.href = url;
                        }, 200);
                    } else {
                        if ($WebApp.widget.tipbox2.box_elem) {
                            $WebApp.widget.tipbox2.toggle('hide');
                        }
                    }
                } else if (data.mainStatus == "calling") {
                    var message = '<br/>' + data.meetingTitle + '已开始,<br/>是否加入?';
                    $WebApp.widget.tipbox2.init({
                        title: '电视会议',
                        msg: message,
                        buttons: [{
                                callback: function () {
                                    evm.globalInterface.CSM.getAcceptInvititionUrl({
                                        uId: evm.globalConfig.currentUser.customerGUID,
                                        identify: data.identify,
                                        meetingSerialNumber: data.meetingSerialNumber
                                    }, function (resp) {
                                        if (typeof resp == 'string') {
                                            resp = eval('false||' + resp);
                                        }
                                        if (!resp.result) {
                                            evm.log('接受会议失败');
                                            $WebApp.widget.tipbox.init({
                                                title: '系统消息',
                                                msg: '<br/>接受会议邀请失败，<br/>请检查相关设备！',
                                                buttons: [{
                                                    callback: function () {}
                                                }]
                                            })
                                        }
                                        if ($WebApp.widget.tipbox2.box_elem) {
                                            $WebApp.widget.tipbox2.toggle('hide');
                                        }
                                    });
                                }
                            },
                            {
                                callback: function () {
                                    evm.globalInterface.CSM.getRejectInvititionUrl({
                                        uId: evm.globalConfig.currentUser.customerGUID,
                                        identify: data.identify,
                                        meetingSerialNumber: data.meetingSerialNumber
                                    }, function (resp) {
                                        if (typeof resp == 'string') {
                                            resp = eval('false||' + resp);
                                        }
                                        if (!resp.result) {
                                            evm.log('拒绝会议失败');
                                        }
                                        if ($WebApp.widget.tipbox2.box_elem) {
                                            $WebApp.widget.tipbox2.toggle('hide');
                                        }
                                    });
                                }
                            }
                        ]
                    });
                } else if (data.mainStatus == "disconnect") {
                    if (data.currentTerminalType === 0) {
                        var message = '<br/>' + data.meetingTitle + '仍在进行中,<br/>是否加入?';
                        $WebApp.widget.tipbox2.init({
                            title: '电视会议',
                            msg: message,
                            buttons: [{
                                    callback: function () {
                                        var url = '/cloudVideoSTB-v3-village/html/meeting.html';
                                        url = evm.createQuery(url, 'mac', macCode);
                                        url = evm.createQuery(url, 'userId', evm.globalConfig.currentUser.customerGUID);
                                        url = evm.createQuery(url, 'currentTerminalSubType', 'main');
                                        if (self && self.interactUser) {
                                            url = evm.createQuery(url, 'module', 'remoteClient');
                                        } else {
                                            url = evm.createQuery(url, 'module', 'watchClient');
                                        }
                                        url = evm.createQuery(url, 'speakerMode', speakerMode);
                                        clearTimeout(evm.globalConfig.getNotificationTimer);
                                        setTimeout(function () {
                                            location.href = url;
                                        }, 200);
                                        if ($WebApp.widget.tipbox2.box_elem) {
                                            $WebApp.widget.tipbox2.toggle('hide');
                                        }
                                    }
                                },
                                {
                                    callback: function () {
                                        evm.globalInterface.CSM.getRejectInvititionUrl({
                                            uId: evm.globalConfig.currentUser.customerGUID,
                                            identify: data.identify,
                                            meetingSerialNumber: resp.meetingSerialNumber
                                        }, function (resp) {
                                            if (typeof resp == 'string') {
                                                resp = eval('false||' + resp);
                                            }
                                            if (!resp.result) {
                                                evm.log('拒绝会议失败');
                                            }
                                            if ($WebApp.widget.tipbox2.box_elem) {
                                                $WebApp.widget.tipbox2.toggle('hide');
                                            }
                                        });
                                    }
                                }
                            ]
                        });
                        $WebApp.widget.tipbox2.toggle("show");
                    }
                } else if (data.mainStatus == "reject" || data.mainStatus == "left") {
                    if (evm.globalConfig.onMeeting && $WebApp.widget.tipbox2.box_elem) {
                        evm.globalConfig.onMeeting = false;
                        $WebApp.widget.tipbox2.toggle('hide');
                    }
                }
            }
        } else {
            if (evm.globalConfig.onMeeting && $WebApp.widget.tipbox2.box_elem) {
                evm.globalConfig.onMeeting = false;
                $WebApp.widget.tipbox2.toggle('hide');
            }
        }

    },
    handleVideoCallData: function (data) {
        if (data.endTime == null) {
            evm.globalConfig.onCall = true;
            if (data.isHost) {
                if (data.currentTerminalType === 0) {
                    if (data.hostStatus == "accept" || data.hostStatus == "joined") {
                        var url = "/yunshitong-sichuan/html/call_video.html";
                        url = evm.createQuery(url, 'mac', macCode);
                        url = evm.createQuery(url, 'userId', evm.globalConfig.currentUser.customerGUID);
                        clearTimeout(evm.globalConfig.getNotificationTimer);
                        setTimeout(function () {
                            location.href = url;
                        }, 200);
                    }
                }
            } else {
                if (data.guestStatus == "accept" || data.guestStatus == "joined") {
                    if (data.currentTerminalType === 0) {
                        var url = "/yunshitong-sichuan/html/call_video.html";
                        url = evm.createQuery(url, 'mac', macCode);
                        url = evm.createQuery(url, 'userId', evm.globalConfig.currentUser.customerGUID);
                        clearTimeout(evm.globalConfig.getNotificationTimer);
                        setTimeout(function () {
                            location.href = url;
                        }, 200);
                    }
                } else if (data.guestStatus == "calling") {
                    var message = '<br/>' + data.hostName + '发起视频通话,<br/>是否接听?';
                    $WebApp.widget.tipbox2.init({
                        title: '通话请求',
                        msg: message,
                        buttons: [{
                                callback: function () {
                                    evm.globalInterface.CSM.acceptVideoCall({
                                        uId: evm.globalConfig.currentUser.customerGUID,
                                        identify: data.identify,
                                        videoCallSerialNum: data.videoCallSerialNumber,
                                        macCode: macCode
                                    }, function (resp) {
                                        if (typeof resp == 'string') {
                                            resp = eval("false||" + resp);
                                        }
                                        if (!resp.result) {
                                            evm.log('接受通话失败')
                                            $WebApp.widget.tipbox.init({
                                                title: '系统消息',
                                                msg: '<br/>接受通话邀请失败，<br/>请检查相关设备！',
                                                buttons: [{
                                                    callback: function () {}
                                                }]
                                            })
                                        }
                                        if ($WebApp.widget.tipbox2.box_elem) {
                                            $WebApp.widget.tipbox2.toggle('hide');
                                        }
                                    });
                                }
                            },
                            {
                                callback: function () {
                                    evm.globalInteface.CSM.rejectVideoCall({
                                        uId: evm.globalConfig.currentUser.customerGUID,
                                        identify: data.identify,
                                        videoCallSerialNum: data.videoCallSerialNum
                                    }, function (resp) {
                                        if (typeof resp == 'string') {
                                            resp = eval("false||" + resp);
                                        }
                                        if (!resp.result) {
                                            evm.log('拒绝通话失败');
                                        }
                                        if ($WebApp.widget.tipbox2.box_elem) {
                                            $WebApp.widget.tipbox2.toggle('hide');
                                        }
                                    });
                                }
                            }
                        ]
                    });
                }
            }
        } else {
            if (evm.globalConfig.onCall && $WebApp.widget.tipbox2.box_elem) {
                evm.globalConfig.onCall = false;
                $WebApp.widget.tipbox2.toggle('hide');
            }
        }
    },
    paddingLeft: function (chars, limit, padding) {
        var me = this,
            sum = 0,
            i, len, c;
        for (i = 0, len = chars.length; i < len; i++) {
            c = chars.charCodeAt(i);
            if ((c >= 0x0001 && c <= 0x007e) || (0xff60 <= c && c <= 0xff9f)) {
                sum++;
            } else {
                sum += 2;
            }
        }

        if (sum < limit) {
            for (i = sum; i < limit; i++) {
                chars = padding + chars;
            }
        }

        return chars;
    },
    trimChars: function (chars, limit, replace) {
        var me = this,
            sum = 0,
            i, len, c, chFlag = false;
        for (i = 0, len = chars.length; i < len; i++) {
            c = chars.charCodeAt(i);
            if ((c >= 0x0001 && c <= 0x007e) || (0xff60 <= c && c <= 0xff9f)) {
                sum++;
            } else {
                if (!chFlag) {
                    chFlag = true;
                }
                sum += 2;
            }
            if (sum > limit) {
                if (chFlag) {
                    chars = chars.substring(0, limit / 2) + (replace ? replace : '');
                } else {
                    chars = chars.substring(0, limit) + (replace ? replace : '');
                }
                break;
            }
        }

        return chars;
    },
    getCharLength: function (chars) {
        var me = this,
            sum = 0,
            i, len, c;
        for (i = 0, len = chars.length; i < len; i++) {
            c = chars.charCodeAt(i);
            if ((c >= 0x0001 && c <= 0x007e) || (0xff60 <= c && c <= 0xff9f)) {
                sum++;
            } else {
                sum += 2;
            }
        }
        return sum;
    },
    request: function (obj, callback) {
        var me = this;

        if (!obj.requestUrl) {
            throw new Error('requestUrl为空');
        }
        if (!obj.requestType) {
            obj.requestType = 'get';
        }

        if (obj.requestType == 'get') {
            evm.ajax(obj.requestUrl, function (resp) {
                if (evm.isFunction(callback)) {
                    callback.call(callback, resp);
                }
            });
        } else if (obj.requestType == 'post') {
            evm.post(obj.requestUrl, obj.data || '', function (resp) {
                if (evm.isFunction(callback)) {
                    callback.call(callback, resp);
                }
            });
        }
    },
    replaceCMSImageUrl: function (url) {
        var me = this;
        if (!url) {
            return '';
        }
        if (me.CMSImagePattern.test(url)) {
            url = url.replace(/\/EMSP_CMS/, me.cms_server + me.cms_keyword);
        } else {
            url = url.replace(/\/EMSP_CMS/, ':' + me.tomcat_port + me.cms_keyword);
        }
        return url;
    },
});


var clockTimer = null;
var weeks = ['日', '一', '二', '三', '四', '五', '六'];

function clock(callback) {
    var date = new Date();
    date.setTime(date);
    var Y = date.getFullYear(),
        M = date.getMonth() + 1,
        D = date.getDate(),
        tH = date.getHours(),
        tM = date.getMinutes(),
        tS = date.getSeconds(),
        wD = date.getDay();
    var now = formatTime(Y, M, D, tH, tM, tS, wD);
    if (evm.isFunction(callback)) callback(now);
    clockTimer = setTimeout(function () {
        clock(callback);
    }, (60 - tS) * 1000);


}

function formatTime(Y, M, D, tH, tM, tS, wD) {
    if (M < 10) M = '0' + M;
    if (D < 10) D = '0' + D;
    if (tH < 10) tH = '0' + tH;
    if (tM < 10) tM = '0' + tM;
    var day = {};
    day.date = M + '-' + D;
    day.time = tH + ':' + tM;
    day.week = '星期' + weeks[wD];
    return day;
}

// 提示框组件

function Tipbox(_c) {
    function hander(_c) {
        try {} catch (E) {}
    }

    if (evm.isNumber(_c.type)) {
        this.type = _c.type;
    } else {
        this.type = 2; //默认2个按钮
    }
    this.config = _c || {};
    this.activeIndex = 0;
    this.timer = -1;
    this.box_id = 'tipbox';
    this.box_elem = null;
    this.box_title_elem = null;
    this.box_msg_elem = null;
    this.box_button_confirm_img = null;
    this.box_button_cancel_img = null;
    this.x = 320;
    this.y = 140;
    this.buttonIcon = [{
            name: 'confirm',
            focus: '../images/TipBox/sure_button2.png',
            blur: '..//images/TipBox/sure_button.png'
        },
        {
            name: 'cancel',
            focus: '../images/TipBox/cancel_button2.png',
            blur: '../images/TipBox/cancel_button.png'
        }
    ];

    this.onEvent = _c && _c.onEvent || hander;
}

evm.extend(Tipbox.prototype, {
    init: function (c) {
        var me = this;
        if (!me.box_elem) {
            me.box_elem = evm.$(me.box_id + me.type);
        }
        if (!me.box_title_elem) {
            me.box_title_elem = evm.$(me.box_id + me.type + '-title');
        }
        if (!me.box_msg_elem) {
            me.box_msg_elem = evm.$(me.box_id + me.type + '-msg');
        }
        if (!me.box_button_confirm_img) {
            me.box_button_confirm_img = evm.$(me.box_id + me.type + '-btn0');
        }
        if (!me.box_button_cancel_img && me.type > 1) {
            me.box_button_cancel_img = evm.$(me.box_id + me.type + '-btn1');
        }

        if (c.title) {
            evm.html(me.box_title_elem, c.title);
        }
        if (c.msg) {
            evm.html(me.box_msg_elem, c.msg);
        }
        if (c.buttons && c.buttons.length > 0) {
            me.config.buttons = c.buttons;
            me.timer = setTimeout(function () {
                me.toggleFocus(me.activeIndex, 'focus');
                me.addListener();
            }, 40);
        } else {
            me.config.buttons = null;
            if (c.timeout > 0) {
                // 配置对象有超时时间
                me.timer = setTimeout(function () {
                    me.toggle('hide');
                    if (evm.isFunction(c.callback)) {
                        // 配置对象有回调函数
                        c.callback();
                    }
                }, c.timeout);
            } else {
                if (evm.isFunction(c.callback)) {
                    // 配置对象有回调函数
                    c.callback();
                }
            }
        }
        me.toggle('show');

    },
    toggle: function (d) {
        var me = this;

        evm.css(me.box_elem, {
            'display': (d === 'show' ? 'block' : 'none')
        });
        if (d === 'hide') {
            if (me.config.buttons) {
                me.removeListener();
            }
        }
    },
    toggleFocus: function (n, d) {
        var me = this,
            elem = null;
        if (n === 0) {
            elem = me.box_button_confirm_img;
        } else {
            elem = me.box_button_cancel_img;
        }
        elem.src = me.buttonIcon[n][d];
    },
    moveTo: function (x, y) {
        var me = this;
        if (!evm.isNumber(x) || !evm.isNumber(y)) {
            return false;
        }
        evm.css(me.box_elem, {
            left: x + 'px',
            top: y + 'px'
        });
        return true;
    },
    move: function (_d) {
        var me = this,
            buttonNumber = me.config.buttons.length;
        if (_d === 'LEFT') {
            if (me.activeIndex > 0) {
                me.toggleFocus(me.activeIndex, 'blur');
                me.activeIndex -= 1;
                me.toggleFocus(me.activeIndex, 'focus');
            }
        } else {
            if (me.activeIndex < buttonNumber - 1) {
                me.toggleFocus(me.activeIndex, 'blur');
                me.activeIndex += 1;
                me.toggleFocus(me.activeIndex, 'focus');
            }
        }
        return me;
    },
    grabEvent: function (_v, _e) {
        var me = this,
            isBlock = 0,
            buttonNumber = me.config.buttons.length;

        switch (_e.alias) {
            case 'RIGHT':
            case 'LEFT':
                me.move(_e.alias);
                break;
            case 'SELECT':
                var cb = me.config.buttons[me.activeIndex].callback;
                if (evm.isFunction(cb)) {
                    cb();
                }
                me.toggleFocus(me.activeIndex, 'blur');
                me.toggle('hide');
                break;
            case 'BACK':
                isBlock = 1;
                break;
        }
        return isBlock;
    },
    addListener: function () {
        var me = this;
        evm.controller.subscribe({
            type: 0,
            method: 'add',
            callback: me.grabEvent,
            context: me
        });
    },
    removeListener: function () {
        var me = this;
        evm.controller.subscribe({
            type: 1,
            method: 'remove',
            callback: me.grabEvent,
            context: me
        });
    }
});