/*
 * created: 2019-04-08
 * 公有后台接口
 */

if (!evm) {
    throw new Error('depended on evm-1.0.1.min.js');
}
if (!evm.globalConfig) {
    throw new Error('depended on global-config.js');
}

evm.namespace('globalInterface');

//静态数据配置参数
var debug = evm.globalConfig.debug;

// var host = location.host,
var host = '60.255.71.30'
protocol = location.protocol + '//',
    tomcatPort = ':19003';
/*var host = '60.255.47.203'
protocol = location.protocol + '//',
    tomcatPort = ':10001';*/

if (/^10./.test(location.host)) {
    host = '10.102.1.19';
    tomcatPort = ':8080';
}

var UMSServer;
var USMServer;
var PNSServer;
var CSMServer;
var AUMSServer;

if (host.indexOf(':') != -1) {
    UMSServer = host;
    USMServer = host;
    PNSServer = host;
    CSMServer = host;
    AUMSServer = host;
} else {
    UMSServer = host + tomcatPort;
    USMServer = host + tomcatPort;
    PNSServer = host + tomcatPort;
    CSMServer = host + tomcatPort;
    AUMSServer = host + tomcatPort;
}

if (debug) {
    protocol = '';
    UMSServer = USMServer = PNSServer = CSMServer = AUMSServer = '/proxytomcat';
}

var umsBaseDir = '/ums_v3/';
var usmBaseDir = '/usm/';
var pnsBaseDir = '/cpns_v3/';
var csmBaseDir = '/csm_v3/';
// var aumsBaseDir = '/aums_server_interface/';

evm.extend(evm.globalInterface, {
    UMS: {
        getTerminalInfo: function (obj, callback) {
            //机顶盒用户通过mac地址或者ca卡号获取用户信息和该机顶盒信息
            var url = '';
            if (debug) {
                url = '../mock/STBGetUserInfo.json';
            } else {
                url = protocol + UMSServer + umsBaseDir + 'STBGetUserInfo' +
                    '?terminalSerialNum=' + obj.macCode;
            }
            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getUserInfo: function (obj, callback) {
            //根据用户GUID提供用户信息
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getUserInfo' +
                    '?userId=' + obj.uId;
            }
            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getMultipleUserInfo: function (obj, callback) {
            //接口根据提供的多个用户GUID，返回用户信息。返回json数组
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getMultipleUserInfo' +
                    '?userIds=' + obj.uIds;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getFriendList: function (obj, callback) {
            //根据提供的用户编号，返回该用户的所有好友信息，返回json数组数据。
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getUserFriends' +
                    '?userGUID=' + obj.uId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getMeetingGroup: function (obj, callback) {
            //接口根据提供的用户编号，返回用户所属的组列表。返回json数组
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getUserGroups' +
                    '?userGUID=' + obj.uId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getGroupLogo: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getUserGroupsLogo' +
                    '?userGUID=' + obj.uId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getResponseAddRequest: function (obj, callback) {
            //同意或拒绝好友请求
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'processFriend' +
                    '?currentUserGUID= ' + obj.uId + '&opposingUserGUID=' + obj.friendUID +
                    '&pass=' + obj.pass;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getSearchUserUrl: function (obj, callback) {
            //搜索用户接口
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'searchUser' +
                    '?keyword=' + obj.keyword;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getApplyFriendUrl: function (obj, callback) {
            //申请添加好友接口
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'applyFriend' +
                    '?currentUserGUID=' + obj.uId + '&opposingUserGUID=' + obj.friendUID;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getDeleteFriendUrl: function (obj, callback) {
            //删除好友
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'deleteFriend' +
                    '?currentUserGUID=' + obj.uId + '&opposingUserGUID=' + obj.friendUID;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getUnprocessFriendsUrl: function (obj, callback) {
            // 待处理及已经拒绝的好友列表
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getUnprocessFriends' +
                    '?currentUserGUID=' + obj.uId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        bindUser: function (obj, callback) {
            //机顶盒用户与非机顶盒用户绑定接口
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'bindUser' +
                    '?STBUserGUID=' + obj.uId + '&clientUserGUID=' + obj.clientUid;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        bindInfo: function (obj, callback) {
            //查询和当前用户绑定的其他用户
            var url = '';
            if (!evm.isNumber(obj.type)) {
                throw new Error('obj.type是数值');
            }
            var str = obj.type == 0 ? 'STBUserGUID' : 'userGUID';

            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getBindedUser'
                '?' + str + '=' + obj.uId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        unbindUser: function (obj, callback) {
            //机顶盒用户与非机顶盒用户解除绑定接口
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'unbindUser' +
                    '?STBUserGUID=' + obj.uId + '&userGUID=' + obj.cliendId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getCustomGroupList: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getCustomGroupList' +
                    '?GUID=' + obj.uId + '&type=' + obj.type + '&needMem=' + obj.needMember;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getCustomGroupInfo: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getCustomGroupInfo' +
                    '?userGUID=' + obj.uId + '&type=' + obj.needMember + '&groupGUID=' +
                    obj.gGroupId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getCustomGroupInvitation: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getCustomGroupInvitation' +
                    '?GUID=' + obj.uId + '&customGroupType=' + obj.type;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getRequestedCustomGroups: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getRequestedCustomGroups' +
                    '?GUID=' + obj.uId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        invitationConfirm: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'customGroupInvitationConfirm' +
                    '?userGUID=' + obj.uId + '&groupGUID=' + obj.groupGuid + '&type=' +
                    obj.apply + (obj.apply ? '&nickName=' + obj.nickName : '');
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        updateCustomGroupUser: function (obj, callback) {
            //handleGroupUser方法一样
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'updateCustomGroupUser' +
                    '?GUID=' + obj.uId + '&groupGUID=' + obj.groupId + '&type=' +
                    obj.type + '&memGUIDs=' + obj.memberId + '&memTELs=' + obj.memberTel;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        createCustomGroup: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'createCustomGroup' +
                    '?GUID=' + obj.uId + '&name=' + obj.gName + '&type=' + obj.type +
                    '&description=' + obj.description + '&memGUIDS=' + obj.members;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getCurrentGroupApplication: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getCustomGroupApplication' +
                    '?userGUID=' + obj.uId + '&groupGUID=' + obj.groupId +
                    '&customGroupType=' + obj.groupType;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        applicationConfirm: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'customGroupApplicationConfirm' +
                    '?GUID=' + obj.uId + '&userGUID=' + obj.applyUserId + '&groupGUID=' +
                    obj.groupId + '&type=' + obj.type;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        stbAutoRegist: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'registTerminalCustomer' +
                    '?serialNum=' + obj.uniqeCode + '&name=' + obj.userName +
                    '&protocol=' + obj.playerProtocol;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        setMainBindUser: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'updateMainBindUser' +
                    '?STBUserGUID=' + obj.uId + '&ClientUserGUID=' + obj.clientUserGuid;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        collectUser: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'collectUser' +
                    '?userGUID=' + obj.userId + '&targetUserGUID=' + obj.targetId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        cancelCollectUser: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'cancleCollectUser' +
                    '?userGUID=' + obj.userId + '&targetUserGUID=' + obj.targetId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getMonitorCameraInfo: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + UMSServer + umsBaseDir + 'getMonitorCameraInfo' +
                    '?userGUID=' + obj.userId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        }
    },
    PNS: {
        getLoginUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + PNSServer + pnsBaseDir + 'TAPI/login' +
                    '?userId=' + obj.uId + '&terminalType=STB';
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getNotificationUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + PNSServer + pnsBaseDir + 'TAPI/getNotification' +
                    '?userId=' + obj.uId + '&terminalType=' + obj.clientType +
                    '&terminalSubType=' + obj.terminalType + '&compactMode=' +
                    (obj.cMod || obj.compactMod);
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        setValueUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + PNSServer + pnsBaseDir + 'TAPI/setProperties' +
                    '?userId=' + obj.uId + '&key=' + obj.key + '&value=' + obj.value;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getValueUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + PNSServer + pnsBaseDir + 'TAPI/getProperties' +
                    '?userId=' + obj.uId + '&key=' + obj.key;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        createQRCode: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + PNSServer + pnsBaseDir + 'TAPI/createQRImage' +
                    '?content=' + obj.info + '&imageFormat=png&width=' + obj.width +
                    '&height=' + obj.height;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        sendMessage: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + PNSServer + pnsBaseDir + 'TAPI/sendSMS' +
                    '?TEL=' + obj.tel + '&content=' + obj.msg;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        notifyBindUser: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + PNSServer + pnsBaseDir + 'TAPI/notifyRelativeUser' +
                    '?hostName=' + obj.hostName + '&guestId=' + obj.guestId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        }
    },
    CSM: {
        //videomeeting
        getStartMeetingUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/start' +
                    '?terminalType=0&userId=' + obj.uId + '&externDisplayUserId=' +
                    obj.externUId + '&speakerMode=' + obj.speakerMode +
                    '&mainViewNumber=' + obj.mainViewNumber + '&gridNumber=' +
                    obj.gridNumber + '&screenSwitchTime=' + obj.screenSwitchTime +
                    (obj.guests.length > 0 ? ('&guests=' + obj.guests + '&guestOrder=' + obj.guestsIndex) : '') +
                    (obj.watchGuests.length > 0 ? ('&watchGuests=' + obj.watchGuests + '&watchOrder=' + obj.watchIndex) : '') +
                    '&interactModePassword=' + obj.interactModePassword +
                    '&watchModePassword=' + obj.watchModePassword + '&groupId=' +
                    obj.groupId + '&open=' + obj.open + '&rotation=' + obj.rotationOpen +
                    (obj.rotationOpen ? ('&rotationNumber=' + obj.rotationNumber +
                        '&rotationRate=' + obj.rotationTime) : '');
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getStopMeetingUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/stop' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify + '&meetingSerialNumber=' + obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getInviteUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/invite' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber + '&guests=' +
                    obj.guests + '&guestOrder=' + obj.guestsIndex;
            }
            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getWatchInfoUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/getWatchInfo' +
                    '?hostId=' + obj.hostId + '&meetingSerialNumber=' +
                    obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getAcceptInvititionUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/accept' +
                    '?userId=' + obj.uId + '&terminalType=0&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getRejectInvititionUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/reject' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getKickOffUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/kickoff' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber + '&guests=' +
                    obj.guests;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getJoinUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/join' +
                    '?userId=' + obj.uId + '&hostId=' + obj.hostId +
                    (obj.password ? '&password=' + obj.password : '') + '&terminalType=0';
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getJoinExternalDisplayUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/joinMeetingForExternalDisplay' +
                    '?userId=' + obj.uId + '&hostId=' + obj.hostId + '&meetingSerialNumber=' +
                    obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getLeaveMeetingUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/leave' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getKeepMeetingUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/keep' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getKeepExternalDisplayUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/keepExternalDisplay' +
                    '?userId=' + obj.uId + '&hostId=' + obj.hostId +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getLeaveExternalDisplayUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/leaveExternalDisplay' +
                    '?userId=' + obj.uId + '&identify=' + obj.sidentify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getSpeechRequestUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/speechRequest' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber + '&enable=' +
                    obj.enable;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getHostSwitchSpeechUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/controlAudio' +
                    '?hostId=' + obj.hostId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber + '&userId=' +
                    obj.uId + '&enable=' + obj.enable;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getSpeechControlUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/switchSpeech' +
                    '?hostId=' + obj.hostId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber + '&userId=' +
                    obj.uId + '&enable=' + obj.enable;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getSpeakerFullscreen: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/speakerFullScreen' +
                    '?hostId=' + obj.hostId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber + '&enable=' +
                    obj.enable;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getChangeExternalDisplayUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/externalDisplay' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber +
                    '&externalDisplayUserId=' + obj.exDisplayUID;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getChangeInputDeviceUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/selectInputDevice' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber + '&groupId=' +
                    obj.groupId + '&deviceId=' + obj.deviceId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        joinRotation: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/joinRotation' +
                    '?userId=' + obj.uId + '&hostId=' + obj.hostId +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        keepRotation: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/keepRotation' +
                    '?userId=' + obj.uId + '&hostId=' + obj.hostId +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        stopRotation: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/stopRotation' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getChangeNoticeUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/changeNotice' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber + '&notice=' +
                    obj.noticeText;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getCameraListUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/getDeviceInfo' +
                    '?userId=' + obj.uId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getSendChatMessageUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/sendChatMessage' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber + '&message=' +
                    obj.messageText;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getActionMessageUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/getActionMessage' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.meetingSerialNumber + '&maxMessageId=' +
                    obj.maxMessageId + '&limited=' + obj.limited;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getChatMessageUrl: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/getChatMessage' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&meetingSerialNumber=' + obj.smeetingSerialNumber + '&maxMessageId=' +
                    obj.maxMessageId + '&limited=' + obj.limited;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getScheduledMeetingInfo: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/getScheduledMeetingInfo' +
                    '?userId=' + obj.uId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getAllRunningMeeting: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/getAllRunningMeeting' +
                    '?userId=' + obj.uId + '&pageIndex=' + obj.pageIndex + '&pageSize=' +
                    obj.size;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getMeetingHistory: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/getHistoryMeetingInfo' +
                    '?userId=' + obj.uId + '&pageIndex=' + obj.pageIndex + '&pageSize=' +
                    obj.size + '&compactMode=' + obj.compact;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getMeetingReview: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/getMeetingRecord' +
                    '?userId=' + obj.uId + '&pageIndex=' + obj.pageIndex + '&pageSize=' +
                    obj.size;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getReviewList: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/getRecordInfo' +
                    '?meetingSn=' + obj.msn + '&pageIndex=' + obj.pageIndex +
                    '&pageSize=' + obj.size;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getMeetingCollection: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/meeting/getCollection' +
                    '?hostId=' + obj.uId + '&pageIndex=' + obj.pageIndex + '&pageSize=' +
                    obj.size;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        startPreview: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/preview/startPreview' +
                    '?userId=' + obj.uId + '&deviceGUID=' + obj.deviceId + '&stbId=' +
                    obj.macCode;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        keepPreview: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/preview/keepPreview' +
                    '?userId=' + obj.uId + '&deviceGUID=' + obj.deviceId + '&stbId=' +
                    obj.macCode;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        stopPreview: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/preview/stopPreview' +
                    '?userId=' + obj.uId + '&deviceGUID=' + obj.deviceId + '&stbId=' +
                    obj.macCode;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        //videoCall
        startVideoCall: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoCall/startVideoCall' +
                    '?userId=' + obj.uId + '&guestUserId=' + obj.guestId +
                    '&terminalType=' + obj.terminalType + '&stbId=' + obj.macCode +
                    (obj.groupId ? '&circleType=' + obj.groupType + '&circleGUID=' +
                        obj.groupId : '');
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        stopVideoCall: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoCall/stopVideoCall' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&videoCallSerialNumber=' + obj.videoCallSerialNum;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        keepVideoCall: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoCall/keepVideoCall' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&videoCallSerialNumber=' + obj.videoCallSerialNum;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        acceptVideoCall: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoCall/acceptVideoCall' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&videoCallSerialNumber=' + obj.videoCallSerialNum +
                    '&terminalType=0&stbId=' + obj.macCode;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        rejectVideoCall: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoCall/rejectVideoCall' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&videoCallSerialNumber=' + obj.videoCallSerialNum;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        joinVideoCall: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoCall/joinVideoCall' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&videoCallSerialNumber=' + obj.videoCallSerialNum +
                    '&terminalType=0&stbId=' + obj.macCode;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        startRecordVideoCall: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoCall/startVideoCallRecord' +
                    '?userId=' + obj.uId + '&terminalType=0&videoCallSerialNumber=' +
                    obj.videoCallSerialNum;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        stopRecordVideoCall: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoCall/stopVideocCallRecord' +
                    '?userId=' + obj.uId + '&videoCallSerialNumber=' +
                    obj.videoCallSerialNum;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        keepRecordVideoCall: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoCall/keepVideoCallRecord' +
                    '?userId=' + obj.uId + '&videoCallSerialNumber=' +
                    obj.videoCallSerialNum;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        switchToSTBVideoCall: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoCall/switchToSTBVideoCall' +
                    '?userId=' + obj.uId + '&identify=' + obj.identify +
                    '&videoCallSerialNumber=' + obj.videoCallSerialNum + '&stbId=' +
                    obj.macCode;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getHistoryVideoCall: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoCall/getHistoryVideoCallInfo' +
                    '?userId=' + obj.uId + '&pageIndex=' + obj.pageIndex + '&pageSize=' +
                    obj.pageSize + (obj.groupId ? '&circleGUID=' + obj.groupId +
                        '&circleType=' + obj.groupType : '');
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        updateOrCreateReFreshTime: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/updateOrCreateReFreshTime' +
                    '?userId=' + obj.uId + '&circleGUID=' + obj.groupId + '&circleType=' +
                    obj.groupType + '&freshType=' + obj.freshType;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getCheckUserOnline: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/room/checkUserOnline' +
                    '?json=' + obj.userObj;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getFamilyCircleShare: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmDir + 'TAPI/circle/getFamilyCircleInfo' +
                    '?circleGUID=' + obj.groupId + '&circleType=' + obj.groupType +
                    '&pageIndex=' + obj.pageIndex + '&pageSize=' + obj.pageSize;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        changeServeStatus: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmDir + 'TAPI/center/setOnDuty' +
                    '?userId=' + obj.uId + '&onDuty=' + obj.status;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getCallCenterStatus: function (obj, callback) {
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmDir + 'TAPI/center/getCallCenterStatus' +
                    '?users=' + obj.users;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        startRecordVideo: function (obj, callback) {
            //短视频开始录制
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoMessage/startRecord' +
                    '?sn=' + obj.sn + '&holdUserId=' + obj.holdUserId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        stopRecordVideo: function (obj, callback) {
            //短视频结束录制
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoMessage/stopRecord' +
                    '?sessionId=' + obj.sessionId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        keepRecordVideo: function (obj, callback) {
            //短视频录制心跳
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoMessage/keepRecord' +
                    '?sessionId=' + obj.sessionId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        prevRecordVideo: function (obj, callback) {
            //短视频录制预览
            //mediaTransport 协议类型 0:http  1:ngod_udp  2:ngod_ipqam  3:wasu_tcp  4:wasu_ipqam  5:rtsp
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoMessage/previewRecord' +
                    '?sessionId=' + obj.sessionId + '&mediaTransport=' +
                    obj.mediaTransport;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        sendRecordVideo: function (obj, callback) {
            //短视频发送录制
            var url = {};
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoMessage/send' +
                    '?recordSessionId=' + obj.recordSessionId + '&fromUserId=' +
                    obj.fromUserId + '&toUserId=' + obj.toUserId + '&messageScene=' +
                    obj.messageScene;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getThreads: function (obj, callback) {
            //获取对话框列表
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoMessage/getThreads' +
                    '?userId=' + obj.uId + '&pageIndex=' + obj.pageIndex + '&pageSize=' +
                    obj.pageSize + '&scenes=' + obj.scenes;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getMessageByThreads: function (obj, callback) {
            //和单个用户对话框详情
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoMessage/getMessagesByThread' +
                    '?currentUserId=' + obj.currentUserId + '&otherUserId=' +
                    obj.otherUserId + '&pageIndex=' + obj.pageIndex + '&pageSize=' +
                    obj.pageSize;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        markMessage: function (obj, callback) {
            //标记单个用户对话框中消息
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoMessage/markMessage' +
                    '?userId=' + obj.uId + '&messageId=' + obj.messageId + '&read=' +
                    obj.read + '&delete=' + obj.del;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        markThread: function (obj, callback) {
            //标记留言框中消息
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoMessage/markThread' +
                    '?fromUserId=' + obj.fromUserId + '&toUserId=' + obj.toUserId +
                    '&allRead=' + obj.allRead + '&delete=' + obj.del;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        videoMessagePlay: function (obj, callback) {
            //播放留言消息
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/videoMessage/videoMessagePlay' +
                    '?userId=' + obj.uId + '&messageId=' + obj.messageId + '&markRead=' +
                    obj.markRead + '&mediaTransport=' + obj.mediaTransport +
                    '&minorStream=' + obj.minorStream;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        ipcStart: function (obj, callback) {
            //摄像头播放
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/ipc/startPlay' +
                    '?sn=' + obj.sn + '&viewUserId=' + obj.viewUserId + '&hostUserId=' +
                    obj.hostUserId + '&stbId=' + obj.macCode;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        ipcStop: function (obj, callback) {
            //摄像头停止
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/ipc/stopPlay' +
                    '?sessionId=' + obj.sessionId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        ipcKeep: function (obj, callback) {
            //摄像头播放心跳
            var url = '';
            if (debug) {} else {
                url = protocol + CSMServer + csmBaseDir + 'TAPI/ipc/keep' +
                    '?sessionId=' + obj.sessionId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        }
    },
    AUMS: {
        getGuest: function (obj) {
            var url;
            url = protocol + AUMSServer + '/aums_server_interface/guest/getGuest?userId=' + obj.deviceId + '&userType=' + obj.deviceType;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
            return url;

        },
        getAutoPageContent: function (obj) {
            var url;
            url = protocol + AUMSServer + '/ancms_server_interface/autoPageServlet/getAutoPageContent?columnId=' + obj.id + '&terminalIdentify=JDH' + (obj.areaId ? ('&areaId=' + obj.areaId) : '');
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
            return url;
        },
        getArticleList: function (obj) {
            /**
                publicly:是否公开
             **/
            var url;
            url = protocol + AUMSServer + '/ancms_server_interface/articleList/getArticleList?columnId=' + obj.columnId + (obj.areaId ? ('&areaId=' + obj.areaId) : '') +
                (obj.areaType ? ('&areaType=' + obj.areaType) : '') + '&curPage=' + (obj.pageIndex || 1) + '&pageSize=' + (obj.pageSize || 1) +
                (obj.publicly ? ('&publicly=1') : '');
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
            return url;
        },
        getTotalCntByCIds: function (obj) {
            var url;

            url = protocol + AUMSServer +
                '/aums_vote_interface/vote/getTotalCntByCIds?typeId=' + obj.typeId + '&columnIds=' + obj.columnIds;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }

            return url;
        },
        ArticleServlet: function (obj) {
            var url;
            url = protocol + AUMSServer +
                '/ancms_server_interface/servlet/ArticleServlet?id=' + obj.id;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }

            return url;
        },
        AreaServlet: function (obj) {
            var url;
            url = protocol + AUMSServer +
                '/aums_server_interface/AreaServlet?actionType=getAreaInfoById&regionId=' + obj.regionId +
                (obj.upperLevel ? ('&upperLevel=' + obj.upperLevel) : '') + (obj.lowerLevel ? ('&lowerLevel=' + obj.lowerLevel) : '') +
                (obj.needDetailInfo ? ('&needDetailInfo=' + obj.needDetailInfo) : '');
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }

            return url;
        },
        castVote: function (obj) {
            url = protocol + AUMSServer +
                '/aums_vote_interface/vote/castVote?typeId=' + obj.typeId + '&columnId=' + obj.columnId + '&userId=' +
                obj.userId + '&point=' + obj.point + (obj.contentId ? ('&contentId=' + obj.contentId) : '');
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }

            return url;
        },
        getActivityList: function (obj) {
            var url = protocol + AUMSServer + '/aums_cpis/activity/getActivityList?pageNumber=' + obj.pageIndex + '&pageSize=' + obj.pageSize;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }

            return url;
        },
        getActivityById: function (obj) {
            var url = protocol + AUMSServer + '/aums_cpis/activity/getActivityById?id=' + obj.id;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }

            return url;
        },
        getCanWatchLiveVideos: function (obj) {
            var t = new Date().getTime();
            var url = protocol + AUMSServer + '/aums_server_interface/live/getMyWacthLive?userId=' + obj.userId + '&terminalType=' + obj.type + '&regionId=' + obj.regionId + '&tm=' + t + '&identify=' + t + '&liveType=' + obj.liveType + '&areaRange=' + obj.areaRange + '&upperLevel=' + (obj.upperLevel || 7) + '&lowerLevel=' + (obj.lowerLevel || 7);
            if (obj.pageIndex) {
                url += '&pageIndex=' + obj.pageIndex + '&pageSize=' + obj.pageSize;
            }
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }

            return url;
        },
        getPerson: function (obj) {
            var url = protocol + AUMSServer + '/aums_server_interface/user/getUserById?id=' + obj.pid;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }

            return url;
        },
        getMassesActivity: function (obj) {
            var url = protocol + AUMSServer + '/aums_cpis/getMassesActivity?massesId=' + obj.massesId + '&activityIds=' + obj.id;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }

            return url;
        },
        saveMassesActivity: function (obj) {
            var url = protocol + AUMSServer + '/aums_cpis/saveMassesActivity?massesId=' + obj.massesId + '&activityId=' + obj.id;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }

            return url;
        }
    },
    USM: {
        // 家庭医生接口
        getUserType: function (obj, callback) {
            //根据用户GUID提供用户信息(判断用户是医生还是用户)
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/getUserType' +
                    '?userGUID=' + obj.uId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        saveUserHealthInfo: function (obj, callback) {
            //提交病人基本信息
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/saveUserHealthInfo';
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getUserHealthInfo: function (obj, callback) {
            //查询病人基本情况
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/getUserHealthInfo' +
                    '?userGUID=' + obj.uId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        doctorGetUserHealthInfo: function (obj, callback) {
            var ur;
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/doctorGetUserHealthInfo' +
                    '?appointId=' + obj.appointId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getDoctorList: function (obj, callback) {
            //根据用户GUID获取医生列表
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/getDoctorList' +
                    '?userGUID=' + obj.uId + '&page=' + obj.page + '&rows=' + obj.rows;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        getDoctorInterval: function (obj, callback) {
            //查询医生的预约时段
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/getDoctorInterval' +
                    '?doctorGUID=' + obj.uId + '&page=' + obj.page + '&rows=' + obj.rows;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        saveAppoint: function (obj, callback) {
            //提交预约信息
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/saveAppoint' +
                    '?userGUID=' + obj.uId + '&doctorGUID=' + obj.doctorGUID +
                    '&intervalId=' + obj.intervalId + '&TEL=' + obj.TEL;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        doctorGetAcceptAppointList: function (obj, callback) {
            //医生查询自己的预约成功列表
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/doctorGetAcceptAppointList' +
                    '?doctorGUID=' + obj.doctorGUID + '&page=' + obj.page + '&rows=' +
                    obj.rows;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        doctorGetUnacceptAppointList: function (obj, callback) {
            //医生查询自己收到的预约申请(还未处理的预约申请)
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/doctorGetUnacceptAppointList' +
                    '?doctorGUID=' + obj.doctorGUID + '&page=' + obj.page + '&rows=' +
                    obj.rows;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        patientGetAppointList: function (obj, callback) {
            //病人查询自己的预约记录
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/patientGetAppointList' +
                    '?userGUID=' + obj.uId + '&page=' + obj.page + '&rows=' + obj.rows;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        generateBotId: function (obj, callback) {
            //病人发起录制前申请机器人id
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/generateBotId';
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        patientSendMessage: function (obj, callback) {
            /**
             *
             * @param obj
             * @param obj.userGUID
             * @param obj.TEL
             * @param obj.recordSessionId
             * @param obj.visitId
             * @param callback
             */

            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/patientSendMessage' +
                    '?userGUID=' + obj.userGUID + '&TEL=' + obj.TEL +
                    '&recordSessionId=' + obj.recordSessionId;
                if (obj.visitId) {
                    url += '&visitId=' + obj.visitId;
                }
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        patientGetMessageList: function (obj, callback) {
            //病人端获取留言列表接口（不适用与医生端）
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/patientGetMessageList' +
                    '?userGUID=' + obj.userGUID + '&page=' + obj.page + '&rows=' +
                    obj.rows;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        doctorReplyMessage: function (obj, callback) {
            //医生发送留言后通知后台接口
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/doctorReplyMessage' +
                    '?visitId=' + obj.visitId;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        doctorGetMessageList: function (obj, callback) {
            //医生端获取留言列表接口
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/doctorGetMessageList' +
                    '?doctorGUID=' + obj.doctorGUID + '&type=' + obj.type + '&page=' +
                    obj.page + '&rows=' + obj.rows;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        },
        doctorPorcessAppoint: function (obj, callback) {
            //医生端处理预约消息
            var url = '';
            if (debug) {} else {
                url = protocol + USMServer + usmBaseDir + 'interface/doctorPorcessAppoint' +
                    '?appointId=' + obj.appointId + '&type=' + obj.type;
            }

            obj.requestUrl = url;
            evm.globalConfig.request(obj, callback);
        }
    }

});