var medias = {
  sichuan_stb_player: {
    mp: null,
    mpInstanceId: '',
    MAX_VOLUME: 100,
    MIN_VOLUME: 0,
    CURRENT_VOLUME: 16,
    STEP: 1,
    exchangeMaxVol: 16,
    isMute: false,
    currentPlaySource: '',
    init: function (options) {
      var me = this;
      try {
        me.mp = new MediaPlayer();
        if (GlobalVarManager.getItemValue("PLAYER_INSTANCE_ID") == null) {
          me.mpInstanceId = me.mp.getPlayerInstanceID();
          GlobalVarManager.setItemValue("PLAYER_INSTANCE_ID", me.mpInstanceId);
        } else {
          me.mpInstanceId = GlobalVarManager.getItemValue("PLAYER_INSTANCE_ID");
        }
        evm.log("player instance id:" + me.mpInstanceId);
        me.mp.bindPlayerInstance(me.mpInstanceId);
      } catch (e) {
        evm.log("播放器初始化失败！");
      }
      me.STEP = me.MAX_VOLUME / me.exchangeMaxVol;
      me.CURRENT_VOLUME = me.getVolume() || (me.MAX_VOLUME / 2);
      var vol = Math.round(me.CURRENT_VOLUME / me.STEP) * me.STEP;
      me.setVolume(vol);
      return me;
    },
    destoryInstance: function () {
      var me = this;
      try {
        var ret = me.mp.unbindPlayerInstance(me.mpInstanceId);
        me.mp = null;
        me.mpInstanceId = '';
        evm.log("destroy player instance: " + ret);
      } catch (e) {
        evm.log("unable destory player instance!");
      }
    },
    setSource: function (address, token, extension, isVideo) {
      var me = this;
      evm.log("===address:" + address);
      me.trimSource(address, token, extension, isVideo);
      try {
        evm.log(evm.stbInfo.stb + "media url sichuan_stb: " + me.currentPlaySource);
        me.isMute = false;
        me.unMute();
        if (isVideo) {
          me.mp.enableTrickMode(true);
        }
        me.mp.setMediaSource(me.currentPlaySource);
      } catch (e) {
        evm.log("set media url failed!");
      }
    },
    // 处理播放字符串
    trimSource: function (address, token, extension, isVideo) {
      var me = this;
      if (arguments.length > 2) {
        if (!token) {
          me.currentPlaySource = address;
        } else {
          me.currentPlaySource = address + '/;purchaseToken=' + token + extension + (isVideo ? "" : "&paddingOpen=1") + ";serverID=?AppPath=60010001&assetUID=3bca6a47&smartcard-id=8280203837479710&device-id=8280203837479710&home-id=117102057054&purchase-id=4630717&streamtransportmode=ip;";
        }
      } else {
        me.currentPlaySource = address + (token ? "" : "&paddingOpen=1") + ";serverID=?AppPath=60010001&assetUID=3bca6a47&smartcard-id=8280203837479710&device-id=8280203837479710&home-id=117102057054&purchase-id=4630717&streamtransportmode=ip;";
      }
    },
    play: function () {
      var me = this;
      try {
        me.mp.play();
        evm.log("media player start playing success!");
      } catch (e) {
        evm.log("media player play failed!");
      }
    },
    pause: function () {
      var me = this;
      try {
        me.mp.pause();
        evm.log("media player pause success!");
      } catch (e) {
        evm.log("media player pause failed!");
      }
    },
    resume: function () {
      var me = this;
      try {
        me.mp.resume();
        evm.log("media player resume success!");
      } catch (e) {
        evm.log("media player resume failed!");
      }
    },
    stop: function () {
      /* stop but not destroy player instance */
      var me = this;
      try {
        me.mp.setPauseMode(0);
        me.mp.stop();
        evm.log("media player stop success!");
      } catch (e) {
        evm.log("media player stop failed!");
      }
    },
    exit: function () {
      /* stop and destroy player instance(guangdong) */
      var me = this;
      me.stop();
      me.unbindPlayerInstance();
    },
    fullscreen: function () {
      var me = this;
      try {
        me.mp.setVideoDisplayMode(1);
        me.mp.refresh();
        evm.log("media player set fullscreen success!");
      } catch (e) {
        evm.log("media player set fullscreen failed!");
      }
    },
    setPosition: function (left, top, width, height) {
      var me = this;
      try {
        var rectangle = new Rectangle(left, top, width, height);
        me.mp.setVideoDisplayArea(rectangle);
        me.mp.setVideoDisplayMode(0);
        me.mp.refresh();
        evm.log("media player set windowed success!");
      } catch (e) {
        evm.log("media player set windowed failed!");
      }
    },
    setPace: function (_rate) {
      var me = this;
      try {
        me.mp.setPace(_rate);
        evm.log("media player set rate success!");
      } catch (e) {
        evm.log("media player set rate failed!");
      }
    },
    seek: function (_seekTime) {
      var me = this;
      try {
        me.mp.seek(1, _seekTime + "-");
        evm.log("media player seek time success!");
      } catch (e) {
        evm.log("media player seek time failed!");
      }
    },
    forward: function (_rate) {
      /* rate > 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick forward: " + _rate);
      } catch (e) {
        evm.log("media player set forward failed!");
      }
    },
    backward: function (_rate) {
      /* rate < 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick backward " + _rate);
      } catch (e) {
        evm.log("media player set backward failed!");
      }
    },
    getCurrentTime: function () { // 获取视频当前播放时间
      var me = this,
        currentTime = 0;
      try {
        currentTime = me.mp.getCurrentPlayTime();
      } catch (e) {
        evm.log("cannot get current play time!");
      }
      return currentTime;
    },
    getDuration: function () { // 获取视频时长
      var me = this,
        totalTime = 0;
      try {
        totalTime = me.mp.getDuration();
      } catch (e) {
        evm.log("cannot get total time!");
      }
      return totalTime;
    },
    // tools
    saveMpInstance: function () {
      var me = this;
      evm.cookie("mpInstance", me.mpInstanceId);
      return me;
    },
    // volume
    getVolume: function () {
      var me = this,
        vol;
      try {
        vol = me.mp.getVolume();
      } catch (e) {
        evm.log("getet current volume value failed");
      }
      return vol;
    },
    setVolume: function (value) {
      var me = this;
      try {
        me.CURRENT_VOLUME = value;
        me.mp.setVolume(Math.ceil(value));
        evm.log("set volume value:" + Math.ceil(value));
      } catch (e) {
        evm.log("set volume value failed");
      }
    },
    volumeUp: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME + me.STEP;
      var vol = currentVolume > me.MAX_VOLUME ? me.MAX_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    volumeDown: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME - me.STEP;
      var vol = currentVolume < me.MIN_VOLUME ? me.MIN_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    mute: function () {
      var me = this;
      me.isMute = true;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        AudioSetting.mute();
      } catch (e) {
        evm.log("set audio mute failed");
      }
    },
    unMute: function () {
      var me = this;
      me.isMute = false;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        AudioSetting.unMute();
      } catch (e) {
        evm.log("set audio unmute failed");
      }
    },
    systemEventHandler: function (evt) {
      var code = evt.which,
        me = medias.sichuan_stb_player;
      evm.log("systemEventHandler:" + code);
      switch (code) {
        case 13001:
          me.play();
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_URL_VALID");
          break;
        case 13002:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_URL_INVALID");
          break;
        case 13003:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PLAY_SUCCESS");
          break;
        case 13004:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PLAY_FAILED");
          break;
        case 13009:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PAUSE_SUCCESS");
          break;
        case 13010:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PAUSE_FAILED");
          break;
        case 13011:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_RESUME_SUCCESS");
          break;
        case 13012:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_RESUME_FAILED");
          break;
        case 13013:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_STOP_SUCCESS");
          break;
        case 13014:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_STOP_FAILED");
          break;
        case 13015:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PLAY_TO_END");
          if (typeof videoPlayEnd == 'function') {
            videoPlayEnd();
          }
          /* me.stop();
          setTimeout(function () {
            window.history.back();
          }, 500); */
          break;
      }
    }
  },
  coship_stb_player: {
    mp: null,
    mpInstanceId: '',
    MAX_VOLUME: 100,
    MIN_VOLUME: 0,
    CURRENT_VOLUME: 16,
    STEP: 1,
    exchangeMaxVol: 16,
    isMute: false,
    currentPlaySource: '',
    init: function (options) {
      var me = this;
      try {
        me.mp = new MediaPlayer();
        /* evm.log("===id:" + DataAccess.get("PLAYER_INSTANCE_ID"));
        if (DataAccess.get("PLAYER_INSTANCE_ID")) {
          me.mpInstanceId = DataAccess.get("PLAYER_INSTANCE_ID");
        } else {
          me.mpInstanceId = me.mp.getNativePlayerInstanceId();
          DataAccess.set("PLAYER_INSTANCE_ID", me.mpInstanceId);
        } */
        me.mpInstanceId = me.mp.getNativePlayerInstanceId();
        evm.log("player instance id:" + me.mpInstanceId);
        //me.mp.bindNativePlayerInstance(me.mpInstanceId);
      } catch (e) {
        evm.log("播放器初始化失败！");
      }
      me.STEP = me.MAX_VOLUME / me.exchangeMaxVol;
      me.CURRENT_VOLUME = me.getVolume() || (me.MAX_VOLUME / 2);
      var vol = Math.round(me.CURRENT_VOLUME / me.STEP) * me.STEP;
      me.setVolume(vol);
      return me;
    },
    destoryInstance: function () {
      var me = this;
      try {
        var ret = me.mp.unbindPlayerInstance(me.mpInstanceId);
        me.mp = null;
        me.mpInstanceId = '';
        evm.log("destroy player instance: " + ret);
      } catch (e) {
        evm.log("unable destory player instance!");
      }
    },
    setSource: function (address, token, extension, isVideo) {
      var me = this;
      evm.log("===address:" + address);
      me.trimSource(address, token, extension, isVideo);
      try {
        evm.log(evm.stbInfo.stb + " media url coship: " + me.currentPlaySource);
        me.isMute = false;
        me.unMute();
        if (isVideo) {
          //me.mp.enableTrickMode(true);
          me.mp.setAllowTrickmodeFlag(1);
        }
        //me.currentPlaySource = 'rtsp://10.80.234.13:554/;purchaseToken=;serverID=?AppPath=60010012&asset=sctv.com#ABCD1031909211159000&smartcard-id=8512010274665374&device-id=8512010274665374&home-id=110103686955&mediatime=3842&streamtransportmode=qam&ipvodservicegroupid=33206&duration=5340';
        me.currentPlaySource = 'rtsp://10.93.6.3/MediaInput/h264/stream_1';
        evm.log('==url:' + me.currentPlaySource);
        me.mp.setSingleMedia(me.currentPlaySource); //设置媒体播放器播放媒体内容，支持 URL 格式
        me.mp.playFromStart(); //开始播放
        evm.log('=====play ok=====');
      } catch (e) {
        evm.log("set media url failed!");
      }
    },
    // 处理播放字符串
    trimSource: function (address, token, extension, isVideo) {
      var me = this;
      if (arguments.length > 2) {
        if (!token) {
          me.currentPlaySource = address;
        } else {
          me.currentPlaySource = address + '/;purchaseToken=' + token + extension + (isVideo ? "" : "&paddingOpen=1") + ";serverID=?AppPath=60010001&assetUID=3bca6a47&smartcard-id=8280203837479710&device-id=8280203837479710&home-id=117102057054&purchase-id=4630717&streamtransportmode=ip;";
        }
      } else {
        me.currentPlaySource = address + (token ? "" : "&paddingOpen=1") + ";serverID=?AppPath=60010001&assetUID=3bca6a47&smartcard-id=8280203837479710&device-id=8280203837479710&home-id=117102057054&purchase-id=4630717&streamtransportmode=ip;";
      }
    },
    play: function () {
      var me = this;
      try {
        me.mp.play();
        evm.log("media player start playing success!");
      } catch (e) {
        evm.log("media player play failed!");
      }
    },
    pause: function () {
      var me = this;
      try {
        me.mp.pause();
        evm.log("media player pause success!");
      } catch (e) {
        evm.log("media player pause failed!");
      }
    },
    resume: function () {
      var me = this;
      try {
        me.mp.resume();
        evm.log("media player resume success!");
      } catch (e) {
        evm.log("media player resume failed!");
      }
    },
    stop: function () {
      /* stop but not destroy player instance */
      var me = this;
      try {
        me.mp.setPauseMode(0);
        me.mp.stop();
        evm.log("media player stop success!");
      } catch (e) {
        evm.log("media player stop failed!");
      }
    },
    exit: function () {
      /* stop and destroy player instance(guangdong) */
      var me = this;
      me.stop();
      me.unbindPlayerInstance();
    },
    fullscreen: function () {
      var me = this;
      try {
        me.mp.setVideoDisplayMode(1);
        me.mp.refresh();
        evm.log("media player set fullscreen success!");
      } catch (e) {
        evm.log("media player set fullscreen failed!");
      }
    },
    setPosition: function (left, top, width, height) {
      var me = this;
      try {
        // var rectangle = new Rectangle(left, top, width, height);
        me.mp.setVideoDisplayArea(rectangle);
        me.mp.setVideoDisplayMode(0);
        me.mp.refresh();
        evm.log("media player set windowed success!");
      } catch (e) {
        evm.log("media player set windowed failed!");
      }
    },
    setPace: function (_rate) {
      var me = this;
      try {
        me.mp.setPace(_rate);
        evm.log("media player set rate success!");
      } catch (e) {
        evm.log("media player set rate failed!");
      }
    },
    seek: function (_seekTime) {
      var me = this;
      try {
        me.mp.seek(1, _seekTime + "-");
        evm.log("media player seek time success!");
      } catch (e) {
        evm.log("media player seek time failed!");
      }
    },
    forward: function (_rate) {
      /* rate > 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick forward: " + _rate);
      } catch (e) {
        evm.log("media player set forward failed!");
      }
    },
    backward: function (_rate) {
      /* rate < 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick backward " + _rate);
      } catch (e) {
        evm.log("media player set backward failed!");
      }
    },
    getCurrentTime: function () { // 获取视频当前播放时间
      var me = this,
        currentTime = 0;
      try {
        currentTime = me.mp.getCurrentPlayTime();
      } catch (e) {
        evm.log("cannot get current play time!");
      }
      return currentTime;
    },
    getDuration: function () { // 获取视频时长
      var me = this,
        totalTime = 0;
      try {
        totalTime = me.mp.getDuration();
      } catch (e) {
        evm.log("cannot get total time!");
      }
      return totalTime;
    },
    // tools
    saveMpInstance: function () {
      var me = this;
      evm.cookie("mpInstance", me.mpInstanceId);
      return me;
    },
    // volume
    getVolume: function () {
      var me = this,
        vol;
      try {
        vol = me.mp.getVolume();
      } catch (e) {
        evm.log("getet current volume value failed");
      }
      return vol;
    },
    setVolume: function (value) {
      var me = this;
      try {
        me.CURRENT_VOLUME = value;
        me.mp.setVolume(Math.ceil(value));
        evm.log("set volume value:" + Math.ceil(value));
      } catch (e) {
        evm.log("set volume value failed");
      }
    },
    volumeUp: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME + me.STEP;
      var vol = currentVolume > me.MAX_VOLUME ? me.MAX_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    volumeDown: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME - me.STEP;
      var vol = currentVolume < me.MIN_VOLUME ? me.MIN_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    mute: function () {
      var me = this;
      me.isMute = true;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        //AudioSetting.mute();
        me.mp.setMuteFlag(1);
      } catch (e) {
        evm.log("set audio mute failed");
      }
    },
    unMute: function () {
      var me = this;
      me.isMute = false;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        //AudioSetting.unMute();
        me.mp.setMuteFlag(0);
      } catch (e) {
        evm.log("set audio unmute failed");
      }
    },
    systemEventHandler: function (evt) {
      var code = evt.which,
        me = medias.sichuan_stb_player;
      evm.log("systemEventHandler:" + code);
      switch (code) {
        case 13001:
          me.play();
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_URL_VALID");
          break;
        case 13002:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_URL_INVALID");
          break;
        case 13003:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PLAY_SUCCESS");
          break;
        case 13004:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PLAY_FAILED");
          break;
        case 13009:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PAUSE_SUCCESS");
          break;
        case 13010:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PAUSE_FAILED");
          break;
        case 13011:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_RESUME_SUCCESS");
          break;
        case 13012:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_RESUME_FAILED");
          break;
        case 13013:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_STOP_SUCCESS");
          break;
        case 13014:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_STOP_FAILED");
          break;
        case 13015:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PLAY_TO_END");
          if (typeof videoPlayEnd == 'function') {
            videoPlayEnd();
          }
          /* me.stop();
          setTimeout(function () {
            window.history.back();
          }, 500); */
          break;
      }
    }
  },
  guangdong_stb_player: {},
  henan_stb_ipanel_player: {
    mp: null,
    mpInstanceId: '',
    MAX_VOLUME: 100,
    MIN_VOLUME: 0,
    CURRENT_VOLUME: 16,
    STEP: 1,
    exchangeMaxVol: 16,
    isMute: false,
    currentPlaySource: '',
    init: function (options) {
      var me = this;
      try {
        me.mp = HTTPMedia;
      } catch (e) {
        evm.log("media init failed");
      }
      me.STEP = me.MAX_VOLUME / me.exchangeMaxVol;
      me.CURRENT_VOLUME = me.getVolume() || (me.MAX_VOLUME / 2);
      var vol = Math.round(me.CURRENT_VOLUME / me.STEP) * me.STEP;
      me.setVolume(vol);
      return me;
    },
    destoryInstance: function () {
      var me = this;
      try {
        var ret = me.mp.unbindPlayerInstance(me.mpInstanceId);
        me.mp = null;
        me.mpInstanceId = '';
        evm.log("destroy player instance: " + ret);
      } catch (e) {
        evm.log("unable destory player instance!");
      }
    },
    setSource: function (address, token, extension, isVideo) {
      var me = this;
      me.trimSource(address, token, extension, isVideo);
      try {
        evm.log("media url: " + me.currentPlaySource);
        me.isMute = false;
        me.unMute();
        me.play();
      } catch (e) {
        evm.log("set media url failed!");
      }
    },
    // 处理播放字符串
    trimSource: function (address, token, extension, isVideo) {
      var me = this;
      if (arguments.length > 2) {
        me.currentPlaySource = address + '/' + token;
      } else {
        me.currentPlaySource = address;
      }
      if (extension) {
        me.currentPlaySource += extension;
      }
    },
    play: function () {
      var me = this;
      try {
        me.mp.play(me.currentPlaySource);
        evm.log("media player start playing success!");
      } catch (e) {
        evm.log("media player play failed!");
      }
    },
    pause: function () {
      var me = this;
      try {
        me.mp.pause();
        evm.log("media player pause success!");
      } catch (e) {
        evm.log("media player pause failed!");
      }
    },
    resume: function () {
      var me = this;
      try {
        me.mp.resume();
        evm.log("media player resume success!");
      } catch (e) {
        evm.log("media player resume failed!");
      }
    },
    stop: function () {
      /* stop but not destroy player instance */
      var me = this;
      try {
        me.mp.stop();
        Media.stop();
        DVB.stopAV();
        evm.log("media player stop success!");
      } catch (e) {
        evm.log("media player stop failed!");
      }
    },
    exit: function () {
      /* stop and destroy player instance(guangdong) */
      var me = this;
      me.stop();
      me.unbindPlayerInstance();
    },
    fullscreen: function () {
      var me = this;
      try {
        me.setPosition(0, 0, 1280, 720);
        evm.log("media player set fullscreen success!");
      } catch (e) {
        evm.log("media player set fullscreen failed!");
      }
    },
    setPosition: function (left, top, width, height) {
      var me = this;
      try {
        me.mp.setWindow(left, top, width, height);
        evm.log("media player set windowed success!");
      } catch (e) {
        evm.log("media player set windowed failed!");
      }
    },
    setPace: function (_rate) {
      var me = this;
      try {
        me.mp.setPace(_rate);
        evm.log("media player set rate success!");
      } catch (e) {
        evm.log("media player set rate failed!");
      }
    },
    seek: function (_seekTime) {
      var me = this;
      try {
        me.mp.seek(1, _seekTime + "-");
        evm.log("media player seek time success!");
      } catch (e) {
        evm.log("media player seek time failed!");
      }
    },
    forward: function (_rate) {
      /* rate > 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick forward: " + _rate);
      } catch (e) {
        evm.log("media player set forward failed!");
      }
    },
    backward: function (_rate) {
      /* rate < 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick backward " + _rate);
      } catch (e) {
        evm.log("media player set backward failed!");
      }
    },
    getCurrentTime: function () { // 获取视频当前播放时间
      var me = this,
        currentTime = 0;
      try {
        currentTime = me.mp.getCurrentPlayTime();
      } catch (e) {
        evm.log("cannot get current play time!");
      }
      return currentTime;
    },
    getDuration: function () { // 获取视频时长
      var me = this,
        totalTime = 0;
      try {
        totalTime = me.mp.getDuration();
      } catch (e) {
        evm.log("cannot get total time!");
      }
      return totalTime;
    },
    // tools
    saveMpInstance: function () {
      var me = this;
      evm.cookie("mpInstance", me.mpInstanceId);
      return me;
    },
    // volume
    getVolume: function () {
      var me = this,
        vol;
      try {
        vol = Media.getVolume();
      } catch (e) {
        evm.log("getet current volume value failed");
      }
      return vol;
    },
    setVolume: function (value) {
      var me = this;
      try {
        me.CURRENT_VOLUME = value;
        me.mp.setVolume(Math.ceil(value));
        evm.log("set volume value:" + Math.ceil(value));
      } catch (e) {
        evm.log("set volume value failed");
      }
    },
    volumeUp: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME + me.STEP;
      var vol = currentVolume > me.MAX_VOLUME ? me.MAX_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    volumeDown: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME - me.STEP;
      var vol = currentVolume < me.MIN_VOLUME ? me.MIN_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    mute: function () {
      var me = this;
      me.isMute = true;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        Media.setMute(true);
      } catch (e) {
        evm.log("set audio mute failed");
      }
    },
    unMute: function () {
      var me = this;
      me.isMute = false;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        Media.setMute(false);
      } catch (e) {
        evm.log("set audio unmute failed");
      }
    }
  },
  henan_stb_player: {
    mp: null,
    mpInstanceId: '',
    MAX_VOLUME: 100,
    MIN_VOLUME: 0,
    CURRENT_VOLUME: 16,
    STEP: 1,
    exchangeMaxVol: 16,
    isMute: false,
    currentPlaySource: '',
    init: function (options) {
      var me = this;
      try {
        me.mp = VODMedia;
      } catch (e) {
        evm.log("media init failed");
      }
      me.STEP = me.MAX_VOLUME / me.exchangeMaxVol;
      me.CURRENT_VOLUME = me.getVolume() || (me.MAX_VOLUME / 2);
      var vol = Math.round(me.CURRENT_VOLUME / me.STEP) * me.STEP;
      me.setVolume(vol);
      return me;
    },
    destoryInstance: function () {
      var me = this;
      try {
        var ret = me.mp.unbindPlayerInstance(me.mpInstanceId);
        me.mp = null;
        me.mpInstanceId = '';
        evm.log("destroy player instance: " + ret);
      } catch (e) {
        evm.log("unable destory player instance!");
      }
    },
    setSource: function (address, token, extension, isVideo) {
      var me = this;
      me.trimSource(address, token, extension, isVideo);
      try {
        evm.log("media url: " + me.currentPlaySource);
        me.isMute = false;
        me.unMute();
        me.play();
      } catch (e) {
        evm.log("set media url failed!");
      }
    },
    // 处理播放字符串
    trimSource: function (address, token, extension, isVideo) {
      var me = this;
      if (arguments.length > 2) {
        me.currentPlaySource = address + '/;purchaseToken=' + token + ';service=1.1.1.1?duration=7800000&starttime=1';
      } else {
        me.currentPlaySource = address;
      }
      if (extension) {
        me.currentPlaySource += extension;
      }
    },
    play: function () {
      var me = this;
      try {
        me.mp.play(me.currentPlaySource);
        evm.log("media player start playing success!");
      } catch (e) {
        evm.log("media player play failed!");
      }
    },
    pause: function () {
      var me = this;
      try {
        me.mp.pausePlay();
        evm.log("media player pause success!");
      } catch (e) {
        evm.log("media player pause failed!");
      }
    },
    resume: function () {
      var me = this;
      try {
        me.mp.resumePlay();
        evm.log("media player resume success!");
      } catch (e) {
        evm.log("media player resume failed!");
      }
    },
    stop: function () {
      /* stop but not destroy player instance */
      var me = this;
      try {
        me.mp.stopPlay();
        me.mp.exit()
        evm.log("media player stop success!");
      } catch (e) {
        evm.log("media player stop failed!");
      }
    },
    exit: function () {
      /* stop and destroy player instance(guangdong) */
      var me = this;
      me.stop();
    },
    fullscreen: function () {
      var me = this;
      try {
        me.setPosition(0, 0, 1280, 720);
        evm.log("media player set fullscreen success!");
      } catch (e) {
        evm.log("media player set fullscreen failed!");
      }
    },
    setPosition: function (left, top, width, height) {
      var me = this;
      try {
        Media.setPosition(left, top, width, height);
        evm.log("media player set windowed success!");
      } catch (e) {
        evm.log("media player set windowed failed!");
      }
    },
    setPace: function (_rate) {
      var me = this;
      try {
        me.mp.setPace(_rate);
        evm.log("media player set rate success!");
      } catch (e) {
        evm.log("media player set rate failed!");
      }
    },
    seek: function (_seekTime) {
      var me = this;
      try {
        me.mp.seek(1, _seekTime + "-");
        evm.log("media player seek time success!");
      } catch (e) {
        evm.log("media player seek time failed!");
      }
    },
    forward: function (_rate) {
      /* rate > 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick forward: " + _rate);
      } catch (e) {
        evm.log("media player set forward failed!");
      }
    },
    backward: function (_rate) {
      /* rate < 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick backward " + _rate);
      } catch (e) {
        evm.log("media player set backward failed!");
      }
    },
    getCurrentTime: function () { // 获取视频当前播放时间
      var me = this,
        currentTime = 0;
      try {
        currentTime = me.mp.getCurrentPlayTime();
      } catch (e) {
        evm.log("cannot get current play time!");
      }
      return currentTime;
    },
    getDuration: function () { // 获取视频时长
      var me = this,
        totalTime = 0;
      try {
        totalTime = me.mp.getDuration();
      } catch (e) {
        evm.log("cannot get total time!");
      }
      return totalTime;
    },
    // tools
    saveMpInstance: function () {
      var me = this;
      evm.cookie("mpInstance", me.mpInstanceId);
      return me;
    },
    // volume
    getVolume: function () {
      var me = this,
        vol;
      try {
        vol = Media.getVolume();
      } catch (e) {
        evm.log("getet current volume value failed");
      }
      return vol;
    },
    setVolume: function (value) {
      var me = this;
      try {
        me.CURRENT_VOLUME = value;
        me.mp.setVolume(Math.ceil(value));
        evm.log("set volume value:" + Math.ceil(value));
      } catch (e) {
        evm.log("set volume value failed");
      }
    },
    volumeUp: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME + me.STEP;
      var vol = currentVolume > me.MAX_VOLUME ? me.MAX_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    volumeDown: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME - me.STEP;
      var vol = currentVolume < me.MIN_VOLUME ? me.MIN_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    mute: function () {
      var me = this;
      me.isMute = true;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        me.mp.setMute(true);
      } catch (e) {
        evm.log("set audio mute failed");
      }
    },
    unMute: function () {
      var me = this;
      me.isMute = false;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        me.mp.setMute(false);
      } catch (e) {
        evm.log("set audio unmute failed");
      }
    }
  },
  gansu_stb_player: {},
  hebei_stb_player: {
    mp: null,
    mpInstanceId: '',
    MAX_VOLUME: 100,
    MIN_VOLUME: 0,
    CURRENT_VOLUME: 16,
    STEP: 1,
    exchangeMaxVol: 16,
    isMute: false,
    currentPlaySource: '',
    init: function (options) {
      var me = this;
      try {

      } catch (e) {
        evm.log("media init failed");
      }
      me.STEP = me.MAX_VOLUME / me.exchangeMaxVol;
      me.CURRENT_VOLUME = me.getVolume() || (me.MAX_VOLUME / 2);
      var vol = Math.round(me.CURRENT_VOLUME / me.STEP) * me.STEP;
      me.setVolume(vol);
      return me;
    },
    destoryInstance: function () {
      var me = this;
      try {
        var ret = 0;
        me.mp = null;
        me.mpInstanceId = '';
        evm.log("destroy player instance: " + ret);
      } catch (e) {
        evm.log("unable destory player instance!");
      }
    },
    setSource: function (address, token, extension, isVideo) {
      var me = this;
      me.trimSource(address, token, extension, isVideo);
      try {
        evm.log("media url: " + me.currentPlaySource);
        me.isMute = false;
        var er = new EnReach();
        er.SetRtspInfo(me.currentPlaySource, "js1", 3600);
        me.unMute();
      } catch (e) {
        evm.log("set media url failed!");
      }
    },
    // 处理播放字符串
    trimSource: function (address, token, extension, isVideo) {
      var me = this;
      if (arguments.length > 2) {
        me.currentPlaySource = address + '/;purchaseToken=' + token + ';&isWindowed=1;sendMode=CBR';
      } else {
        me.currentPlaySource = address;
      }
      if (extension) {
        me.currentPlaySource += extension;
      }
    },
    play: function () {
      var me = this;
      try {
        evm.log("media player start playing success!");
      } catch (e) {
        evm.log("media player play failed!");
      }
    },
    pause: function () {
      var me = this;
      try {
        evm.log("media player pause success!");
      } catch (e) {
        evm.log("media player pause failed!");
      }
    },
    resume: function () {
      var me = this;
      try {
        evm.log("media player resume success!");
      } catch (e) {
        evm.log("media player resume failed!");
      }
    },
    stop: function () {
      /* stop but not destroy player instance */
      var me = this;
      try {
        var er = new EnReach();
        er.VodStop();
        evm.log("media player stop success!");
      } catch (e) {
        evm.log("media player stop failed!");
      }
    },
    exit: function () {
      /* stop and destroy player instance(guangdong) */
      var me = this;
      me.stop();
    },
    fullscreen: function () {
      var me = this;
      try {
        me.setPosition(0, 0, 1280, 720);
        evm.log("media player set fullscreen success!");
      } catch (e) {
        evm.log("media player set fullscreen failed!");
      }
    },
    setPosition: function (left, top, width, height) {
      var me = this;
      try {
        var er = new EnReach();
        er.SetSmallWindow(left, top, width, height);
        evm.log("media player set windowed success!");
      } catch (e) {
        evm.log("media player set windowed failed!");
      }
    },
    setPace: function (_rate) {
      var me = this;
      try {
        evm.log("media player set rate success!");
      } catch (e) {
        evm.log("media player set rate failed!");
      }
    },
    seek: function (_seekTime) {
      var me = this;
      try {
        evm.log("media player seek time success!");
      } catch (e) {
        evm.log("media player seek time failed!");
      }
    },
    forward: function (_rate) {
      /* rate > 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick forward: " + _rate);
      } catch (e) {
        evm.log("media player set forward failed!");
      }
    },
    backward: function (_rate) {
      /* rate < 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick backward " + _rate);
      } catch (e) {
        evm.log("media player set backward failed!");
      }
    },
    getCurrentTime: function () { // 获取视频当前播放时间
      var me = this,
        currentTime = 0;
      try {

      } catch (e) {
        evm.log("cannot get current play time!");
      }
      return currentTime;
    },
    getDuration: function () { // 获取视频时长
      var me = this,
        totalTime = 0;
      try {

      } catch (e) {
        evm.log("cannot get total time!");
      }
      return totalTime;
    },
    // tools
    saveMpInstance: function () {
      var me = this;
      evm.cookie("mpInstance", me.mpInstanceId);
      return me;
    },
    // volume
    getVolume: function () {
      var me = this,
        vol;
      try {
        vol = player.getVolume();
      } catch (e) {
        evm.log("getet current volume value failed");
      }
      return vol;
    },
    setVolume: function (value) {
      var me = this;
      try {
        me.CURRENT_VOLUME = value;
        player.setVolume(Math.ceil(value));
        evm.log("set volume value:" + Math.ceil(value));
      } catch (e) {
        evm.log("set volume value failed");
      }
    },
    volumeUp: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME + me.STEP;
      var vol = currentVolume > me.MAX_VOLUME ? me.MAX_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    volumeDown: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME - me.STEP;
      var vol = currentVolume < me.MIN_VOLUME ? me.MIN_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    mute: function () {
      var me = this;
      me.isMute = true;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        player.setMute(true);
      } catch (e) {
        evm.log("set audio mute failed");
      }
    },
    unMute: function () {
      var me = this;
      me.isMute = false;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        player.setMute(false);
      } catch (e) {
        evm.log("set audio unmute failed");
      }
    }
  },
  heibei_stb_player: {},
  puer_stb_player: {},
  yuxi_stb_player: {},
  shandong_stb_player: {},
  liaoning_stb_player: {},
  jilin_stb_player: {},
  shangyu_stb_player: {},
  evm_apk_player: {
    mp: null,
    mpInstanceId: '',
    MAX_VOLUME: 100,
    MIN_VOLUME: 0,
    CURRENT_VOLUME: 16,
    STEP: 1,
    exchangeMaxVol: 16,
    isMute: false,
    currentPlaySource: '',
    init: function (options) {
      var me = this;
      me.STEP = me.MAX_VOLUME / me.exchangeMaxVol;
      me.CURRENT_VOLUME = me.getVolume() || (me.MAX_VOLUME / 2);
      var vol = Math.round(me.CURRENT_VOLUME / me.STEP) * me.STEP;
      me.setVolume(vol);
      return me;
    },
    destoryInstance: function () {},
    setSource: function (address, token, extension, live, isVideo) {
      var me = this;
      me.trimSource(address, token, extension, live, isVideo);
      try {
        evm.log("media url: " + me.currentPlaySource);
        me.isMute = false;
        // me.unMute();
        media.play(me.currentPlaySource);
      } catch (e) {
        evm.log("set media url failed!");
      }
    },
    // 处理播放字符串
    trimSource: function (address, token, extension, isVideo) {
      var me = this;
      if (arguments.length > 2) {
        /*if (live) {
		  me.currentPlaySource = address + '/;purchaseToken=' + token + ";serverID=?AppPath=60010001&assetUID=3bca6a47&smartcard-id=8280203837479710&device-id=8280203837479710&home-id=117102057054&purchase-id=4630717&streamtransportmode=ip;";
		}
        else {*/
        me.currentPlaySource = address + '/' + token;
        //}
      } else {
        me.currentPlaySource = address;
      }
    },
    play: function () {},
    pause: function () {},
    resume: function () {},
    stop: function () {
      /* stop but not destroy player instance */
      try {
        media.stop();
        evm.log("media player stop success!");
      } catch (e) {
        evm.log("media player stop failed!");
      }
    },
    exit: function () {
      /* stop and destroy player instance(guangdong) */
      media.stop();
    },
    fullscreen: function () {
      var me = this;
      try {
        me.setPosition(0, 0, 1280, 720);
        evm.log("media player set fullscreen success!");
      } catch (e) {
        evm.log("media player set fullscreen failed!");
      }
    },
    setPosition: function (left, top, width, height) {
      var me = this;
      try {
        media.setPosition(left, top, width, height);
        evm.log("media player set windowed success!");
      } catch (e) {
        evm.log("media player set windowed failed!");
      }
    },
    setPace: function (_rate) {},
    seek: function (_seekTime) {},
    forward: function (_rate) {},
    backward: function (_rate) {},
    getCurrentTime: function () {}, // 获取视频当前播放时间
    getDuration: function () {}, // 获取视频时长
    // tools
    saveMpInstance: function () {},
    // volume
    getVolume: function () {
      var me = this,
        vol;
      try {

      } catch (e) {
        evm.log("getet current volume value failed");
      }
      return vol;
    },
    setVolume: function (value) {
      var me = this;
      try {
        me.CURRENT_VOLUME = value;
        evm.log("set volume value:" + Math.ceil(value));
      } catch (e) {
        evm.log("set volume value failed");
      }
    },
    volumeUp: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME + me.STEP;
      var vol = currentVolume > me.MAX_VOLUME ? me.MAX_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    volumeDown: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME - me.STEP;
      var vol = currentVolume < me.MIN_VOLUME ? me.MIN_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
    },
    mute: function () {
      var me = this;
      me.isMute = true;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {

      } catch (e) {
        evm.log("set audio mute failed");
      }
    },
    unMute: function () {
      var me = this;
      me.isMute = false;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {

      } catch (e) {
        evm.log("set audio unmute failed");
      }
    },
  }
};


function volumeBarInit() {
  var volPanel = evm.createElem("div", {
      id: "volPanel",
      style: "position:absolute;font-size:26px;display:none;top:260px;left:540px;width:200px;height:200px;background:transparent"
    }),
    volPanelBg = evm.createElem("img", {
      id: "volPanelBg",
      style: "position:absolute;top:0;left:0;width:100%;height:100%"
    });
  volPanelBg.src = "../images/volume/volPanelBg.png";
  volName = evm.createElem("div", {
    id: "volName",
    style: "position:absolute;top:10px;left:10px;width:180px;height:25px;line-height:25px;text-align:center;color:#FFF"
  });
  volIcon = evm.createElem("img", {
    id: "volIcon",
    style: "position:absolute;top:55px;left:50px;width:100px;height:100px"
  });
  volIcon.src = "../images/volume/vol_on.png";
  volCellBox = evm.createElem("div", {
    id: "volCellBox",
    style: "position:absolute;top:175px;left:5px;width:190px;height:12px;overflow:hidden"
  });
  volCellBoxBg = evm.createElem("img", {
    id: "volCellBoxBg",
    style: "position:absolute;top:-1px;left:0;width:100%;height:13px"
  });
  volCellBoxBg.src = "../images/volume/vol_box_bg.png";
  volCellBox.appendChild(volCellBoxBg);
  volMute = evm.createElem("div", {
    id: "volMute",
    style: "position:absolute;display:none;top:165px;left:10px;width:180px;height:25px;line-height:25px;text-align:center;color:#FFF"
  });
  evm.html(volName, "音量");
  evm.html(volMute, "静音");
  volPanel.appendChild(volPanelBg);
  volPanel.appendChild(volName);
  volPanel.appendChild(volIcon);
  volPanel.appendChild(volCellBox);
  volPanel.appendChild(volMute);
  for (var i = 0; i < evm_media.exchangeMaxVol; i++) {
    var volCell = evm.createElem("img", {
      id: "volCell" + (i + 1),
      style: "position:absolute;top:2px;left:" + (i * 12) + "px;width:10px;height:8px;border-radius:2px"
    });
    volCell.src = "../images/volume/vol_cell.png";
    volCellBox.appendChild(volCell);
  }
  document.body.appendChild(volPanel);
  paintVol(evm_media.CURRENT_VOLUME, evm_media.MAX_VOLUME);
}

function paintVol(vol, maxVol) {
  var number = parseInt(vol / maxVol * evm_media.exchangeMaxVol);
  if (vol == 0 || evm_media.isMute) {
    evm.$("volIcon").src = "../images/volume/vol_off.png";
    evm.css(evm.$("volCellBox"), {
      display: "none"
    });
    evm.css(evm.$("volMute"), {
      display: "block"
    });
  } else {
    evm.$("volIcon").src = "../images/volume/vol_on.png";
    evm.css(evm.$("volCellBox"), {
      display: "block"
    });
    evm.css(evm.$("volMute"), {
      display: "none"
    });
    for (var i = 0; i < evm_media.exchangeMaxVol; i++) {
      if (i < number) {
        evm.css(evm.$("volCell" + (i + 1)), {
          display: "block"
        });
      } else {
        evm.css(evm.$("volCell" + (i + 1)), {
          display: "none"
        });
      }
    }
  }
}
var volTimer = null,
  volDelay = 3000;

function showVolUI() {
  clearTimeout(volTimer);
  evm.css(evm.$("volPanel"), {
    display: "block"
  });
}

function delayHideVolUI() {
  volTimer = setTimeout(function () {
    evm.css(evm.$("volPanel"), {
      display: "none"
    });
  }, volDelay);
}