var evm_media = {
    mp: null,
    mpInstanceId: '',
    MAX_VOLUME: 32,
    MIN_VOLUME: 0,
    CURRENT_VOLUME: 16,
    STEP: 1,
    exchangeMaxVol: 16,
    isMute: false,
    source: '',
    video: false,
    init: function (options) {
        var me = this;
        try {
            me.mp = new MediaPlayer();
            if (GlobalVarManager.getItemValue("PLAYER_INSTANCE_ID") == null) {
                me.mpInstanceId = me.mp.getPlayerInstanceID();
                GlobalVarManager.setItemValue("PLAYER_INSTANCE_ID", me.mpInstanceId);
            } else {
                me.mpInstanceId = GlobalVarManager.getItemValue("PLAYER_INSTANCE_ID");
            }
            me.mp.bindPlayerInstance(me.mpInstanceId);
        } catch (e) {
            evm.log("播放器初始化失败！");
        }
        me.MAX_VOLUME = options.max_volume || 32;
        me.STEP = me.MAX_VOLUME / me.exchangeMaxVol;
        me.CURRENT_VOLUME = me.getVolume() || (me.MAX_VOLUME / 2);
        var vol = Math.round(me.CURRENT_VOLUME / me.STEP) * me.STEP;
        me.setVolume(vol);
        volumeBarInit();
        return me;
    },
    destoryInstance: function () {
        var me = this;
        try {
            var ret = me.mp.unbindPlayerInstance(me.mpInstanceId);
            me.mp = null;
            me.mpInstanceId = '';
            me.log("播放器解绑: " + ret);
        } catch (e) {

        }
        return me;
    },
    setSource: function (address, token, extension, isVideo) {
        var me = this,
            source;
        if (arguments.length > 1) {
            me.video = isVideo;
            source = me.trimSource(address, token, extension, isVideo);
        } else {
            if (is_evm_apk) {
                source = address;
            }
            else {
                source = address + "&paddingOpen=1;serverID=?AppPath=60010001&assetUID=3bca6a47"
                + "&smartcard-id=8280203837479710&device-id=8280203837479710&home-id=117102057054&purchase-id=4630717"
                + "&streamtransportmode=ip;";
            }
        }
        me.source = source;
        try {
            me.log("media source: "+ source);
            me.isMute = false;
            if ( is_evm_apk ) {
                media.play( source );
            }
            else {
                if(isVideo) {
                    me.mp.enableTrickMode(true);
                }
                me.mp.setMediaSource(source);
            }

           me.log("media source: "+ source);
        } catch (e) {

        }
        return me;
    },
    // 处理播放字符串
    trimSource: function (address, token, extension, isVideo) {
        var me = this, source = '';

        if ( is_evm_apk ) {
            if(!token) {
                source = address;
            }
            else {
                source = address + (token ? ('/' + token) : '');
            }
        } else {
            if(!token) {
                source = address;
            }
            else {
                source = address + (token ? ('/;purchaseToken=' + token) : '') + extension + (isVideo?"":"&paddingOpen=1") + ";serverID=?AppPath=60010001&assetUID=3bca6a47&smartcard-id=8280203837479710&device-id=8280203837479710" + "&home-id=117102057054&purchase-id=4630717&streamtransportmode=ip;";
            }
        }
        if ( extension ) { source += extension; }

        return source;
    },
    play: function () {
        var me = this;
        try {
            if (!is_evm_apk) {
                me.mp.play();
            }
        } catch (e) {

        }
        me.log("start playing!");
        return me;
    },
    pause: function () {
        var me = this;
        try {
            me.mp.setPauseMode(1);
            me.mp.pause();
        } catch (e) {

        }
        me.log("media player pause!");
        return me;
    },
    resume: function () {
        var me = this;
        try {
            me.mp.resume();
        } catch (e) {

        }
        me.log("media player resume!");
        return me;
    },
    stop: function () {
        var me = this;
        try {
            if (is_evm_apk) {
                media.stop();
            }
            else {
                me.mp.setPauseMode(0);
                me.mp.stop();
                // me.mp.stop();
                // me.mp.clearVideoOutput();
            }

        } catch (e) {

        }
        me.log("media player stop!");
        return me;
    },
    fullscreen: function () {
        var me = this;
        try {
            if (is_evm_apk) {
                me.setPosition( 0, 0, 1280, 720 );
            }
            else {
                me.mp.setVideoDisplayMode(1);
                me.mp.refresh();
            }
        } catch (e) {

        }
        me.log("media player fullscreen!");
        return me;
    },
    setPosition: function (left, top, width, height) {
        var me = this;
        try {
            if (is_evm_apk) {
                media.setPosition( left, top, width, height );
            }
            else {
                var rectangle = new Rectangle(left, top, width, height);
                me.mp.setVideoDisplayArea(rectangle)
                me.mp.setVideoDisplayMode(0);
                me.mp.refresh();
            }
        } catch (e) {

        }
        me.log("media player windowed!");
        return me;
    },
    setPace: function(_rate) {
        var me = this;
        try {
            me.mp.setPace(_rate);
        } catch(e) {

        }
        return me;
    },
    seek: function(_seekTime) {
        var me = this;
        try{
            me.mp.seek(1, _seekTime + "-");
        }catch(e) {

        }
    },
    forward: function (_rate) {
        var me = this;
        try {
            me.setPace(_rate);
        } catch (e) {

        }
        me.log("media player quick forward "+_rate);
        return me;
    },
    backward: function (_rate) {
        var me = this;
        try {
            me.setPace(_rate);
        } catch (e) {

        }
        me.log("media player quick backward "+_rate);
        return me;
    },
    getCurrentTime: function() { // 获取视频当前播放时间
        var me = this,
            currentTime = 0;
        try {
            currentTime = me.mp.getCurrentPlayTime();
        } catch(e) {

        }
        return currentTime;
    },
    getDuration: function() { // 获取视频时长
        var me = this,
            totalTime = 0;
        try {
            totalTime = me.mp.getDuration();
        } catch(e) {

        }
        return totalTime;
    },
    // tools
    log: function (str) {
        evm.log(str);
    },
    saveMpInstance: function () {
        var me = this;
        me.log(me.mpInstanceId);
        evm.cookie("mpInstance", me.mpInstanceId);
        return me;
    },
    // volume
    getVolume: function () {
        var me = this,
            vol;
        try {
            vol = me.mp.getVolume();
        } catch (e) {

        }
        return vol;
    },
    setVolume: function (value) {
        var me = this;
        try {
            me.CURRENT_VOLUME = value;
            me.mp.setVolume(Math.ceil(value));
        } catch (e) {

        }

        me.log("set volume value:" + Math.ceil(value));
        return me;
    },
    volumeUp: function () {
        var me = this;
        if (me.isMute) {
            me.isMute = false;
        }
        var currentVolume = me.CURRENT_VOLUME + me.STEP;
        var vol = currentVolume > me.MAX_VOLUME ? me.MAX_VOLUME : currentVolume;
        me.setVolume(vol);
        paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
        showVolUI();
        delayHideVolUI();
        return me;
    },
    volumeDown: function () {
        var me = this;
        if (me.isMute) {
            me.isMute = false;
        }
        var currentVolume = me.CURRENT_VOLUME - me.STEP;
        var vol = currentVolume < me.MIN_VOLUME ? me.MIN_VOLUME : currentVolume;
        me.setVolume(vol);
        paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
        showVolUI();
        delayHideVolUI();
        return me;
    },
    mute: function () {
        var me = this;
        me.isMute = true;
        paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
        showVolUI();
        delayHideVolUI();
        try {
            AudioSetting.mute();
        } catch (e) {

        }
        return me;
    },
    unMute: function () {
        var me = this;
        me.isMute = false;
        paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
        showVolUI();
        delayHideVolUI();
        try {
            AudioSetting.unMute();
        } catch (e) {

        }
        return me;
    },
    systemEventHandler: function (evt) {
        var code = evt.which,
            me = evm_media;
        me.log("code:" + code);
        switch (code) {
            case 13001:
                me.play();
                me.log("MSG_MEDIA_URL_VALID");
                break;
            case 13002:
                me.log("MSG_MEDIA_URL_INVALID");
                break;
            case 13003:
                me.log("MSG_MEDIA_PLAY_SUCCESS");
                break;
            case 13004:
                me.log("MSG_MEDIA_PLAY_FAILED");
                break;
            case 13009:
                me.log("MSG_MEDIA_PAUSE_SUCCESS");
                break;
            case 13010:
                me.log("MSG_MEDIA_PAUSE_FAILED");
                break;
            case 13011:
                me.log("MSG_MEDIA_RESUME_SUCCESS");
                break;
            case 13012:
                me.log("MSG_MEDIA_RESUME_FAILED");
                break;
            case 13013:
                me.log("MSG_MEDIA_STOP_SUCCESS");
                break;
            case 13014:
                me.log("MSG_MEDIA_STOP_FAILED");
                break;
            case 13015:
                // me.stop();
                // me.destoryInstance();
                if (typeof videoPlayEnd == 'function') {
                    videoPlayEnd();
                }
                me.log("MSG_MEDIA_PLAY_TO_END");
                // setTimeout(function() {
                //     window.history.back();
                // }, 500);
                break;

        }
    }
}

function volumeBarInit() {
    var volPanel = evm.createElem("div", {
            id: "volPanel",
            style: "position:absolute;font-size:26px;display:none;top:260px;left:540px;width:200px;height:200px;background:transparent"
        }),
        volPanelBg = evm.createElem("img", {
            id: "volPanelBg",
            style: "position:absolute;top:0;left:0;width:100%;height:100%"
        });
    volPanelBg.src = "../images/volume/volPanelBg.png";
    volName = evm.createElem("div", {
        id: "volName",
        style: "position:absolute;top:10px;left:10px;width:180px;height:25px;line-height:25px;text-align:center;color:#FFF"
    });
    volIcon = evm.createElem("img", {
        id: "volIcon",
        style: "position:absolute;top:55px;left:50px;width:100px;height:100px"
    });
    volIcon.src = "../images/volume/vol_on.png";
    volCellBox = evm.createElem("div", {
        id: "volCellBox",
        style: "position:absolute;top:175px;left:5px;width:190px;height:12px;overflow:hidden"
    });
    volCellBoxBg = evm.createElem("img", {
        id: "volCellBoxBg",
        style: "position:absolute;top:-1px;left:0;width:100%;height:13px"
    });
    volCellBoxBg.src = "../images/volume/vol_box_bg.png";
    volCellBox.appendChild(volCellBoxBg);
    volMute = evm.createElem("div", {
        id: "volMute",
        style: "position:absolute;display:none;top:165px;left:10px;width:180px;height:25px;line-height:25px;text-align:center;color:#FFF"
    });
    evm.html(volName, "音量");
    evm.html(volMute, "静音");
    volPanel.appendChild(volPanelBg);
    volPanel.appendChild(volName);
    volPanel.appendChild(volIcon);
    volPanel.appendChild(volCellBox);
    volPanel.appendChild(volMute);
    for (var i = 0; i < evm_media.exchangeMaxVol; i++) {
        var volCell = evm.createElem("img", {
            id: "volCell" + (i + 1),
            style: "position:absolute;top:2px;left:" + (i * 12) + "px;width:10px;height:8px;border-radius:2px"
        });
        volCell.src = "../images/volume/vol_cell.png";
        volCellBox.appendChild(volCell);
    }
    document.body.appendChild(volPanel);
    paintVol(evm_media.CURRENT_VOLUME, evm_media.MAX_VOLUME);
}

function paintVol(vol, maxVol) {
    var number = parseInt(vol / maxVol * evm_media.exchangeMaxVol);
    if (vol == 0 || evm_media.isMute) {
        evm.$("volIcon").src = "../images/volume/vol_off.png";
        evm.css(evm.$("volCellBox"), {
            display: "none"
        });
        evm.css(evm.$("volMute"), {
            display: "block"
        });
    } else {
        evm.$("volIcon").src = "../images/volume/vol_on.png";
        evm.css(evm.$("volCellBox"), {
            display: "block"
        });
        evm.css(evm.$("volMute"), {
            display: "none"
        });
        for (var i = 0; i < evm_media.exchangeMaxVol; i++) {
            if (i < number) {
                evm.css(evm.$("volCell" + (i + 1)), {
                    display: "block"
                });
            } else {
                evm.css(evm.$("volCell" + (i + 1)), {
                    display: "none"
                });
            }
        }
    }
}
var volTimer = null,
    volDelay = 8000;

function showVolUI() {
    clearTimeout(volTimer);
    evm.css(evm.$("volPanel"), {
        display: "block"
    });
}

function delayHideVolUI() {
    volTimer = setTimeout(function () {
        evm.css(evm.$("volPanel"), {
            display: "none"
        });
    }, volDelay);
}
evm_media.init({
    max_volume: 100
});
