/*
 * created: 2018-11-19
 * 配置项初始化evm.globalConfig: <GlobalConfigObject>
 * class GlobalConfigObject {
 *   debug: boolean; // true模拟数据
 *   is_android: boolean; // true安卓机顶盒
 *.  is_board: boolean; // true是村委stb
 *   cms_server: string; // http://192.168.0.3:8080
 *   ums_server: string;
 *   auth_power: number;  // 0未开通 1已开通
 *   unauth_page_url: string; // 未开通业务提示页地址
 *.  bridge_switch: boolean; // true启用php中转
 *   bridge_php: string;
 *   mac_code: string; // stb标示符
 * }
 */


if (!evm) {
    throw new Error('depended on evm-1.0.1.min.js');
}

evm.namespace('globalConfig');

var is_evm_apk = false;

evm.addStbUAExpression({
    expression: /ipanel|enrich/,
    stb: 'ipanel_sichuan',
    browser: 'stb'
});

evm.importKeyCode({
    stb: "ipanel_sichuan",
    keymap: {
        13: "SELECT",
        37: "LEFT",
        38: "UP",
        39: "RIGHT",
        40: "DOWN",
        8: "BACK",
        1097: "MUTE",
        1063: "PAGE_UP",
        1064: "PAGE_DOWN",
        1095: "VOL_UP",
        1096: "VOL_DOWN",
        412: "FAST_FORWARD",
        417: "REWIND",
        1045: "PLAY",
        19: "PAUSE",
        1043: "STOP",
        1046: "RECORD",
        403: "RED",
        404: "GREEN",
        405: "YELLOW",
        406: "BLUE",
        151: "ASTERISK",
        520: "WELL"
    }
});

evm.addStbUAExpression({
    expression: /android/,
    stb: 'evm_apk',
    browser: 'stb'
});

evm.importKeyCode({
    stb: "evm_apk",
    keymap: {
        13: "SELECT",
        37: "LEFT",
        38: "UP",
        39: "RIGHT",
        40: "DOWN",
        67: "MUTE",
        33: "PAGE_UP",
        34: "PAGE_DOWN",
        8: "BACK"
    }
});

try {
    evm.getStbInfo();
} catch (e) {

}

evm.log(navigator.userAgent);

if (evm.stbInfo.stb === 'evm_apk') {
    evm.globalConfig.is_android = true;
    is_evm_apk = true;
}

// var SERVER = 'http://172.31.222.6:8080'
var SERVER = /^10./.test(location.host) ? 'http://10.102.1.19:8080' : 'http://60.255.71.30:19003';
// var SERVER = /^10./.test(location.host) ? 'http://10.102.3.6:8080' : 'http://192.168.0.12:8080';
// var SERVER = 'http://10.102.3.200:8080';


evm.extend(evm.globalConfig, {
    debug: false,
    is_android: false,
    is_board: true,
    is_tourists: false,
    enableMessagePipe: true, //项目无消息通道此项设置false
    cms_server: SERVER, // 四川 10.215.75.2
    cms_keyword: '\/EMSP_CMS',
    lms_server: '',
    aums_server: SERVER, // 四川
    ums_server: SERVER,
    csm_server: SERVER,
    cpns_server: SERVER,
    easydms_server: SERVER,
    siteId: 41,
    host: location.hostname,
    protocol: location.protocol,
    tomcat_port: '8080',
    tomcat_url: '',
    auth_power: 0,
    unauth_page_url: '',
    mac_code: '',
    onMeeting: false,
    onCall: false,
    area_stb_code: 6, // 用户查询对应机顶盒code
    live_stb_type: 0, // 直播中机顶盒对应code
    live_type: { // 直播类型
        all: 0,
        normal: 1,
        villiage: 2,
        town: 3
    },
    live_range: { // 直播列表获取的区域范围
        current: 0,
        upper: 1,
        down: 2
    },
    article_type: { // 文章列表获取的区域范围
        current: '',
        upper: 1,
        down: 2
    },
    area_level: { // 文章列表获取的区域层级
        // 国、省/直辖市、市、区/县、乡/镇、村/社区、小组/小区
        country: 1,
        province: 2,
        city: 3,
        area: 4,
        town: 5,
        village: 6,
        group: 7
    },
    FtypeId: 2, //图集文章类型ID
    BtemplateId: 34, // 曝光台文章类型ID
    countTypeId: 20,
    videoTypeId: 19,
    followTypeId: 21,
    articleTypeId: 22,
    columnTypeId: 23, //用于栏目统计的ID
    bridge_switch: false,
    redstatus: 0,
    bridge_php: '../data/bridge.php',
    columns: {
        eyeOfHouse: {
            icon: '../images/familyCCTV/icon1.png',
            url: 'eyeofhouse.html'
        },
        xuelianggongcheng: {
            icon: '../images/familyCCTV/icon2.png',
            url: 'monitor.html'
        },
        farmerMarket: {
            icon: '../images/convenientService/icon1.png',
            url: 'convenientService.html?type=2'
        },
        hotline: {
            icon: '../images/convenientService/icon2.png',
            url: 'convenientService.html?type=3'
        },
        busSchedule: {
            icon: '../images/convenientService/icon3.png',
            url: 'convenientService.html?type=1'
        },
        calendar: {
            icon: '../images/convenientService/icon4.png',
            url: ''
        },
        liveChannel: {
            name: '频道直播',
            iconOff: '../images/main/bt1.png',
            iconOn: '../images/main/h-f.png',
            url: function () {
                // var mainAppUrl = '';
                // var ismpip = evm.getUrl()['ismpip'] || 'http://10.102.0.47:9500/';
                // var url = ismpip + '/spis/asgapi/v1/space/1/' + evm.globalConfig.mac_code + '/list';
                // evm.ajax(url, function (resp) {
                //     if(typeof resp == 'string') {
                //         resp = eval('false||' + resp);
                //     }
                //     var ret = resp.data;
                //     for (var i = 0; i < ret.length; i++){
                //         if(ret[i].title == '直播首页') {
                //             mainAppUrl = ret[i].callbackurl;
                //             break;
                //         }
                //     }
                //     location.href = mainAppUrl;
                // });
                var mainAppUrl = '';
                try {
                    mainAppUrl = GlobalVarManager.getItemStr("portal_url");
                } catch (e) {}
                location.href = mainAppUrl;
                // return mainAppUrl;
            }
        },
        hudongChannel: {
            name: '互动点播',
            iconOff: '../images/main/bt2.png',
            iconOn: '../images/main/h-f.png',
            url: function () {
                var mainAppUrl = '';
                var _region = evm.globalConfig.getRegionCode();
                var ismpip = evm.getUrl()['ismpip'] || 'http://10.102.0.47:9500/';
                var url = ismpip + '/spis/asgapi/v1/space/1/' + evm.globalConfig.mac_code + '/list';
                evm.ajax(url, function (resp) {
                    if (typeof resp == 'string') {
                        resp = eval('false||' + resp);
                    }
                    var ret = resp.data;
                    for (var i = 0; i < ret.length; i++) {
                        if (ret[i].title == 'portal首页') {
                            mainAppUrl = ret[i].callbackurl;
                            break;
                        }
                    }
                    location.href = mainAppUrl + '&areaid=' + _region + '&liveplaymodel=1&node_group_id=0&stb_id=1&returnurl=' + location.href + '&ismpip=' + ismpip;
                    // return mainAppUrl;
                });
                // var url = '';
                // var ismpip = evm.getUrl()['ismpip'] || 'http://10.102.0.47:9500/';
                // evm.log(ismpip);
                // var _region = evm.globalConfig.getRegionCode();
                // url = ismpip + 'index.html?app=vod&areaid=' + _region + '&liveplaymodel=1&node_group_id=0&stb_id=1&returnurl=' + location.href + '&ismpip=' + ismpip;
                // location.href = url;
                // return url;
            }
        },
        reviewChannel: {
            name: '频道回看',
            iconOff: '../images/main/bt3.png',
            iconOn: '../images/main/h-f.png',
            url: function () {
                var url = '';
                var ismpip = evm.getUrl()['ismpip'] || 'http://10.102.0.47:9500/';
                // var ismpip = evm.getUrl()['ismpip'] || 'http://10.102.1.211:9500/';
                evm.log(ismpip);
                var _region = evm.globalConfig.getRegionCode();

                url = ismpip + 'ismphtml/pausetv5.html?tree_id=2334202&template_path=' + ismpip + 'ismphtml/&parentId=1&back_daohang_con=1&back_main_con=sy_native_2_div&myTreeId=2334202&back_daohang_con=1&back_main_con=sy_native_2_div'
                // var _region = 'i-510188_g-100001';
                location.href = url;
                // return url;
            }
        },
        myZone: {
            name: '我的空间',
            url: function () {
                return '';
            }
        },
        mobileTV: {
            name: '广电营业厅',
            iconOff: '../images/main/bt4.png',
            iconOn: '../images/main/h-f.png',
            url: function () {
                var ismpip = evm.getUrl()['ismpip'] || 'http://10.102.0.47:9500/';
                var url = 'http://10.215.78.31:9500/tvservice/index.html?ismpip=' + ismpip + '&return_url=' + location.href;
                location.href = url;
            }
        },
        myProfile: {
            iconOn: '../images/main/account-f.png',
            iconOff: '../images/main/account-a.png',
            // name: '我的',
            url: function () {}
        },
        zhwc: {
            name: '智慧旺苍',
            iconOff: '../images/main/bt5.png',
            iconOn: '../images/main/h-f.png',
            // name: '',
            url: function () {
                $WebApp.widget.tipbox.init({
                    title: '系统消息',
                    msg: '该栏目暂未开通,敬请期待!',
                    buttons: [{
                        callback: function () {
                            // history.back();
                        }
                    }]
                });
                // var url = 'http://10.215.40.2:8048/up_portal/221/setportal/preview/setportal/index2.htm'
                // // var url = 'http://10.215.40.2:8048/up_portal/221/setportal/preview/setportal/index.htm';
                // location.href = url;
                // return url;
            }
        }
    },
    getGlobalVar: function (sName) {
        var result = null;
        try {
            if (typeof (GlobalVarManager) != "undefined") {
                result = GlobalVarManager.getItemValue(sName);
                if (!isValid(result)) {
                    result = GlobalVarManager.getItemStr(sName);
                }
            } else if (typeof (iPanel) != "undefined") {
                result = iPanel.getGlobalVar(sName);
            } else if (typeof (Utility) != "undefined" && typeof Utility.getEnv == "function") { //coship
                result = Utility.getEnv(sName);
            } else {
                result = sessionStorage.getItem(sName);
            }
        } catch (e) {
            var aCookie = document.cookie.split("; ");
            for (var i = 0; i < aCookie.length; i++) {
                var aCrumb = aCookie[i].split("=");
                if (escape(sName) == aCrumb[0]) {
                    result = unescape(aCrumb[1]);
                    break;
                }
            }
        }
        return result;
    },
    getRegionCode: function () {
        var region = '';
        try {
            region = CAManager.regionCode;
        } catch (e) {}
        return region;
    },
    lt10: function (num) {
        if (10 > num) {
            num = '0' + num;
        }
        return num;
    },
    findNth: function (str, char, num) {
        var x = str.indexOf(char);
        for (var i = 0; i < num; i++) {
            x = str.indexOf(char, x + 1);
        }
        return x;
    },
    findLast: function (str, char) {
        var x = -1;
        while (str.indexOf(char, x + 1) >= 0) {
            x = str.indexOf(char, x + 1);
        }
        return x;
    },
    fetchTime: function (dateType, successCb) {
        var me = this,
            url = '../data/getTime.php';

        if (typeof dateType == 'string') {
            url = evm.createQuery(url, 'type', dateType);
        } else if (typeof dateType == 'function') {
            successCb = dateType;
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof successCb === 'function') {
                    successCb(resp);
                }
            });
        }
    },
    getStrRealLength: function (str) {
        var realLength = 0,
            len = str.length,
            charCode = -1;
        for (var i = 0; i < len; i++) {
            charCode = str.charCodeAt(i);
            if (charCode >= 0 && charCode <= 128) realLength += 1;
            else realLength += 2;
        }
        return realLength;
    },
    formatTime: function (duration) {
        var m = Math.floor(duration / 60),
            s = duration % 60;
        return this.lt10(m) + ':' + this.lt10(s);
    },
    getStrLimitLength: function (str, limit) {
        var realLength = 0,
            len = str.length,
            charCode = -1,
            retStr = str;
        for (var i = 0; i < len; i++) {
            charCode = str.charCodeAt(i);
            if (charCode >= 0 && charCode <= 128) {
                realLength += 1;
            } else {
                realLength += 2;
            }
            if (realLength >= limit) {
                retStr = str.substr(0, i + 1);
                break;
            }
        }
        return retStr;
    },
    getTerminalType: function (id, successCb, failureCb) {
        var me = this,
            url = '';
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/terminalType.json?t=' + t;
            } else {
                t = new Date().getTime();
                url = '../data/terminalType.json?t=' + t;
            }
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof successCb === 'function') {
                    successCb(resp);
                }
            });
        }
    },
    replaceCMSImageUrl: function (url) {
        var me = this;
        if (!url) {
            return '';
        }
        if (me.CMSImagePattern.test(url)) {
            url = url.replace(/\/EMSP_CMS/, me.cms_server + me.cms_keyword);
        } else {
            url = url.replace(/\/EMSP_CMS/, ':' + me.tomcat_port + me.cms_keyword);
        }
        return url;
    },
    fetchSourceForNB: function (id, callback, areaId) {
        var url = '',
            t;
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/promoteCountryside.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/autoPageServlet/getAutoPageContent?columnId=' + id + '&terminalIdentify=JDH' + (areaId ? ('&areaId=' + areaId) : '');
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    fetchColumnData: function (id, callback) {
        var url = '',
            t;
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + id + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/autoPageServlet/getAutoPageContent?columnId=' + id + '&terminalIdentify=JDH';
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    fetchColumnDataPhone: function (id, callback) {
        var url = '',
            t;
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + id + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/autoPageServlet/getAutoPageContent?columnId=' + id + '&terminalIdentify=PHONE';
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    //根据文章id(voteid)获取投票详情
    getQBByid: function (id, callback) {
        var url = '',
            t;
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + id + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms/votingQuestionnaire/getQBByid?id=' + id;
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    //根据文章id(voteid)和userId判断是否有投票权限
    checkUserVote: function (voteId, userId, callback) {
        var url = '',
            t;
        if (voteId) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + id + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/servlet/VQ/checkUserVote?voteId=' + voteId + '&userId=' + userId;
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    //根据文章id(voteid)和选项id进行投票
    VqStatisticsServlet: function (ids, voteId, callback) {
        var url = '',
            t;
        if (voteId) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + id + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface//servlet/VqStatisticsServlet?ids=' + ids + '&voteId=' + voteId;
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    //根据文章id(voteid)和userId投票成功后进行记录
    Asaverecore: function (voteId, userId, callback) {
        var url = '',
            t;
        if (voteId) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + id + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/servlet/Asaverecore?voteId=' + voteId + '&userId=' + userId;
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getCMSarticleByCId: function (columnId, areaId, areaType, callback, pageIndex, pageSize) {
        var url = '',
            t;
        //var is_tourists = evm.cookie('live-video-area').split('##')[2];
        var is_tourists = true;
        if (columnId) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + columnId + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/articleList/getArticleList' + (columnId ? ('?columnId=' + columnId) : '') +
                    (areaId ? ((columnId ? '&' : '?') + 'areaId=' + areaId) : '') +
                    (areaType ? ((columnId || areaId ? '&' : '?') + 'areaType=' + areaType) : '') +
                    '&curPage=' + (pageIndex || 1) + '&pageSize=' + (pageSize || 200) +
                    ((is_tourists != 'true') ? '' : (+'&publicly=1'));
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getObjectComment: function (targetId, guid, callback) {
        var url = '',
            t;
        if (targetId) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + id + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/aums_comment/comment/getObjectComment?targetId=' + targetId + '&commentTypeId=162&userId=' +
                    guid + '&userTypeId=6';
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getCMSarticleByCIdWithNumber: function (columnId, areaId, areaType, callback, pageIndex, pageSize) {
        var url = '',
            t;
        //var is_tourists = evm.cookie('live-video-area').split('##')[2];
        var is_tourists = true;
        if (columnId) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + columnId + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/articleList/getArticleList' + (columnId ? ('?columnId=' + columnId) : '') +
                    (areaId ? ((columnId ? '&' : '?') + 'areaId=' + areaId) : '') +
                    (areaType ? ((columnId || areaId ? '&' : '?') + 'areaType=' + areaType) : '') +
                    '&curPage=' + (pageIndex || 1) + '&pageSize=' + (pageSize || 200) +
                    ((is_tourists != 'true') ? '' : (+'&publicly=1'));
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof resp == 'string') {
                    resp = eval("false||" + resp);
                }
                var ids = [];
                if (resp.data) {
                    var a_d = resp.data && resp.data.articles;
                    for (var i = 0; i < a_d.length; i++) {
                        if (a_d[i].aorvtypeName == '短视频') {
                            ids.push(a_d[i].id);
                        } else {
                            ids.push(a_d[i].articleId);
                        }

                    }
                    ids = ids.join(',');
                    evm.globalConfig.getTotalCntByCIds(evm.globalConfig.countTypeId, ids, function (data) {
                        if (typeof data == 'string') {
                            data = eval("false||" + data);
                        }
                        var d = data.data;
                        if (d) {
                            for (var i = 0; i < resp.data.articles.length; i++) {
                                for (var j = 0; j < d.length; j++) {
                                    if (resp.data.articles[i].aorvtypeName == '短视频') {
                                        if (resp.data.articles[i].id == d[j].columnId) {
                                            resp.data.articles[i].totalCnt = d[j].totalCnt;
                                            break;
                                        }
                                    } else {
                                        if (resp.data.articles[i].articleId == d[j].columnId) {
                                            resp.data.articles[i].totalCnt = d[j].totalCnt;
                                            break;
                                        }
                                    }

                                }
                            }
                        } else {
                            for (var i = 0; i < resp.data.articles.length; i++) {
                                resp.data.articles[i].totalCnt = 0;
                            }
                        }
                        callback(resp);
                    });
                } else {
                    callback(resp);
                }
            });
        }
    },
    getCMSarticleContentById: function (id, callback) {
        var url = '',
            t;
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + id + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/servlet/ArticleServlet?id=' + id;
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }
        evm.log('getCMSArticle url:' + url);
        if (url) {
            evm.ajax(url, function (resp) {
                evm.log('resp:' + evm.util.common.json2str(resp));
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    //aums获取图集模板(新增ftypeid参数)
    getArticleRelationById: function (id, typeId, callback) {
        var url = '',
            t;
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + id + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/servlet/ArticleServlet?id=' + id + '&ftypeid=' + typeId;
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    //aums获取文章内容(新增templateId参数)
    getArticleContentById: function (id, typeId, callback) {
        var url = '',
            t;
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/' + id + '.json?t=' + t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/servlet/ArticleServlet?id=' + id + '&templateId=' + typeId;
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getHouseCameras: function (mac, callback) {
        var url = '',
            t;
        if (mac) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/homeCamera.json?t=' + t;
            } else {
                url = evm.globalConfig.easydms_server +
                    '/easydms/inf/getIPCRelByTVN?caCard=' + mac;
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getPublicCameras: function (mac, callback) {
        var url = '',
            t;
        if (mac) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/publicCamera.json?t=' + t;
            } else {
                // url = evm.globalConfig.easydms_server+
                // '/easydms/inf/getPublicIPCList?caCard='+mac;
                url = 'http://127.0.0.1:8080/easydms/inf/getPublicIPCList?caCard=' + mac;
                // if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                // }
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getTotalCntByCIds: function (typeId, columnIds, callback) {
        var url = '',
            t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/vote.json?t=' + t + '&typeId=' + typeId + '&columnIds=' + columnIds;
        } else {
            url = evm.globalConfig.aums_server +
                '/aums_vote_interface/vote/getTotalCntByCIds?typeId=' + typeId + '&columnIds=' + columnIds;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getAreaCount: function (level, callback) {
        var url = '',
            t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/managers.json?t=' + t;
        } else {
            url = evm.globalConfig.aums_server +
                '/aums_server_interface/AreaServlet?actionType=countAreaByLevel&level=' + level;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }

    },
    getAllManager: function (callback) {
        var url = '',
            t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/managers.json?t=' + t;
        } else {
            url = evm.globalConfig.aums_server +
                '/aums_server_interface/user/getUserList?userType=0';
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getAllregisted: function (callback) {
        var url = '',
            t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/registed.json?t=' + t;
        } else {
            url = evm.globalConfig.ums_server +
                '/ums_v3/countCustomNum';
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getAllArticle: function (siteId, callback) {
        var url = '',
            t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/registed.json?t=' + t;
        } else {
            url = evm.globalConfig.aums_server +
                '/ancms_server_interface/articleList/getArticleCBwId?websiteId=' + siteId;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getAllLevelAreaId: function (areaId, upperLevel, lowerLevel, detail, callback) {
        var url = '',
            t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/detailArea.json?t=' + t;
        } else {
            url = evm.globalConfig.aums_server +
                '/aums_server_interface/AreaServlet?actionType=getAreaInfoById&regionId=' +
                areaId + '&upperLevel=' + (upperLevel || 1) + '&lowerLevel=' + (lowerLevel || 0) +
                '&needDetail=' + detail;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getClickNumber: function () {
        var url = '',
            t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/getClick.json?t=' + t;
        } else {
            url = evm.globalConfig.aums_server +
                '/aums_vote_interface/vote/castVote?typeId=' + typeId + '&columnId=' + columnId + '&userId=' + userId + '&point=' + point;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    uploadClick: function () {},
    castVote: function (typeId, columnId, userId, point, callback, contentId) {
        var url = '',
            t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/castVote.json?t=' + t + '&typeId=' + typeId + '&columnId=' + columnId + '&userId=' + userId + '&point=' + point;
        } else {
            url = evm.globalConfig.aums_server +
                '/aums_vote_interface/vote/castVote?typeId=' + typeId + '&columnId=' + columnId + '&userId=' + userId + '&point=' + point + (contentId ? ('&contentId=' + contentId) : '');
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getLiveInfo: function (deviceId, deviceType, callback) {
        var url = '',
            t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/liveInfo.json?t=' + t;
        } else {
            url = evm.globalConfig.aums_server +
                '/aums_server_interface/guest/getGuest?userId=' + deviceId + '&userType=' + deviceType;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getCanWatchLiveVideos: function (userId, type, regionId, liveType, areaRange, upperLevel, lowerLevel, pageIndex, pageSize, callback) {
        var url = '',
            t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/liveRooms.json?t=' + t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server +
                '/aums_server_interface/live/getMyWacthLive?userId=' + userId + '&terminalType=' + type +
                '&regionId=' + regionId + '&tm=' + t + '&identify=' + t + '&liveType=' + liveType +
                '&areaRange=' + areaRange + '&upperLevel=' + (upperLevel || 7) + '&lowerLevel=' + (lowerLevel || 7);
            if (!evm.isFunction(pageIndex)) {
                url += '&pageIndex=' + pageIndex + '&pageSize=' + pageSize;
            }
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (evm.isFunction(pageIndex)) {
                    pageIndex(resp);
                } else {
                    callback(resp);
                }
            });
        }
    },
    getPerson: function (pid, callback) {
        var url = '';
        url = evm.globalConfig.aums_server + '/aums_server_interface/user/getUserById?id=' + pid;
        if (evm.globalConfig.bridge_switch) {
            url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof resp == 'string') {
                    resp = eval('false||' + resp);
                }
                if (evm.isFunction(callback)) callback(resp);
            })
        }
    },
    getCanWatchRecordVideos: function (userId, type, areaId, pageNumber, pageSize, callback) {
        var url = '',
            t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/recordVideos.json?t=' + t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server +
                '/aums_terminal_interface/shortVideo/getViewableShortVideoList?userId=' + userId +
                '&userType=' + type + '&areaId=' + areaId + '&tm=' + t + '&identify=' + t + '&isStb=1';
            if (!evm.isFunction(pageNumber)) {
                url += '&pageNum=' + pageNumber + '&pageSize=' + pageSize;
            } else {
                url += '&pageNum=1&pageSize=180';
            }
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (evm.isFunction(pageNumber)) {
                    pageNumber(resp);
                } else {
                    callback(resp);
                }
            });
        }
    },

    getContentId: function (typeId, columnId, userId, callback) {
        var url = '';
        url = evm.globalConfig.aums_server + '/aums_vote_interface/vote/getContentId?typeId=' + typeId + '&columnId=' +
            columnId + '&userId=' + userId;
        if (evm.globalConfig.bridge_switch) {
            url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof resp == 'string') {
                    resp = eval('false||' + resp);
                }
                if (evm.isFunction(callback)) callback(resp);
            })
        }
    },

    getCanWatchRecordVideosWithNumber: function (userId, type, areaId, pageNumber, pageSize, callback) {
        var url = '',
            t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/recordVideos.json?t=' + t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server +
                '/aums_terminal_interface/shortVideo/getViewableShortVideoList?userId=' + userId +
                '&userType=' + type + '&areaId=' + areaId + '&tm=' + t + '&identify=' + t + '&isStb=1';
            if (!evm.isFunction(pageNumber)) {
                url += '&pageNum=' + pageNumber + '&pageSize=' + pageSize;
            } else {
                url += '&pageNum=1&pageSize=180';
            }
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof resp == 'string') {
                    resp = eval('false||' + resp);
                }
                var v_d = resp && resp.data;
                var ids = [];
                for (var i = 0; i < v_d.length; i++) {
                    ids.push(v_d[i].id);
                }
                ids = ids.join(',');
                evm.globalConfig.getTotalCntByCIds(evm.globalConfig.videoTypeId, ids, function (data) {
                    if (typeof data == 'string') {
                        data = eval("false||" + data);
                    }
                    var d = data.data;
                    if (d) {
                        for (var i = 0; i < resp.data.length; i++) {
                            for (var j = 0; j < d.length; j++) {
                                if (resp.data[i].id == d[j].columnId) {
                                    resp.data[i].totalCnt = d[j].totalCnt;
                                    break;
                                }
                            }
                        }
                    } else {
                        for (var i = 0; i < resp.data.length; i++) {
                            resp.data[i].totalCnt = 0;
                        }
                    }
                    if (evm.isFunction(pageNumber)) {
                        pageNumber(resp);
                    } else {
                        callback(resp);
                    }
                });
            });
        }
    },
    getMultipleUserInfo: function (ids, callback) {
        var url = '',
            t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/multiUserInfo.json?t=' + t;
        } else {
            url = evm.globalConfig.ums_server +
                '/ums_v3/getMultipleUserInfo?userIds=' + ids;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    joinLiveRoom: function (userId, regionId, type, roomId, callback) {
        var url = '',
            t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/joinRooms.json?t=' + t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server +
                '/aums_server_interface/live/joinLive?guestId=' + userId + '&guestAreaId=' + regionId + '&guestType=' +
                type + '&roomId=' + roomId;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    leaveLiveRoom: function (userId, roomId, type, id, callback) {
        var url = '',
            t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/joinRooms.json?t=' + t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server +
                '/aums_server_interface/live/leftLive?guestId=' + userId + '&roomId=' + roomId + '&guestType=' + type + '&id=' + id;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    statusLiveRoom: function (roomId, detail, callback) {
        var url = '',
            t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/roomStatus.json?t=' + t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server +
                '/aums_server_interface/live/getLiveRoomStatus?roomId=' + roomId + '&GuestDetail=' + detail;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    umsInfo: {},
    getStbInfo: function (callback) {
        var user = evm.cookie('cloudvideo-user');
        var func = function () {
            var url = '';
            url = evm.globalConfig.ums_server + '/ums_v3/STBGetUserInfo?terminalSerialNum=' + evm.globalConfig.mac_code;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
            if (url) {
                evm.ajax(url, function (resp) {
                    if (typeof resp == 'string') {
                        resp = eval('false||' + resp);
                    }
                    if (resp.isSuccess === 0) {
                        $WebApp.widget.tipbox.init({
                            title: '错误',
                            //msg: '<br/>获取ums用户信息失败',
                            msg: '<br/>用户未注册' + '<br/>' + evm.globalConfig.mac_code,
                            buttons: [{
                                callback: function () {}
                            }]
                        })
                    } else {
                        evm.globalConfig.umsInfo.name = resp.customerName;
                        evm.globalConfig.umsInfo.guid = resp.customerGUID;
                        evm.globalConfig.umsInfo.short = resp.shortGUID;
                        evm.globalConfig.umsInfo.mpower = resp.meetingPower;
                        evm.globalConfig.umsInfo.cpower = resp.callPower;
                        evm.cookie('cloudvideo-user', evm.globalConfig.umsInfo.name + '/' +
                            evm.globalConfig.umsInfo.guid + '/' + evm.globalConfig.umsInfo.mpower +
                            '/' + evm.globalConfig.umsInfo.cpower + '/' + evm.globalConfig.umsInfo.short +
                            '/' + evm.globalConfig.mac_code);

                        //家客所需要的cookie
                        var currentUser = {};
                        currentUser.customerGUID = resp.customerGUID;
                        currentUser.customerName = resp.customerName;
                        currentUser.phoneNumber = resp.TEL;
                        currentUser.image = resp.imageUrl;
                        currentUser.terminalMacCode = evm.globalConfig.mac_code;
                        currentUser.videoCallProperty = resp.callTerminal;
                        currentUser.meetingProperty = resp.meetingTerminal;
                        currentUser.terminalGUID = resp.terminalGUID;

                        evm.cookie('cloudVideoSTB/currentUser', evm.util.common.json2str(currentUser));
                        if (typeof callback === 'function') {
                            callback();
                        }
                    }
                });
            }
        }
        if (user) {
            user = user.split('/');
            if (user[5] == evm.globalConfig.mac_code) {
                evm.globalConfig.umsInfo.name = user[0];
                evm.globalConfig.umsInfo.guid = user[1];
                evm.globalConfig.umsInfo.mpower = user[2];
                evm.globalConfig.umsInfo.cpower = user[3];
                evm.globalConfig.umsInfo.short = user[4];
                if (typeof callback === 'function') {
                    callback();
                }
            } else {
                func();
            }
        } else {
            func();
        }
    },
    pnsLogin: function (callback) {
        var url = '';
        url = evm.globalConfig.cpns_server + '/cpns_v3/TAPI/login?userId=' + evm.globalConfig.umsInfo.guid +
            '&terminalType=STB';
        if (evm.globalConfig.bridge_switch) {
            url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof resp == 'string') {
                    resp = eval('false||' + resp);
                }
                if (!resp.nextLoginServer) {
                    evm.globalConfig.cpns_server = 'http://' + resp.PNSServer;
                    evm.globalConfig.ums_server = 'http://' + resp.UMSServer;
                    evm.globalConfig.csm_server = 'http://' + resp.CSMServer;
                    evm.cookie('cloudvideo-server', evm.globalConfig.ums_server);

                    //家客所需要的cookie
                    evm.cookie('cloudVideoSTB/server', resp.PNSServer + ',' + resp.CSMServer + ',' + resp.UMSServer);
                    evm.cookie('server', resp.PNSServer + ',' + resp.CSMServer + ',' + resp.UMSServer);

                    if (typeof callback === 'function') {
                        callback();
                    }
                } else {
                    evm.globalConfig.cpns_server = 'http://' + resp.PNSServer;
                    evm.globalConfig.pnsLogin(callback);
                }
            });
        }
        // var server = evm.cookie('cloudvideo-server');
        // if (server) {
        //     evm.globalConfig.cpns_server = server;
        //     evm.globalConfig.ums_server = server;
        //     evm.globalConfig.csm_server = server;
        //     if (typeof callback === 'function') {
        //         callback();
        //     }
        // } else {
        //     var url = '';
        //     url = evm.globalConfig.cpns_server + '/cpns_v3/TAPI/login?userId=' + evm.globalConfig.umsInfo.guid
        //         + '&terminalType=STB';
        //     if (evm.globalConfig.bridge_switch) {
        //         url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
        //     }
        //     if (url) {
        //         evm.ajax(url, function (resp) {
        //             if (typeof resp == 'string') {
        //                 resp = eval('false||' + resp);
        //             }
        //             if (!resp.nextLoginServer) {
        //                 evm.globalConfig.cpns_server = 'http://' + resp.PNSServer;
        //                 evm.globalConfig.ums_server = 'http://' + resp.UMSServer;
        //                 evm.globalConfig.csm_server = 'http://' + resp.CSMServer;
        //                 evm.cookie('cloudvideo-server', evm.globalConfig.ums_server);
        //                 if (typeof callback === 'function') {
        //                     callback();
        //                 }
        //             } else {
        //                 evm.globalConfig.cpns_server = 'http://' + resp.PNSServer;
        //                 evm.globalConfig.pnsLogin(callback);
        //             }
        //         });
        //     }
        // }
    },
    hashcode: -1,
    ntimer: null,
    notification: function () {
        var url = '',
            t;
        t = new Date().getTime();
        url = evm.globalConfig.cpns_server + '/cpns_v3/TAPI/getNotification?userId=' + evm.globalConfig.umsInfo.guid +
            '&terminalType=STB&terminalSubType=main&compactMode=off&t=' + t;
        if (evm.globalConfig.bridge_switch) {
            url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof resp == 'string') {
                    resp = eval('false||' + resp);
                }
                if (resp.hashCode != evm.globalConfig.hashcode) {
                    evm.globalConfig.hashcode = resp.hashCode;
                    if (resp.data) {
                        if (evm.globalConfig.umsInfo.mpower && resp.data.meetingStatus) {
                            var meetingData = resp.data.meetingStatus;
                            evm.globalConfig.handleMeetingData(meetingData);
                        }
                        if (evm.globalConfig.umsInfo.cpower && resp.data.videoCallStatus) {
                            var videoCallData = resp.data.videoCallStatus;
                            evm.globalConfig.handleVideoCallData(videoCallData);
                        }
                        if (resp.data.operation && resp.data.operation.length > 0) {
                            var operation = resp.data.operation;
                            evm.globalConfig.handleOperation(operation);
                        }
                    }
                }
                clearTimeout(evm.globalConfig.ntimer);
                evm.globalConfig.ntimer = setTimeout(function () {
                    evm.globalConfig.notification();
                }, 2000);
            });
        }
    },
    handleMeetingData: function (data) {
        if (data.endTime == null) {
            evm.globalConfig.onMeeting = true;
            var self = null;
            var speakerMode = data.speakerMode;
            for (var i = 0; i < data.userStatus.length; i++) {
                if (data.userStatus[i].userId == evm.globalConfig.umsInfo.guid) {
                    self = data.userStatus[i];
                    break;
                }
            }
            //pc端发起的会议，本机顶盒为主持人
            if (data.hostId == evm.globalConfig.umsInfo.guid) {
                if (data.mainStatus == "accept" || data.mainStatus == "joined") {
                    if (data.currentTerminalType === 0) {
                        var url = '/cloudVideoSTB-v3-village/html/meeting.html';
                        url = evm.createQuery(url, 'mac', evm.globalConfig.mac_code);
                        url = evm.createQuery(url, 'userId', evm.globalConfig.umsInfo.guid);
                        url = evm.createQuery(url, 'currentTerminalSubType', 'main');
                        url = evm.createQuery(url, 'module', 'currentClient');
                        url = evm.createQuery(url, 'speakerMode', data.speakerMode);
                        clearTimeout(evm.globalConfig.ntimer);
                        setTimeout(function () {
                            location.href = url;
                        }, 200);
                    }
                } else if (data.mainStatus == "reject" || data.mainStatus == "left") {
                    if (evm.globalConfig.onMeeting && $WebApp.widget.tipbox2.box_elem) {
                        evm.globalConfig.onMeeting = false;
                        $WebApp.widget.tipbox2.toggle('hide');
                    }
                }
            }
            //本机顶盒为受邀请的人
            else {
                if (data.mainStatus == "accept" || data.mainStatus == "joined") {
                    if (data.currentTerminalType === 0) {
                        var url = '/cloudVideoSTB-v3-village/html/meeting.html';
                        url = evm.createQuery(url, 'mac', evm.globalConfig.mac_code);
                        url = evm.createQuery(url, 'userId', evm.globalConfig.umsInfo.guid);
                        url = evm.createQuery(url, 'currentTerminalSubType', 'main');
                        if (self && self.interactUser) {
                            url = evm.createQuery(url, 'module', 'remoteClient');
                        } else {
                            url = evm.createQuery(url, 'module', 'watchClient');
                        }
                        url = evm.createQuery(url, 'speakerMode', speakerMode);
                        clearTimeout(evm.globalConfig.ntimer);
                        setTimeout(function () {
                            location.href = url;
                        }, 200);
                    } else {
                        if ($WebApp.widget.tipbox2.box_elem) {
                            $WebApp.widget.tipbox2.toggle('hide');
                        }
                    }
                } else if (data.mainStatus == "calling") {
                    var message = '<br/>' + data.meetingTitle + '已开始,<br/>是否加入?';
                    $WebApp.widget.tipbox2.init({
                        title: '电视会议',
                        msg: message,
                        buttons: [{
                                callback: function () {
                                    var url = evm.globalConfig.csm_server + '/csm_v3/TAPI/meeting/accept?userId=' +
                                        evm.globalConfig.umsInfo.guid + '&terminalType=0&identify=' + data.identify +
                                        '&meetingSerialNumber=' + data.meetingSerialNumber;
                                    evm.ajax(url, function (resp) {
                                        if (typeof resp == 'string') {
                                            resp = eval('false||' + resp);
                                        }
                                        if (!resp.result) {
                                            evm.log('接受会议失败');
                                            $WebApp.widget.tipbox.init({
                                                title: '系统消息',
                                                msg: '<br/>接受会议邀请失败，<br/>请检查相关设备！',
                                                buttons: [{
                                                    callback: function () {}
                                                }]
                                            })
                                        }
                                        if ($WebApp.widget.tipbox2.box_elem) {
                                            $WebApp.widget.tipbox2.toggle('hide');
                                        }
                                    });
                                }
                            },
                            {
                                callback: function () {
                                    var url = evm.globalConfig.csm_server + '/csm_v3/TAPI/meeting/reject?userId=' +
                                        evm.globalConfig.umsInfo.guid + '&identify=' + data.identify +
                                        '&meetingSerialNumber=' + data.meetingSerialNumber;
                                    evm.ajax(url, function (resp) {
                                        if (typeof resp == 'string') {
                                            resp = eval('false||' + resp);
                                        }
                                        if (!resp.result) {
                                            evm.log('拒绝会议失败');
                                        }
                                        if ($WebApp.widget.tipbox2.box_elem) {
                                            $WebApp.widget.tipbox2.toggle('hide');
                                        }
                                    });
                                }
                            }
                        ]
                    });
                } else if (data.mainStatus == "disconnect") {
                    if (data.currentTerminalType === 0) {
                        var message = '<br/>' + data.meetingTitle + '仍在进行中,<br/>是否加入?';
                        $WebApp.widget.tipbox2.init({
                            title: '电视会议',
                            msg: message,
                            buttons: [{
                                    callback: function () {
                                        var url = '/cloudVideoSTB-v3-village/html/meeting.html';
                                        url = evm.createQuery(url, 'mac', evm.globalConfig.mac_code);
                                        url = evm.createQuery(url, 'userId', evm.globalConfig.umsInfo.guid);
                                        url = evm.createQuery(url, 'currentTerminalSubType', 'main');
                                        if (self && self.interactUser) {
                                            url = evm.createQuery(url, 'module', 'remoteClient');
                                        } else {
                                            url = evm.createQuery(url, 'module', 'watchClient');
                                        }
                                        url = evm.createQuery(url, 'speakerMode', speakerMode);
                                        clearTimeout(evm.globalConfig.ntimer);
                                        setTimeout(function () {
                                            location.href = url;
                                        }, 200);
                                        if ($WebApp.widget.tipbox2.box_elem) {
                                            $WebApp.widget.tipbox2.toggle('hide');
                                        }
                                    }
                                },
                                {
                                    callback: function () {
                                        var url = evm.globalConfig.csm_server + '/csm_v3/TAPI/meeting/reject?userId=' +
                                            evm.globalConfig.umsInfo.guid + '&identify=' + data.identify +
                                            '&meetingSerialNumber=' + data.meetingSerialNumber;
                                        evm.ajax(url, function (resp) {
                                            if (typeof resp == 'string') {
                                                resp = eval('false||' + resp);
                                            }
                                            if (!resp.result) {
                                                evm.log('拒绝会议失败');
                                            }
                                            if ($WebApp.widget.tipbox2.box_elem) {
                                                $WebApp.widget.tipbox2.toggle('hide');
                                            }
                                        });
                                    }
                                }
                            ]
                        });
                        $WebApp.widget.tipbox2.toggle("show");
                    }
                } else if (data.mainStatus == "reject" || data.mainStatus == "left") {
                    if (evm.globalConfig.onMeeting && $WebApp.widget.tipbox2.box_elem) {
                        evm.globalConfig.onMeeting = false;
                        $WebApp.widget.tipbox2.toggle('hide');
                    }
                }
            }
        } else {
            if (evm.globalConfig.onMeeting && $WebApp.widget.tipbox2.box_elem) {
                evm.globalConfig.onMeeting = false;
                $WebApp.widget.tipbox2.toggle('hide');
            }
        }
    },
    handleVideoCallData: function (data) {
        if (data.endTime == null) {
            evm.globalConfig.onCall = true;
            if (data.isHost) {
                if (data.currentTerminalType === 0) {
                    if (data.hostStatus == "accept" || data.hostStatus == "joined") {
                        var url = "/yunshitong-sichuan/html/call_video.html";
                        url = evm.createQuery(url, 'mac', evm.globalConfig.mac_code);
                        url = evm.createQuery(url, 'userId', evm.globalConfig.umsInfo.guid);
                        clearTimeout(evm.globalConfig.ntimer);
                        setTimeout(function () {
                            location.href = url;
                        }, 200);
                    }
                }
            } else {
                if (data.guestStatus == "accept" || data.guestStatus == "joined") {
                    if (data.currentTerminalType === 0) {
                        var url = "/yunshitong-sichuan/html/call_video.html";
                        url = evm.createQuery(url, 'mac', evm.globalConfig.mac_code);
                        url = evm.createQuery(url, 'userId', evm.globalConfig.umsInfo.guid);
                        clearTimeout(evm.globalConfig.ntimer);
                        setTimeout(function () {
                            location.href = url;
                        }, 200);
                    }
                } else if (data.guestStatus == "calling") {
                    var message = '<br/>' + data.hostName + '发起视频通话,<br/>是否接听?';
                    $WebApp.widget.tipbox2.init({
                        title: '通话请求',
                        msg: message,
                        buttons: [{
                                callback: function () {
                                    var url = '';
                                    url = evm.globalConfig.csm_server + '/csm_v3/TAPI/videoCall/acceptVideoCall?userId=' +
                                        evm.globalConfig.umsInfo.guid + '&identify=' + data.identify + '&videoCallSerialNumber=' +
                                        data.videoCallSerialNumber + '&terminalType=0&stbId=' + evm.globalConfig.mac_code;
                                    evm.ajax(url, function (resp) {
                                        if (typeof resp == 'string') {
                                            resp = eval("false||" + resp);
                                        }
                                        if (!resp.result) {
                                            evm.log('接受通话失败')
                                            $WebApp.widget.tipbox.init({
                                                title: '系统消息',
                                                msg: '<br/>接受通话邀请失败，<br/>请检查相关设备！',
                                                buttons: [{
                                                    callback: function () {}
                                                }]
                                            })
                                        }
                                        if ($WebApp.widget.tipbox2.box_elem) {
                                            $WebApp.widget.tipbox2.toggle('hide');
                                        }
                                    });
                                }
                            },
                            {
                                callback: function () {
                                    var url = '';
                                    url = evm.globalConfig.csm_server + '/csm_v3/TAPI/videoCall/rejectVideoCall?userId=' +
                                        evm.globalConfig.umsInfo.guid + '&identify=' + data.identify + '&videoCallSerialNumber=' +
                                        data.videoCallSerialNumber;
                                    evm.ajax(url, function (resp) {
                                        if (typeof resp == 'string') {
                                            resp = eval("false||" + resp);
                                        }
                                        if (!resp.result) {
                                            evm.log('拒绝通话失败');
                                        }
                                        if ($WebApp.widget.tipbox2.box_elem) {
                                            $WebApp.widget.tipbox2.toggle('hide');
                                        }
                                    });
                                }
                            }
                        ]
                    });
                }
            }
        } else {
            if (evm.globalConfig.onCall && $WebApp.widget.tipbox2.box_elem) {
                evm.globalConfig.onCall = false;
                $WebApp.widget.tipbox2.toggle('hide');
            }
        }
    },
    handleOperation: function (data) {
        var lastGroupMissCallTime = data[0].lastGroupMissCallTime;
        var lastFreshGroupCallTime = data[0].lastFreshGroupCallTime;
        // 处理首页视频通小红点状态
        if ((lastGroupMissCallTime - lastFreshGroupCallTime) > 0) {
            if (typeof addRedStatus == 'function') {
                evm.globalConfig.redstatus = 1;
                addRedStatus();

            }
        } else {
            if (typeof removeRedStatus == 'function') {
                removeRedStatus();
                evm.globalConfig.redstatus = 0;
            }
        }
    },
    matchUser: function (tel, callback) {
        var url = '';
        url = evm.globalConfig.ums_server + '/ums_v3/macthTELNumber?TELs=' + tel + '&userGUID=' + evm.globalConfig.umsInfo.guid;
        if (evm.globalConfig.bridge_switch) {
            url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof resp == 'string') {
                    resp = eval('false||' + resp);
                }
                if (evm.isFunction(callback)) callback(resp);
            })
        }
    },

    startVideocall: function (guid) {
        var url = '';
        url = evm.globalConfig.csm_server + '/csm_v3/TAPI/videoCall/startVideoCall?userId=' + evm.globalConfig.umsInfo.guid + '&guestUserId=' + guid + '&terminalType=0&stbId=' + evm.globalConfig.mac_code;
        if (evm.globalConfig.bridge_switch) {
            url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof resp == 'string') {
                    resp = eval('false||' + resp);
                }
            })
        }
    },

    getFriends: function (callback) {
        var url = '';
        url = evm.globalConfig.ums_server + '/ums_v3/getUserFriends?userGUID=' + evm.globalConfig.umsInfo.guid;
        if (evm.globalConfig.bridge_switch) {
            url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
        }
        if (url) {
            evm.ajax(url, function (resp) {
                if (typeof resp == 'string') {
                    resp = eval('false||' + resp);
                }
                if (evm.isFunction(callback)) callback(resp);
            })
        }
    },
    createQRCode: function (info, width, height) {
        var url = evm.globalConfig.cpns_server + '/cpns_v3/TAPI/createQRImage?content=' + encodeURIComponent(info) + '&imageFormat=png&width=' + width + '&height=' + height;
        // url = '/swatapps/ape/interface/bridge.php?url='+encodeURIComponent(url);
        return url;
    }
    // compareTime(a,b){
    //     var ae = a.split(' '),
    //         be = ae[0].split('-'),
    //         ce = ae[1].split(':');
    //     var as = b.split(' '),
    //         bs = as[0].split('-'),
    //         cs = as[1].split(':');
    //     var aTime = new Date(be[0], (be[1]-1), be[2], ce[0], ce[1], ce[2]),
    //         bTime = new Date(bs[0], (bs[1]-1), bs[2], cs[0], cs[1], cs[2]);
    //     return aTime.getTime() - bTime.getTime();
    // }
});

if (!evm.globalConfig.tomcat_url) {
    evm.globalConfig.tomcat_url = evm.globalConfig.protocol + '//' +
        evm.globalConfig.host + ':' + evm.globalConfig.tomcat_port;
}

if (!evm.globalConfig.cms_server) {
    evm.globalConfig.cms_server = evm.globalConfig.protocol + '//' +
        evm.globalConfig.host + ':' + evm.globalConfig.tomcat_port;
}

evm.globalConfig.CMSImagePattern = new RegExp('^\/EMSP_CMS');
evm.globalConfig.CMSImagePatternContent = new RegExp('\/EMSP_CMS', 'g');

/* evm.isCrossOriginRequestSupported(evm.globalConfig.tomcat_url , function (resp) {
    evm.globalConfig.bridge_switch = !evm.crossOriginRequestSupported;
}); */

function Tipbox(_c) {
    function hander(_c) {
        // 触发事件的默认方法
        try {} catch (E) {}
    }

    if (evm.isNumber(_c.type)) {
        this.type = _c.type;
    } else {
        this.type = 2; //默认2个按钮
    }
    this.config = _c || {};
    this.activeIndex = 0;
    this.timer = -1;
    this.box_id = 'tipbox';
    this.box_elem = null;
    this.box_title_elem = null;
    this.box_msg_elem = null;
    this.box_button_confirm_img = null;
    this.box_button_cancel_img = null;
    this.x = 320;
    this.y = 140;
    this.buttonIcon = [{
            name: 'confirm',
            focus: '../images/TipBox/sure_button2.png',
            blur: '../images/TipBox/sure_button.png'
        },
        {
            name: 'cancel',
            focus: '../images/TipBox/cancel_button2.png',
            blur: '../images/TipBox/cancel_button.png'
        }
    ];

    this.onEvent = _c && _c.onEvent || hander;
};

evm.extend(Tipbox.prototype, {
    init: function (c) {
        var me = this;
        if (!me.box_elem) {
            me.box_elem = evm.$(me.box_id + me.type);
        }
        if (!me.box_title_elem) {
            me.box_title_elem = evm.$(me.box_id + me.type + '-title');
        }
        if (!me.box_msg_elem) {
            me.box_msg_elem = evm.$(me.box_id + me.type + '-msg');
        }
        if (!me.box_button_confirm_img) {
            me.box_button_confirm_img = evm.$(me.box_id + me.type + '-btn0');
        }
        if (!me.box_button_cancel_img && me.type > 1) {
            me.box_button_cancel_img = evm.$(me.box_id + me.type + '-btn1');
        }

        if (c.title) {
            evm.html(me.box_title_elem, c.title);
        }
        if (c.msg) {
            evm.html(me.box_msg_elem, c.msg);
        }
        if (c.buttons && c.buttons.length > 0) {
            me.config.buttons = c.buttons;
            me.timer = setTimeout(function () {
                me.toggleFocus(me.activeIndex, 'focus');
                me.addListener();
            }, 40);
        } else {
            me.config.buttons = null;
            if (c.timeout > 0) {
                // 配置对象有超时时间
                me.timer = setTimeout(function () {
                    me.toggle('hide');
                    if (evm.isFunction(c.callback)) {
                        // 配置对象有回调函数
                        c.callback();
                    }
                }, c.timeout);
            } else {
                if (evm.isFunction(c.callback)) {
                    // 配置对象有回调函数
                    c.callback();
                }
            }
        }
        me.toggle('show');

    },
    toggle: function (d) {
        var me = this;

        evm.css(me.box_elem, {
            'display': (d === 'show' ? 'block' : 'none')
        });
        if (d === 'hide') {
            if (me.config.buttons)
                me.removeListener();
        }
    },
    toggleFocus: function (n, d) {
        var me = this,
            elem = null;
        if (n === 0) {
            elem = me.box_button_confirm_img;
        } else {
            elem = me.box_button_cancel_img;
        }
        elem.src = me.buttonIcon[n][d];
    },
    moveTo: function (x, y) {
        var me = this;
        if (!evm.isNumber(x) || !evm.isNumber(y)) return false;
        evm.css(me.box_elem, {
            left: x + 'px',
            top: y + 'px'
        });
        return true;
    },
    move: function (_d) {
        var me = this,
            buttonNumber = me.config.buttons.length;
        if (_d === 'LEFT') {
            if (me.activeIndex > 0) {
                me.toggleFocus(me.activeIndex, 'blur');
                me.activeIndex -= 1;
                me.toggleFocus(me.activeIndex, 'focus');
            }
        } else {
            if (me.activeIndex < buttonNumber - 1) {
                me.toggleFocus(me.activeIndex, 'blur');
                me.activeIndex += 1;
                me.toggleFocus(me.activeIndex, 'focus');
            }
        }
        return me;
    },
    grabEvent: function (_v, _e) {
        var me = this,
            isBlock = 0,
            buttonNumber = me.config.buttons.length;

        switch (_e.alias) {
            case 'RIGHT':
            case 'LEFT':
                me.move(_e.alias);
                break;
            case 'SELECT':
                var cb = me.config.buttons[me.activeIndex].callback;
                if (evm.isFunction(cb)) {
                    cb();
                }
                me.toggleFocus(me.activeIndex, 'blur');
                me.toggle('hide');
                break;
            case 'BACK':
                isBlock = 1;
                break;
        }
        return isBlock;
    },
    addListener: function () {
        var me = this;
        evm.controller.subscribe({
            type: 0,
            method: 'add',
            callback: me.grabEvent,
            context: me
        });
    },
    removeListener: function () {
        var me = this;
        evm.controller.subscribe({
            type: 1,
            method: 'remove',
            callback: me.grabEvent,
            context: me
        });
    }
});

function ArticleScrolling(parent, article) {
    this.timer = null;
    this.parent = typeof parent === 'string' ? document.getElementById(parent) : parent;
    this.article = article;
    this.inner = viewWrapper = evm.createElem('div', {
        id: 'inner',
        className: 'inner',
        style: 'position:absolute;left:0;top:0;width:1200px;'
    }, this.parent);
    // this.inner = document.createElement('div');
    // this.inner.style.position = 'absolute';
    // this.inner.top = 0;
    // this.inner.width = 1200 + 'px';
    this.inner.innerHTML = article;
    this.parent.appendChild(this.inner);
    //滚动配置属性
    this.imagesLoadFinished = false;
    this.dir;
    this.step = 3;
    this.factor = 1;
    this.max = 0;
    this.min = 0;
    var images = this.inner.getElementsByTagName('img');
    var len = images.length;
    var loadedCount = 1;
    var me = this;
    setTimeout(function () {
        me.min = -(me.inner.scrollHeight - parseFloat(evm.getStyle(me.parent, 'height')));
    }, 1000);
    for (var i = 0; i < images.length; i++) {
        images[i].onload = function () {
            if (loadedCount === len) {
                me.imagesLoadFinished = true;
                me.min = -(me.inner.scrollHeight - parseFloat(evm.getStyle(me.parent, 'height')));

            }
            loadedCount++;
        };
        images[i].onerror = function () {
            loadedCount++;
        }
    }
};
ArticleScrolling.prototype = {
    action: function (alias) {
        switch (alias) {
            case 'UP':
                clearTimeout(this.timer);
                this._scrollAction(alias);
                break;
            case 'RIGHT':
                this._speedControl('+');
                break;
            case 'DOWN':
                clearTimeout(this.timer);
                this._scrollAction(alias);
                break;
            case 'LEFT':
                this._speedControl('-');
                clearTimeout(this.timer);
                this._onBlur();
                break;
            case 'SELECT':
                this._doSelect();
                break;
            case 'BACK':
                event.preventDefault();
                history.back();
                break;
            default:
                this._onFocus();
                break;
        }
    },
    _onFocus: function () {
        // document.getElementById('article-content-border').style.display='block';
    },
    _onBlur: function () {
        // document.getElementById('article-content-border').style.display='none';
    },
    _scrollAction: function (dir) {
        var me = this;
        if (this.dir !== dir) {
            //更换滚动方向
            clearTimeout(this.timer);
        }
        this.dir = dir;
        //配置滚动
        var step = this.step * this.factor;
        if (dir === 'DOWN' && step > 0) {
            step = -step;
        } else if (dir === 'UP' && step < 0) {
            step = -step;
        }

        function check() {

            if (isNaN(me.min) || me.min >= 0) {

                return false;
            }

            var top = parseFloat(evm.getStyle(me.inner, 'top')) || 0;
            top += step;
            if (top >= me.min && top <= me.max) {
                me.inner.style.top = top + 'px';
                return true;
            } else {
                setTimeout(function () {
                    me.inner.style.top = 0 + 'px';
                }, 500);
                return true;
            }
            // return false;
        }

        if (check()) {
            this.timer = setTimeout(function () {
                me._scrollAction.call(me, dir);
            }, 20);
        } else {
            clearTimeout(this.timer);
        }
    },
    _speedControl: function (type) {
        if (type === '+' && this.factor < 3) {
            this.factor += 1;
        } else if (type === '-' && this.factor > 1) {
            this.factor -= 1;
        }
    },
    _doSelect: function () {
        clearTimeout(this.timer);
    }
};

function getMacCode(resolvedCallback, rejectedCallback) {
    var param = evm.getUrl();
    try {

        if (param && param.stbId) {
            evm.globalConfig.mac_code = param.stbId;
            evm.globalConfig.is_tourists = true;
        } else {
            if (!evm.globalConfig.is_tourists) {
                evm.globalConfig.mac_code = CAManager.cardSerialNumber;
            }

        }


    } catch (e) {}
    if (!evm.globalConfig.mac_code) {
        try {
            if (!evm.globalConfig.is_tourists) {
                evm.globalConfig.mac_code = CAManager.cardSerialNumber;
            }
        } catch (e) {}
    }
    if (!evm.globalConfig.mac_code) {
        try {
            if (!evm.globalConfig.is_tourists) {
                evm.globalConfig.mac_code = CAManager.cardSerialNumber;
            }
        } catch (e) {}
    }
    if (!evm.globalConfig.mac_code) {
        if (param && param.mac) {
            evm.globalConfig.mac_code = param.mac;
        }
    }
    try {
        evm.globalConfig.mac_code = evm.globalConfig.mac_code.replace(/\s/g, "");
    } catch (e) {

    }

    if (evm.globalConfig.mac_code) {
        evm.log("macCode2:" + evm.globalConfig.mac_code);
        evm.log("is_tourists2:" + evm.globalConfig.is_tourists);
        if (typeof resolvedCallback === 'function') {
            resolvedCallback();
        }
    } else {
        evm.log("未获取mac_code");
        if (typeof rejectedCallback === 'function') {
            rejectedCallback();
        }
    }
};

function alt(id, str, time, callback) {
    var time = time;
    if (time === undefined) {
        time = 2000;
    }
    document.getElementById(id).style.display = 'block';
    document.getElementById(id).innerHTML = str;
    setTimeout(function () {
        document.getElementById(id).style.display = 'none';
        callback();
    }, time)
}