/**
 *	项目的基础js
 */
(function(window){
    /**
     * @deprecated
     * @param F
     * @returns {*|string}
     * @des 部分中间件会有问题，如ipanel3.0
     * 可能是中间件限制重写原生的函数或方法
     */
    Date.prototype.format = function (F) {
        F = F || 'YYYY-mm-dd HH:ii:ss';
        var o =
            {
                'm+': this.getMonth() + 1	//月
                , 'd+': this.getDate()		//日
                , 'H+': this.getHours()		//时
                , 'i+': this.getMinutes()	//分
                , 's+': this.getSeconds()	//秒
                , 'q+': Math.floor((this.getMonth() + 3) / 3)	//季
                , 'S+': this.getMilliseconds()	//毫秒
                , 'w+': ['0', '1', '2', '3', '4', '5', '6'][this.getDay()]
                , 'W+': ['日', '一', '二', '三', '四', '五', '六'][this.getDay()]
            }
        if (/(Y+)/.test(F)) F = F.replace(RegExp.$1, ( this.getFullYear() + '' ).substr(4 - RegExp.$1.length));
        for (var K in o) {
            if (new RegExp('(' + K + ')').test(F))
                F = F.replace(RegExp.$1
                    , ( RegExp.$1.length == 1 ) ? ( o[K] ) : ( (( K == 'S+' ? '000' : '00' ) + o[K]).substr(('' + o[K]).length)));
        }
        return F;
    };

    function getElementsByClassName(className, tag, parent) {
        parent = parent || document;
        if (!(parent = evm.$(parent))) return false;
        var allTags = parent.all && tag === '*' ? parent.all : parent.getElementsByTagName(tag);
        className = className.replace(/\-/g, '\\-');
        var reg = new RegExp('(^|\\s*)' + className + '(\\s*|$)');
        var matchingElements = [];
        for (var i = 0; i < allTags.length; i++) {
            var node = allTags[i];
            if (reg.test(node.className)) {
                matchingElements.push(node);
            }
        }
        return matchingElements;
    }
    window.getElementsByClassName = getElementsByClassName;

    function isArray(obj) {
        return Object.prototype.toString.call(obj) === '[object Array]';
    }

    function json2str(O) {
        // 将对象转换为 Json 串
        // Key 不使用引号, 所以不能包含空格
        //if( JSON && JSON.stringify ) return JSON.stringify( O );
        var S = '{', sEnd = '}';
        if (isArray(O)) {
            S = '[';
            sEnd = ']';
        }
        for (var i in O) {
            S += i + ':';
            if (evm.isUndefined(O[i])) S += '""';
            else if (evm.isObject(O[i])) S += json2str(O[i]);
            else if (isArray(O[i])) S += json2str(O[i]);
            else if (evm.isString(O[i])) S += '"' + O[i] + '"';
            else S += O[i];
            S += ',';
        }
        S = S.substr(0, S.length - 1);
        S += sEnd;
        return S;
    }
    window.json2str = json2str;

    function str2json(str){
        if(!evm.isString(str)){
            return str;
        }
        var json = false;
        try{
            json = eval("("+str+")");
        }
        catch(E) {
            json = false;
        }
        return json;
    }
    window.str2json = str2json;

    function getQueryString(key) {
        var searchStr = window.location.search.substr(1);
        var reg = new RegExp(key + '=([^=&]*)');
        var value = '';
        if (reg.test(searchStr)) {
            value = window.decodeURIComponent(searchStr.match(reg)[1]);
        }
        return value;
    }
    window.getQueryString = getQueryString;

    /**
     * 简单调试
     * @param str
     */
    function log(str){
        var logElm = evm.$('log');
        if(!logElm){
            logElm = evm.createElem('div',{
                id:'log',
                style:'position:absolute;left:50px;top:50px;background:#fff;font-size:22px;'
            });
        }

        evm.html(logElm,str + '\n' + logElm.innerText);
    }
    window.log = log;

    //判断数组是否包含value
    function inArray(arr,value){
        if(!arr || !(arr instanceof Array)){
            return false;
        }
        for(var i = 0; i < arr.length; i++){
            var item = arr[i];
            if(encodeURIComponent(item) === encodeURIComponent(value)){
                return true;
            }
        }
        return false;
    }
    window.inArray = inArray;
})(this);