var STB_PLAYERS = {
  sichuan_stb_player: {
    mp: null,
    mpInstanceId: "",
    MAX_VOLUME: 100,
    MIN_VOLUME: 0,
    CURRENT_VOLUME: 16,
    STEP: 1,
    exchangeMaxVol: 16,
    isMute: false,
    currentPlaySource: "",
    playSuccessCallback: null,
    playEndCallback: null,
    init: function () {
      var me = this;
      try {
        me.mp = new MediaPlayer();
        if (GlobalVarManager.getItemValue("PLAYER_INSTANCE_ID") == null) {
          me.mpInstanceId = me.mp.getPlayerInstanceID();
          GlobalVarManager.setItemValue("PLAYER_INSTANCE_ID", me.mpInstanceId);
        } else {
          me.mpInstanceId = GlobalVarManager.getItemValue("PLAYER_INSTANCE_ID");
        }
        evm.log("player instance id:" + me.mpInstanceId);
        me.mp.bindPlayerInstance(me.mpInstanceId);
      } catch (e) {
        evm.log("播放器初始化失败！");
      }
      me.STEP = me.MAX_VOLUME / me.exchangeMaxVol;
      me.CURRENT_VOLUME = me.getVolume() || me.MAX_VOLUME / 2;
      var vol = Math.round(me.CURRENT_VOLUME / me.STEP) * me.STEP;
      me.setVolume(vol);
      return me;
    },
    destoryInstance: function () {
      var me = this;
      try {
        var ret = me.mp.unbindPlayerInstance(me.mpInstanceId);
        me.mp = null;
        me.mpInstanceId = "";
        evm.log("destroy player instance: " + ret);
      } catch (e) {
        evm.log("unable destory player instance!");
      }
      return me;
    },
    setSource: function (
      address,
      token,
      extension,
      isVideo,
      callback,
      endCallback
    ) {
      var me = this;
      me.trimSource(address, token, extension, isVideo);
      me.playSuccessCallback = callback;
      me.playEndCallback = endCallback;
      try {
        me.isMute = false;
        me.unMute();
        evm.log("media url: " + me.currentPlaySource);
        me.mp.setMediaSource(me.currentPlaySource);
        evm.log("set media url success!");
      } catch (e) {
        evm.log("set media url failed!");
      }
      return me;
    },
    // 处理播放字符串
    trimSource: function (address, token, extension, isVideo) {
      var me = this;
      if (token) {
        me.currentPlaySource =
          address +
          "/;purchaseToken=" +
          token +
          extension +
          (isVideo ? "" : "&paddingOpen=1") +
          ";serverID=?AppPath=60010001&assetUID=3bca6a47&smartcard-id=8280203837479710&device-id=8280203837479710&home-id=117102057054&purchase-id=4630717&streamtransportmode=ip;";
      } else {
        me.currentPlaySource =
          address +
          (isVideo ? "" : "&paddingOpen=1") +
          ";serverID=?AppPath=60010001&assetUID=3bca6a47&smartcard-id=8280203837479710&device-id=8280203837479710&home-id=117102057054&purchase-id=4630717&streamtransportmode=ip;";
      }
      return me;
    },
    play: function () {
      var me = this;
      try {
        me.mp.play();
        evm.log("media player start playing success!");
      } catch (e) {
        evm.log("media player play failed!");
      }
      return me;
    },
    pause: function () {
      var me = this;
      try {
        me.mp.pause();
        evm.log("media player pause success!");
      } catch (e) {
        evm.log("media player pause failed!");
      }
      return me;
    },
    resume: function () {
      var me = this;
      try {
        me.mp.resume();
        evm.log("media player resume success!");
      } catch (e) {
        evm.log("media player resume failed!");
      }
      return me;
    },
    stop: function () {
      /* stop but not destroy player instance */
      var me = this;
      try {
        me.mp.setPauseMode(0);
        me.mp.stop();
        evm.log("media player stop success!");
      } catch (e) {
        evm.log("media player stop failed!");
      }
      return me;
    },
    exit: function () {
      /* stop and destroy player instance(guangdong) */
      var me = this;
      me.stop();
      me.unbindPlayerInstance();
      return me;
    },
    fullscreen: function () {
      var me = this;
      try {
        me.mp.setVideoDisplayMode(1);
        me.mp.refresh();
        evm.log("media player set fullscreen success!");
      } catch (e) {
        evm.log("media player set fullscreen failed!");
      }
      return me;
    },
    setPosition: function (left, top, width, height) {
      var me = this;
      try {
        var rectangle = new Rectangle(left, top, width, height);
        me.mp.setVideoDisplayArea(rectangle);
        me.mp.setVideoDisplayMode(0);
        me.mp.refresh();
        evm.log("media player set windowed success!");
      } catch (e) {
        evm.log("media player set windowed failed!");
      }
      return me;
    },
    setPace: function (_rate) {
      var me = this;
      try {
        me.mp.setPace(_rate);
        evm.log("media player set rate success!");
      } catch (e) {
        evm.log("media player set rate failed!");
      }
      return me;
    },
    seek: function (_seekTime) {
      var me = this;
      try {
        me.mp.seek(1, _seekTime + "-");
        evm.log("media player seek time success!");
      } catch (e) {
        evm.log("media player seek time failed!");
      }
      return me;
    },
    forward: function (_rate) {
      /* rate > 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick forward: " + _rate);
      } catch (e) {
        evm.log("media player set forward failed!");
      }
      return me;
    },
    backward: function (_rate) {
      /* rate < 0 */
      var me = this;
      try {
        me.setPace(_rate);
        evm.log("media player quick backward " + _rate);
      } catch (e) {
        evm.log("media player set backward failed!");
      }
      return me;
    },
    getCurrentTime: function () {
      // 获取视频当前播放时间
      var me = this,
        currentTime = 0;
      try {
        currentTime = me.mp.getCurrentPlayTime();
      } catch (e) {
        evm.log("cannot get current play time!");
      }
      return currentTime;
    },
    getDuration: function () {
      // 获取视频时长
      var me = this,
        totalTime = 0;
      try {
        totalTime = me.mp.getDuration();
      } catch (e) {
        evm.log("cannot get total time!");
      }
      evm.log("get total time：" + totalTime);
      return totalTime;
    },
    // tools
    saveMpInstance: function () {
      var me = this;
      evm.cookie("mpInstance", me.mpInstanceId);
      return me;
    },
    // volume
    getVolume: function () {
      var me = this,
        vol;
      try {
        vol = me.mp.getVolume();
      } catch (e) {
        evm.log("getet current volume value failed");
      }
      return vol;
    },
    setVolume: function (value) {
      var me = this;
      try {
        me.CURRENT_VOLUME = value;
        me.mp.setVolume(Math.ceil(value));
        evm.log("set volume value:" + Math.ceil(value));
      } catch (e) {
        evm.log("set volume value failed");
      }
      return me;
    },
    volumeUp: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME + me.STEP;
      var vol = currentVolume > me.MAX_VOLUME ? me.MAX_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      return me;
    },
    volumeDown: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME - me.STEP;
      var vol = currentVolume < me.MIN_VOLUME ? me.MIN_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      return me;
    },
    mute: function () {
      var me = this;
      me.isMute = true;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        AudioSetting.mute();
      } catch (e) {
        evm.log("set audio mute failed");
      }
      return me;
    },
    unMute: function () {
      var me = this;
      me.isMute = false;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        AudioSetting.unMute();
      } catch (e) {
        evm.log("set audio unmute failed");
      }
      return me;
    },
    systemEventHandler: function (evt) {
      var code = evt.which,
        me = evm_media;
      Log("===code1:" + code);
      switch (code) {
        case 13001:
          me.play();
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_URL_VALID");
          return 0;
          break;
        case 13002:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_URL_INVALID");
          return 0;
          break;
        case 13003:
          if (evm.isFunction(me.playSuccessCallback)) {
            me.playSuccessCallback();
          }
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PLAY_SUCCESS");
          return 0;
          break;
        case 13004:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PLAY_FAILED");
          return 0;
          break;
        case 13009:
          evm.log(
            "systemEventCode: " + code + ", msg: MSG_MEDIA_PAUSE_SUCCESS"
          );
          return 0;
          break;
        case 13010:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PAUSE_FAILED");
          return 0;
          break;
        case 13011:
          evm.log(
            "systemEventCode: " + code + ", msg: MSG_MEDIA_RESUME_SUCCESS"
          );
          return 0;
          break;
        case 13012:
          evm.log(
            "systemEventCode: " + code + ", msg: MSG_MEDIA_RESUME_FAILED"
          );
          return 0;
          break;
        case 13013:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_STOP_SUCCESS");
          return 0;
          break;
        case 13014:
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_STOP_FAILED");
          return 0;
          break;
        case 13015:
          if (evm.isFunction(me.playEndCallback)) {
            me.playEndCallback();
          }
          evm.log("systemEventCode: " + code + ", msg: MSG_MEDIA_PLAY_TO_END");
          return 0;
          break;
      }
    },
  },
  zhejiang_stb_player: {
    mp: null,
    mpInstanceId: "",
    MAX_VOLUME: 100,
    MIN_VOLUME: 0,
    CURRENT_VOLUME: 50,
    STEP: 1,
    exchangeMaxVol: 16,
    isMute: false,
    currentPlaySource: "",
    init: function () {
      var me = this;
      me.STEP = Math.floor(me.MAX_VOLUME / me.exchangeMaxVol);
      me.CURRENT_VOLUME = me.getVolume() || me.MAX_VOLUME / 2;
      var vol = Math.round(me.CURRENT_VOLUME / me.STEP) * me.STEP;
      me.setVolume(vol);
      return me;
    },
    destoryInstance: function () {
      var me = this;
      try {
        me.mp = null;
        me.mpInstanceId = "";
        evm.log("destroy player instance success");
      } catch (e) {
        evm.log("unable destory player instance!");
      }
      return me;
    },
    setSource: function (address, token, extension, isVideo) {
      var me = this;
      me.trimSource(address, token, extension, isVideo);
      try {
        me.isMute = false;
        iPanel.eventFrame.service_mode_change("IP");
        media.AV.open(me.currentPlaySource, "VOD");
        evm.log(me.currentPlaySource);
        media.sound.resume();
      } catch (e) {
        evm.log(me.currentPlaySource);
        evm.log("set media url failed!");
      }
      return me;
    },
    // 处理播放字符串
    trimSource: function (address, token, extension, isVideo) {
      var me = this;
      if (token) {
        if (isVideo) {
          me.currentPlaySource = address + "/" + token + ".ts";
        } else {
          me.currentPlaySource = address + "/" + token + extension;
        }
      } else {
        me.currentPlaySource = address;
      }
      return me;
    },
    play: function () {
      var me = this;
      try {
        media.AV.play();
        evm.log("media player start playing success!");
      } catch (e) {
        evm.log("media player play failed!");
      }
      return me;
    },
    pause: function () {
      var me = this;
      try {
        media.AV.pause();
        evm.log("media player pause success!");
      } catch (e) {
        evm.log("media player pause failed!");
      }
      return me;
    },
    resume: function () {
      var me = this;
      try {
        media.AV.resume();
        evm.log("media player resume success!");
      } catch (e) {
        evm.log("media player resume failed!");
      }
      return me;
    },
    stop: function () {
      var me = this;
      try {
        media.AV.stop();
        media.AV.close();
        evm.log("media player stop success!");
      } catch (e) {
        evm.log("media player stop failed!");
      }
      return me;
    },
    exit: function () {
      /* stop and destroy player instance(guangdong) */
      var me = this;
      me.stop();
      me.unbindPlayerInstance();
      return me;
    },
    fullscreen: function () {
      var me = this;
      try {
        me.setPosition(0, 0, 1280, 720);
        evm.log("media player set fullscreen success!");
      } catch (e) {
        evm.log("media player set fullscreen failed!");
      }
      return me;
    },
    setPosition: function (left, top, width, height) {
      var me = this;
      try {
        media.video.setPosition(left, top, width, height);
        evm.log("media player set windowed success!");
      } catch (e) {
        evm.log("media player set windowed failed!");
      }
      return me;
    },
    setPace: function (_rate) {
      var me = this;
      try {
        evm.log("media player set rate success!");
      } catch (e) {
        evm.log("media player set rate failed!");
      }
      return me;
    },
    seek: function (_seekTime) {
      var me = this;
      try {
        evm.log("media player seek time success!");
      } catch (e) {
        evm.log("media player seek time failed!");
      }
      return me;
    },
    forward: function (_rate) {
      var me = this;
      try {
        evm.log("media player quick forward: " + _rate);
      } catch (e) {
        evm.log("media player set forward failed!");
      }
      return me;
    },
    backward: function (_rate) {
      var me = this;
      try {
        evm.log("media player quick backward " + _rate);
      } catch (e) {
        evm.log("media player set backward failed!");
      }
      return me;
    },
    getCurrentTime: function () {
      // 获取视频当前播放时间
      var me = this,
        currentTime = 0;
      try {
      } catch (e) {
        evm.log("cannot get current play time!");
      }
      return currentTime;
    },
    getDuration: function () {
      // 获取视频时长
      var me = this,
        totalTime = 0;
      try {
      } catch (e) {
        evm.log("cannot get total time!");
      }
      return totalTime;
    },
    saveMpInstance: function () {
      var me = this;
      evm.cookie("mpInstance", me.mpInstanceId);
      return me;
    },
    // volume
    getVolume: function () {
      var me = this,
        vol;
      try {
        vol = media.sound.value;
      } catch (e) {
        evm.log("getet current volume value failed");
      }
      return vol;
    },
    setVolume: function (value) {
      var me = this;
      try {
        me.CURRENT_VOLUME = value;
        media.sound.value = Math.ceil(value);
        evm.log("set volume value:" + Math.ceil(value));
      } catch (e) {
        evm.log("set volume value failed");
      }
      return me;
    },
    volumeUp: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME + me.STEP;
      var vol = currentVolume > me.MAX_VOLUME ? me.MAX_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      return me;
    },
    volumeDown: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME - me.STEP;
      var vol = currentVolume < me.MIN_VOLUME ? me.MIN_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      return me;
    },
    mute: function () {
      var me = this;
      me.isMute = true;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        media.sound.mute();
      } catch (e) {
        evm.log("set audio mute failed");
      }
      return me;
    },
    unMute: function () {
      var me = this;
      me.isMute = false;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        media.sound.unMute();
      } catch (e) {
        evm.log("set audio unmute failed");
      }
      return me;
    },
    systemEventHandler: function (evt) {
      var code = evt.which,
        me = evm_media;
      Log("===code2:" + code);
      switch (code) {
        case 5202:
          me.play();
          return 0;
          break;
        case 5210:
          return 0;
          break;
      }
    },
  },
  guangxi_stb_player: {
    mp: null,
    mpInstanceId: "",
    MAX_VOLUME: 32,
    MIN_VOLUME: 0,
    CURRENT_VOLUME: 16,
    STEP: 1,
    exchangeMaxVol: 16,
    isMute: false,
    currentPlaySource: "",
    init: function () {
      var me = this;
      me.STEP = me.MAX_VOLUME / me.exchangeMaxVol;
      me.CURRENT_VOLUME = me.getVolume() || me.MAX_VOLUME / 2;
      var vol = Math.round(me.CURRENT_VOLUME / me.STEP) * me.STEP;
      me.setVolume(vol);
      return me;
    },
    destoryInstance: function () {
      var me = this;
      try {
        me.mp = null;
        me.mpInstanceId = "";
        evm.log("播放器解绑");
      } catch (e) {}
      return me;
    },
    setSource: function (address, token, extension, isVideo) {
      var me = this;
      me.trimSource(address, token, extension, isVideo);
      try {
        iPanel.setGlobalVar("VOD_CTRL_ENABLE_MENU", 0);
        me.isMute = false;
        iPanel.setGlobalVar("VOD_CTRL_URL", me.currentPlaySource);
        evm.log("source:" + me.currentPlaySource);
        me.play();
      } catch (e) {}
      return me;
    },
    // 处理播放字符串
    trimSource: function (address, token, extension, isVideo) {
      var me = this;
      if (arguments.length > 1) {
        me.currentPlaySource = address + "/" + token + extension + "&";
        if (isVideo) {
          me.currentPlaySource = address + token + extension;
          me.currentPlaySource = me.currentPlaySource.replace(".vts", ".ts");
        }
        if (isVideo == 2) {
          me.currentPlaySource = address + "/" + token + extension;
        }
      } else {
        me.currentPlaySource = address;
      }
      return me;
    },
    play: function () {
      var me = this;
      try {
        iPanel.setGlobalVar("VOD_CTRL_PLAY", 1);
        me.unMute();
      } catch (e) {}
      return me;
    },
    pause: function () {
      var me = this;
      try {
        iPanel.setGlobalVar("VOD_CTRL_PAUSE", 1);
      } catch (e) {}
      return me;
    },
    resume: function () {
      var me = this;
      try {
        iPanel.setGlobalVar("VOD_CTRL_PLAY", 1);
      } catch (e) {}
      return me;
    },
    stop: function () {
      var me = this;
      try {
        iPanel.setGlobalVar("VOD_CTRL_STOP", 1);
      } catch (e) {}
      return me;
    },
    fullscreen: function () {
      var me = this;
      try {
        me.setPosition(0, 0, 1280, 720);
      } catch (e) {}
      evm.log("media player fullscreen!");
      return me;
    },
    setPosition: function (left, top, width, height) {
      var me = this;
      try {
        iPanel.setGlobalVar(
          "VOD_CTRL_LOCATION",
          "x=" + left + "&y=" + top + "&w=" + width + "&h=" + height
        );
      } catch (e) {}
      return me;
    },
    setPace: function (_rate) {
      var me = this;
      try {
      } catch (e) {}
      return me;
    },
    seek: function (_seekTime) {
      var me = this;
      try {
        var ret = iPanel.setGlobalVar("VOD_CTRL_SEEK_TIME", _seekTime);
        evm.log("seek ret:" + ret);
      } catch (e) {}
    },
    forward: function (_rate) {
      var me = this;
      try {
        iPanel.setGlobalVar("VOD_CTRL_SEEK", "1");
      } catch (e) {}
      return me;
    },
    backward: function (_rate) {
      var me = this;
      try {
        iPanel.setGlobalVar("VOD_CTRL_SEEK", "-1");
      } catch (e) {}
      return me;
    },
    getCurrentTime: function () {
      // 获取视频当前播放时间
      var me = this;
      try {
        //var x = parseInt(iPanel.getGlobalVar("VOD_PLAYED_POS"), 10);
        //evm.log("ct:" + x);
        //return x;
      } catch (e) {}
      return "";
    },
    getDuration: function () {
      // 获取视频时长
      var me = this;
      try {
        //var x = parseInt(iPanel.getGlobalVar("VOD_FILM_TIME"), 10);
        //evm.log("tt:" + x);
        //return x;
      } catch (e) {}
      return "";
    },
    saveMpInstance: function () {
      var me = this;
      evm.cookie("mpInstance", me.mpInstanceId);
      return me;
    },
    // volume
    getVolume: function () {
      var me = this,
        vol;
      try {
        vol = iPanel.getGlobalVar("VOLUME_GET_VOLUME");
        evm.log("getvol:" + vol);
      } catch (e) {}
      return vol;
    },
    setVolume: function (value) {
      var me = this;
      try {
        me.CURRENT_VOLUME = value;
        iPanel.setGlobalVar("VOLUME_SET_VOLUME", Math.ceil(value));
        evm.log("set volume value:" + Math.ceil(value));
      } catch (e) {}
      return me;
    },
    volumeUp: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }

      var currentVolume = me.CURRENT_VOLUME + me.STEP;
      var vol = currentVolume > me.MAX_VOLUME ? me.MAX_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      return me;
    },
    volumeDown: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME - me.STEP;
      var vol = currentVolume < me.MIN_VOLUME ? me.MIN_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      return me;
    },
    mute: function () {
      var me = this;
      me.isMute = true;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        iPanel.setGlobalVar("VOLUME_MUTE", 1);
      } catch (e) {}
      return me;
    },
    unMute: function () {
      var me = this;
      me.isMute = false;
      try {
        paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      } catch (e) {
        evm.log(e);
      }
      showVolUI();
      delayHideVolUI();
      try {
        iPanel.setGlobalVar("VOLUME_MUTE", -1);
      } catch (e) {
        evm.log(e);
      }
      return me;
    },
    systemEventHandler: function (evt) {
      var code = evt.which,
        me = evm_media;
      Log("===code3:" + code);
    },
  },
  guangdong_stb_player: {},
  henan_stb_player: {},
  gansu_stb_player: {},
  heibei_stb_player: {},
  puer_stb_player: {},
  yuxi_stb_player: {},
  shandong_stb_player: {},
  liaoning_stb_player: {},
  jilin_stb_player: {},
  shangyu_stb_player: {},
  evm_apk_stb_player: {
    mp: null,
    mpInstanceId: "",
    MAX_VOLUME: 100,
    MIN_VOLUME: 0,
    CURRENT_VOLUME: 16,
    STEP: 1,
    exchangeMaxVol: 16,
    isMute: false,
    currentPlaySource: "",
    init: function () {
      var me = this;
      me.STEP = me.MAX_VOLUME / me.exchangeMaxVol;
      me.CURRENT_VOLUME = me.getVolume() || me.MAX_VOLUME / 2;
      var vol = Math.round(me.CURRENT_VOLUME / me.STEP) * me.STEP;
      me.setVolume(vol);
      return me;
    },
    destoryInstance: function () {},
    setSource: function (address, token, extension, isVideo) {
      var me = this;
      me.trimSource(address, token, extension, isVideo);
      try {
        me.play();
      } catch (e) {}
      return me;
    },
    // 处理播放字符串
    trimSource: function (address, token, extension, isVideo) {
      var me = this;
      if (token) {
        if (isVideo && isVideo == 2) {
          me.currentPlaySource =
            "http://" + location.host + "/media/media/EVMTV_" + token + ".vts";
          //me.currentPlaySource = address + '/media/media/EVMTV_' + token +'.vts';
          //me.currentPlaySource = me.currentPlaySource.replace(/rtsp/g, 'http');
        } else {
          me.currentPlaySource = address + "/" + token + extension;
        }
      } else {
        me.currentPlaySource = address;
      }
      return me;
    },
    play: function () {
      var me = this;
      try {
        evm.log("source:" + me.currentPlaySource);
        media.play(me.currentPlaySource);
        evm.log("media player start playing success!");
      } catch (e) {
        evm.log("media player play failed!");
      }
      return me;
    },
    pause: function () {
      var me = this;
      try {
        media.pause();
        evm.log("media player pause success!");
      } catch (e) {
        evm.log("media player pause failed!");
      }
      return me;
    },
    resume: function () {
      var me = this;
      try {
        media.resume();
        evm.log("media player resume success!");
      } catch (e) {
        evm.log("media player resume failed!");
      }
      return me;
    },
    stop: function () {
      /* stop but not destroy player instance */
      var me = this;
      try {
        media.stop();
        evm.log("media player stop success!");
      } catch (e) {
        evm.log("media player stop failed!");
      }
      return me;
    },
    exit: function () {
      /* stop and destroy player instance(guangdong) */
      var me = this;
      me.stop();
      //me.unbindPlayerInstance();
      return me;
    },
    fullscreen: function () {
      var me = this;
      try {
        me.setPosition(0, 0, 1280, 720);
        evm.log("media player set fullscreen success!");
      } catch (e) {
        evm.log("media player set fullscreen failed!");
      }
      return me;
    },
    setPosition: function (left, top, width, height) {
      var me = this;
      try {
        media.setPosition(left, top, width, height);
        evm.log("media player set windowed success!");
      } catch (e) {
        evm.log("media player set windowed failed!");
      }
      return me;
    },
    setPace: function (_rate) {
      var me = this;
      return me;
    },
    seek: function (_seekTime) {
      var me = this;
      try {
        evm.log("media player seek time success!");
      } catch (e) {
        evm.log("media player seek time failed!");
      }
      return me;
    },
    forward: function (_rate) {
      /* rate > 0 */
      var me = this;
      try {
        media.seekUp();
        evm.log("media player quick forward: ");
      } catch (e) {
        evm.log("media player set forward failed!");
      }
      return me;
    },
    backward: function (_rate) {
      /* rate < 0 */
      var me = this;
      try {
        media.seekDown();
        evm.log("media player quick backward");
      } catch (e) {
        evm.log("media player set backward failed!");
      }
      return me;
    },
    getCurrentTime: function () {
      // 获取视频当前播放时间
      var me = this,
        currentTime = 0;
      try {
        //currentTime = EVM.getTime();
      } catch (e) {
        evm.log("cannot get current play time!");
      }
      return currentTime;
    },
    getDuration: function () {
      // 获取视频时长
      var me = this,
        totalTime = 0;
      try {
        //totalTime = EVM.getTotalTime();
      } catch (e) {
        evm.log("cannot get total time!");
      }
      return totalTime;
    },
    // tools
    saveMpInstance: function () {
      var me = this;
      evm.cookie("mpInstance", me.mpInstanceId);
      return me;
    },
    // volume
    getVolume: function () {
      var me = this,
        vol;
      try {
        vol = media.getVolume();
      } catch (e) {
        evm.log("getet current volume value failed");
      }
      return vol;
    },
    setVolume: function (value) {
      var me = this;
      try {
        me.CURRENT_VOLUME = value;
        media.setVolume(Math.ceil(value));
        evm.log("set volume value:" + Math.ceil(value));
      } catch (e) {
        evm.log("set volume value failed");
      }
      return me;
    },
    volumeUp: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME + me.STEP;
      var vol = currentVolume > me.MAX_VOLUME ? me.MAX_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      return me;
    },
    volumeDown: function () {
      var me = this;
      if (me.isMute) {
        me.isMute = false;
      }
      var currentVolume = me.CURRENT_VOLUME - me.STEP;
      var vol = currentVolume < me.MIN_VOLUME ? me.MIN_VOLUME : currentVolume;
      me.setVolume(vol);
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      return me;
    },
    mute: function () {
      var me = this;
      me.isMute = true;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        media.mute();
      } catch (e) {
        evm.log("set audio mute failed");
      }
      return me;
    },
    unMute: function () {
      var me = this;
      me.isMute = false;
      paintVol(me.CURRENT_VOLUME, me.MAX_VOLUME);
      showVolUI();
      delayHideVolUI();
      try {
        media.unMute();
      } catch (e) {
        evm.log("set audio unmute failed");
      }
      return me;
    },
    systemEventHandler: function (evt) {
      var code = evt.which,
        me = evm_media;
      // Log("===code4:" + code);
      switch (code) {
        case 13001:
          me.play();
          Log("systemEventCode: " + code + ", msg: MSG_MEDIA_URL_VALID");
          return 0;
          break;
      }
    },
  },
};

function volumeBarInit() {
  var volPanel = evm.createElem("div", {
      id: "volPanel",
      style:
        "position:absolute;font-size:26px;display:none;top:260px;left:540px;width:200px;height:200px;background:transparent",
    }),
    volPanelBg = evm.createElem("img", {
      id: "volPanelBg",
      style: "position:absolute;top:0;left:0;width:100%;height:100%",
    });
  volPanelBg.src = "/images/volume/volPanelBg.png";
  volName = evm.createElem("div", {
    id: "volName",
    style:
      "position:absolute;top:10px;left:10px;width:180px;height:25px;line-height:25px;text-align:center;color:#FFF",
  });
  volIcon = evm.createElem("img", {
    id: "volIcon",
    style: "position:absolute;top:55px;left:50px;width:100px;height:100px",
  });
  volIcon.src = "/images/volume/vol_on.png";
  volCellBox = evm.createElem("div", {
    id: "volCellBox",
    style:
      "position:absolute;top:175px;left:5px;width:190px;height:12px;overflow:hidden",
  });
  volCellBoxBg = evm.createElem("img", {
    id: "volCellBoxBg",
    style: "position:absolute;top:-1px;left:0;width:100%;height:13px",
  });
  volCellBoxBg.src = "/images/volume/vol_box_bg.png";
  volCellBox.appendChild(volCellBoxBg);
  volMute = evm.createElem("div", {
    id: "volMute",
    style:
      "position:absolute;display:none;top:165px;left:10px;width:180px;height:25px;line-height:25px;text-align:center;color:#FFF",
  });
  evm.html(volName, "音量");
  evm.html(volMute, "静音");
  volPanel.appendChild(volPanelBg);
  volPanel.appendChild(volName);
  volPanel.appendChild(volIcon);
  volPanel.appendChild(volCellBox);
  volPanel.appendChild(volMute);
  for (var i = 0; i < evm_media.exchangeMaxVol; i++) {
    var volCell = evm.createElem("img", {
      id: "volCell" + (i + 1),
      style:
        "position:absolute;top:2px;left:" +
        i * 12 +
        "px;width:10px;height:8px;border-radius:2px",
    });
    volCell.src = "/images/volume/vol_cell.png";
    volCellBox.appendChild(volCell);
  }
  document.body.appendChild(volPanel);
  paintVol(evm_media.CURRENT_VOLUME, evm_media.MAX_VOLUME);
}

function paintVol(vol, maxVol) {
  var number = parseInt((vol / maxVol) * evm_media.exchangeMaxVol);
  if (vol == 0 || evm_media.isMute) {
    evm.$("volIcon").src = "/images/volume/vol_off.png";
    evm.css(evm.$("volCellBox"), {
      display: "none",
    });
    evm.css(evm.$("volMute"), {
      display: "block",
    });
  } else {
    evm.$("volIcon").src = "/images/volume/vol_on.png";
    evm.css(evm.$("volCellBox"), {
      display: "block",
    });
    evm.css(evm.$("volMute"), {
      display: "none",
    });
    for (var i = 0; i < evm_media.exchangeMaxVol; i++) {
      if (i < number) {
        evm.css(evm.$("volCell" + (i + 1)), {
          display: "block",
        });
      } else {
        evm.css(evm.$("volCell" + (i + 1)), {
          display: "none",
        });
      }
    }
  }
}

var volTimer = null,
  volDelay = 8000;

function showVolUI() {
  clearTimeout(volTimer);
  evm.css(evm.$("volPanel"), {
    display: "block",
  });
}

function delayHideVolUI() {
  volTimer = setTimeout(function () {
    evm.css(evm.$("volPanel"), {
      display: "none",
    });
  }, volDelay);
}

if (evm.stbInfo.stb) {
  var evm_media = STB_PLAYERS[evm.stbInfo.stb + "_stb_player"].init();
  volumeBarInit();
} else {
  var evm_media = {
    setSource: function (addr, token, ext) {
      evm.log(addr + "/" + token + ext ? "/" + ext : "");
    },
    fullscreen: function () {},
    pause: function () {},
    resume: function () {},
    stop: function () {},
    volumeUp: function () {},
    volumeDown: function () {},
    mute: function () {},
    unMute: function () {},
    getDuration: function () {},
    getCurrentTime: function () {},
    seek: function () {},
  };
}
