/*
 * created: 2018-11-19
 * 配置项初始化evm.globalConfig: <GlobalConfigObject>
 * class GlobalConfigObject {
 *   debug: boolean; // true模拟数据
 *   is_android: boolean; // true安卓机顶盒
 *.  is_board: boolean; // true是村委stb
 *   cms_server: string; // http://192.168.0.3:8080
 *   ums_server: string;
 *   auth_power: number;  // 0未开通 1已开通
 *   unauth_page_url: string; // 未开通业务提示页地址
 *.  bridge_switch: boolean; // true启用php中转
 *   bridge_php: string;
 *   mac_code: string; // stb标示符
 * }
 */


if (!evm) {
    throw new Error('depended on evm-1.0.1.min.js');
}

evm.namespace('globalConfig');

var is_evm_apk = false;

evm.addStbUAExpression({
    expression:/ipanel|enrich/,
    stb:'ipanel_sichuan',
    browser:'stb'
});

evm.importKeyCode( {
    stb : "ipanel_sichuan",
    keymap : {
        13 : "SELECT",
        37 : "LEFT",
        38 : "UP",
        39 : "RIGHT",
        40 : "DOWN",
        8  : "BACK",
        1097 : "MUTE",
        1063 : "PAGE_UP",
        1064: "PAGE_DOWN",
        1095: "VOL_UP",
        1096: "VOL_DOWN",
        412: "FAST_FORWARD",
        417: "REWIND",
        1045: "PLAY",
        19: "PAUSE",
        1043: "STOP",
        1046: "RECORD"
    }
});

evm.addStbUAExpression({
    expression:/android/,
    stb:'evm_apk',
    browser:'stb'
});

evm.importKeyCode( {
    stb : "evm_apk",
    keymap : {
        13 : "SELECT",
        37 : "LEFT",
        38 : "UP",
        39 : "RIGHT",
        40 : "DOWN",
        67 : "MUTE",
        33 : "PAGE_UP",
        34 : "PAGE_DOWN",
        8  : "BACK"
    }
});

evm.getStbInfo();

if ( evm.stbInfo.stb === 'evm_apk' ) {
    evm.globalConfig.is_android = true;
    is_evm_apk = true;
}

var SERVER = /^10./.test(location.host) ? 'http://10.102.1.19:8080' : 'http://60.255.71.30:19003';
// var SERVER = /^10./.test(location.host) ? 'http://10.102.3.6:8080' : 'http://192.168.0.6:8080';
// var SERVER = 'http://10.102.3.200:8080';


evm.extend(evm.globalConfig, {
    debug: false,
    is_android: false,
    is_board: true,
    cms_server: SERVER, // 四川 10.102.1.19
    cms_keyword: '\/EMSP_CMS',
    lms_server: '',
    aums_server: SERVER, // 四川
    ums_server: SERVER,
    csm_server: SERVER,
    cpns_server: SERVER,
    easydms_server: SERVER,
    siteId: 41,
    host: location.hostname,
    protocol: location.protocol,
    tomcat_port: '8080',
    tomcat_url: '',
    auth_power: 0,
    unauth_page_url: '',
    mac_code: '',
    area_stb_code: 6, // 用户查询对应机顶盒code
    live_stb_type: 0, // 直播中机顶盒对应code
    live_type: { // 直播类型
        all: 0,
        normal: 1,
        villiage: 2,
        town: 3
    },
    live_range: { // 直播列表获取的区域范围
        current: 0,
        upper: 1,
        down: 2
    },
    article_type: { // 文章列表获取的区域范围
        current: '',
        upper: 1,
        down: 2
    },
    area_level: { // 文章列表获取的区域层级
        // 国、省/直辖市、市、区/县、乡/镇、村/社区、小组/小区
        country: 1,
        province: 2,
        city: 3,
        area: 4,
        town: 5,
        village: 6,
        group: 7
    },
    countTypeId: 20,
    videoTypeId: 19,
    bridge_switch: false,
    bridge_php: '../data/bridge.php',
    columns: {
        eyeOfHouse: {
            icon: '../images/familyCCTV/icon1.png',
            url: 'eyeofhouse.html'
        },
        xuelianggongcheng: {
            icon: '../images/familyCCTV/icon2.png',
            url: 'monitor.html'
        },
        farmerMarket: {
            icon: '../images/convenientService/icon1.png',
            url: 'convenientService.html?type=2'
        },
        hotline: {
            icon: '../images/convenientService/icon2.png',
            url: 'convenientService.html?type=3'
        },
        busSchedule: {
            icon: '../images/convenientService/icon3.png',
            url: 'convenientService.html?type=1'
        },
        calendar: {
            icon: '../images/convenientService/icon4.png',
            url: ''
        },
        liveChannel: {
            name: '频道直播',
            url: function() {
                var mainAppUrl = '';
                try{
                    mainAppUrl = GlobalVarManager.getItemStr("portal_url");
                } catch (e) {}
                return mainAppUrl;
            }
        },
        reviewChannel: {
            name: '频道回看',
            url: function() {
                var ismpip = evm.getUrl()['ismpip'] || 'http://10.102.0.47:9500/';
                // var ismpip = evm.getUrl()['ismpip'] || 'http://10.102.1.211:9500/';
                evm.log(ismpip);
                var _region = evm.globalConfig.getRegionCode();
                // var _region = 'i-510188_g-100001';
                // var url = ismpip + 'index.html?ismpip=' + ismpip + '&areaid=' + _region + '&liveplaymodel=1&app=vod&client_id=' + evm.globalConfig.mac_code + '&node_group_id=0&stb_id=1&routetag=&smart_card_id=' + evm.globalConfig.mac_code;
                var url = ismpip + 'index.html?app=vod&areaid=' + _region + '&liveplaymodel=1&node_group_id=0&stb_id=1&returnurl=' + location.href + '&ismpip=' + ismpip;
                // var url = ismpip + '/index.html?app=vod&areaid=i-510188_g-100001&returnurl=http://10.215.32.17/portal/bzportal/index.htm?ismpip=http://10.102.0.47:9500/&areaid=i-510188_g-100001&client_id=8280204437159751&routetag=';
                return url;
            }
        },
        myZone: {
            name: '我的空间',
            url: function() {
                return '';
            }
        },
        mobileTV: {
            name: '广电营业厅',
            url: function() {
                var ismpip = evm.getUrl()['ismpip'] || 'http://10.102.0.47:9500/';
                return 'http://10.215.78.31:9500/tvservice/index.html?ismpip=' + ismpip + '&return_url=' + location.href;
            }
        },
        myProfile: {
            iconOn: '../images/main/account-f.png',
            iconOff: '../images/main/account-a.png',
            name: '我的',
            url: function() {}
        }
    },
    getGlobalVar: function(sName) {
        var result = null;
        try {
            if (typeof (GlobalVarManager) != "undefined") {
                result = GlobalVarManager.getItemValue(sName);
                if (!isValid(result)) {
                    result = GlobalVarManager.getItemStr(sName);
                }
            } else if (typeof (iPanel) != "undefined") {
                result = iPanel.getGlobalVar(sName);
            } else if (typeof (Utility) != "undefined" && typeof Utility.getEnv == "function") { //coship
                result = Utility.getEnv(sName);
            } else {
                result = sessionStorage.getItem(sName);
            }
        } catch (e) {
            var aCookie = document.cookie.split("; ");
            for (var i = 0; i < aCookie.length; i++) {
                var aCrumb = aCookie[i].split("=");
                if (escape(sName) == aCrumb[0]) {
                    result = unescape(aCrumb[1]);
                    break;
                }
            }
        }
        return result;
    },
    getRegionCode: function () {
        var region = '';
        try {
            region = CAManager.regionCode;
        } catch (e) { }
        return region;
    },
    lt10: function ( num ) {
        if ( 10 > num ) {
            num = '0'+num;
        }
        return num;
    },
    findNth: function (str, char, num) {
        var x = str.indexOf(char);
        for(var i=0; i<num; i++) {
            x = str.indexOf(char, x + 1);
        }
        return x;
    },
    findLast: function(str, char) {
        var x = -1;
        while(str.indexOf(char, x + 1) >= 0) {
            x = str.indexOf(char, x + 1);
        }
        return x;
    },
    fetchTime: function (dateType, successCb) {
        var me = this, url = '../data/getTime.php';

        if (typeof dateType == 'string') {
            url = evm.createQuery(url, 'type', dateType);
        } else if (typeof dateType == 'function') {
            successCb = dateType;
        }

        if (url) {
            evm.ajax(url, function(resp){
                if (typeof successCb === 'function') {
                    successCb(resp);
                }
            });
        }
    },
    getStrRealLength: function(str) {
        var realLength = 0,
            len = str.length,
            charCode = -1;
        for (var i = 0; i < len; i++) {
            charCode = str.charCodeAt(i);
            if (charCode >= 0 && charCode <= 128) realLength += 1;
            else realLength += 2;
        }
        return realLength;
    },
    formatTime: function(duration) {
        var m = Math.floor(duration / 60),
            s = duration % 60;
        return this.lt10(m) + ':' + this.lt10(s);
    },
    getStrLimitLength: function(str, limit) {
        var realLength = 0,
            len = str.length,
            charCode = -1,
            retStr = str;
        for (var i = 0; i < len; i++) {
            charCode = str.charCodeAt(i);
            if (charCode >= 0 && charCode <= 128) {
                realLength += 1;
            } else {
                realLength += 2;
            }
            if (realLength >= limit) {
                retStr = str.substr(0, i + 1);
                break;
            }
        }
        return retStr;
    },
    getTerminalType: function (id, successCb, failureCb) {
        var me = this, url = '';
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/terminalType.json?t='+t;
            } else {
                t = new Date().getTime();
                url = '../data/terminalType.json?t='+t;
            }
        }
        if (url) {
            evm.ajax(url, function(resp){
                if (typeof successCb === 'function') {
                    successCb(resp);
                }
            });
        }
    },
    replaceCMSImageUrl: function (url) {
        var me = this;
        if (!url) {
            return '';
        } 
        if (me.CMSImagePattern.test(url)) {
            url = url.replace(/\/EMSP_CMS/, me.cms_server+me.cms_keyword);
        } else {
            url = url.replace(/\/EMSP_CMS/, ':'+me.tomcat_port+me.cms_keyword);
        }
        return url;
    },
    fetchSourceForNB: function(id, callback) {
        var url = '', t;
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/promoteCountryside.json?t='+t;
            } else {
                url = evm.globalConfig.aums_server+
                    '/ancms_server_interface/autoPageServlet/getAutoPageContent?columnId='+id+'&terminalIdentify=JDH';
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function(resp){
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    fetchColumnData: function(id, callback) {
        var url = '', t;
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/'+id+'.json?t='+t;
            } else {
                url = evm.globalConfig.aums_server+
                    '/ancms_server_interface/autoPageServlet/getAutoPageContent?columnId='+id+'&terminalIdentify=JDH';
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function(resp){
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    fetchColumnDataPhone: function (id, callback) {
        var url = '', t;
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/'+id+'.json?t='+t;
            } else {
                url = evm.globalConfig.aums_server+
                    '/ancms_server_interface/autoPageServlet/getAutoPageContent?columnId='+id+'&terminalIdentify=PHONE';
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function(resp){
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getCMSarticleByCId: function (columnId, areaId, areaType, callback, pageIndex, pageSize) {
        var url = '', t;
        if (columnId) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/'+columnId+'.json?t='+t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/articleList/getArticleList' + (columnId?('?columnId='+columnId):'') +
                    (areaId?((columnId?'&':'?')+'areaId='+areaId): '') +
                    (areaType?((columnId||areaId?'&':'?')+'areaType='+areaType):'') +
                    '&curPage=' + (pageIndex || 1)+'&pageSize='+(pageSize || 200);
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function( resp){
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getCMSarticleByCIdWithNumber: function(columnId, areaId, areaType, callback, pageIndex, pageSize) {
        var url = '', t;
        if (columnId) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/'+columnId+'.json?t='+t;
            } else {
                url = evm.globalConfig.aums_server +
                    '/ancms_server_interface/articleList/getArticleList' + (columnId?('?columnId='+columnId):'') +
                    (areaId?((columnId?'&':'?')+'areaId='+areaId): '') +
                    (areaType?((columnId||areaId?'&':'?')+'areaType='+areaType):'') +
                    '&curPage=' + (pageIndex || 1)+'&pageSize='+(pageSize || 200);
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function(resp){
                if(typeof resp == 'string') {
                    resp = eval("false||" + resp);
                }
                var ids = [];
                var a_d = resp.data && resp.data.articles;
                for(var i = 0;i<a_d.length;i++) {
                    ids.push(a_d[i].articleId);
                }
                ids = ids.join(',');
                evm.globalConfig.getTotalCntByCIds(evm.globalConfig.countTypeId, ids, function(data) {
                    if(typeof data == 'string') {
                        data = eval("false||" + data);
                    }
                    var d = data.data;
                    if(d) {
                        for(var i=0;i<resp.data.articles.length;i++) {
                            for(var j=0;j<d.length;j++) {
                                if(resp.data.articles[i].articleId == d[j].columnId) {
                                    resp.data.articles[i].totalCnt = d[j].totalCnt;
                                    break;
                                }
                            }
                        }
                    } else {
                        for(var i=0;i<resp.data.articles.length;i++) {
                            resp.data.articles[i].totalCnt = 0;
                        }
                    }
                    callback(resp);
                }) 
            });
        }
    },
    getCMSarticleContentById: function (id, callback) {
        var url = '', t;
        if (id) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/'+id+'.json?t='+t;
            } else {
                url = evm.globalConfig.aums_server+
                    '/ancms_server_interface/servlet/ArticleServlet?id='+id;
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function( resp){
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getHouseCameras: function(mac, callback) {
        var url = '', t;
        if (mac) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/homeCamera.json?t='+t;
            } else {
                url = evm.globalConfig.easydms_server+
                    '/easydms/inf/getIPCRelByTVN?caCard='+mac;
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function( resp){
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getPublicCameras: function(mac, callback) {
        var url = '', t;
        if (mac) {
            if (evm.globalConfig.debug) {
                t = new Date().getTime();
                url = '../data/publicCamera.json?t='+t;
            } else {
                url = evm.globalConfig.easydms_server+
                    '/easydms/inf/getPublicIPCList?caCard='+mac;
                if (evm.globalConfig.bridge_switch) {
                    url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
                }
            }
        }

        if (url) {
            evm.ajax(url, function( resp){
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getTotalCntByCIds: function (typeId, columnIds, callback) {
        var url = '', t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/vote.json?t='+t+'&typeId='+typeId+'&columnIds='+columnIds;
        } else {
            url = evm.globalConfig.aums_server+
                '/aums_vote_interface/vote/getTotalCntByCIds?typeId='+typeId+'&columnIds='+columnIds;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getAreaCount: function(level, callback) {
        var url = '', t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/managers.json?t='+t;
        } else {
            url = evm.globalConfig.aums_server +
                '/aums_server_interface/AreaServlet?actionType=countAreaByLevel&level=' + level;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
        
    },
    getAllManager: function(callback) {
        var url = '', t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/managers.json?t='+t;
        } else {
            url = evm.globalConfig.aums_server+
                '/aums_server_interface/user/getUserList?userType=0';
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getAllregisted: function(callback) {
        var url = '', t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/registed.json?t='+t;
        } else {
            url = evm.globalConfig.ums_server+
                '/ums_v3/countCustomNum';
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getAllArticle: function(siteId, callback) {
        var url = '', t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/registed.json?t='+t;
        } else {
            url = evm.globalConfig.aums_server+
                '/ancms_server_interface/articleList/getArticleCBwId?websiteId=' + siteId;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getAllLevelAreaId: function(areaId, upperLevel, lowerLevel, detail, callback) {
        var url = '', t;

        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/detailArea.json?t='+t;
        } else {
            url = evm.globalConfig.aums_server+
                '/aums_server_interface/AreaServlet?actionType=getAreaInfoById&regionId=' +
                areaId + '&upperLevel=' + (upperLevel || 1) + '&lowerLevel=' + (lowerLevel || 0)+
                '&needDetail=' + detail;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getClickNumber: function() {
        var url = '', t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/getClick.json?t='+t;
        } else {
            url = evm.globalConfig.aums_server+
                '/aums_vote_interface/vote/castVote?typeId='+typeId+'&columnId='+columnId+'&userId='+userId+'&point='+point;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    uploadClick: function() {},
    castVote: function (typeId, columnId, userId, point, callback) {
        var url = '', t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/castVote.json?t='+t+'&typeId='+typeId+'&columnId='+columnId+'&userId='+userId+'&point='+point;
        } else {
            url = evm.globalConfig.aums_server+
                '/aums_vote_interface/vote/castVote?typeId='+typeId+'&columnId='+columnId+'&userId='+userId+'&point='+point;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getLiveInfo: function (deviceId, deviceType, callback) {
        var url = '', t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/liveInfo.json?t='+t;
        } else {
            url = evm.globalConfig.aums_server+
                '/aums_server_interface/guest/getGuest?userId='+ deviceId + '&userType=' + deviceType;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    getCanWatchLiveVideos: function(userId, type, regionId, liveType, areaRange, upperLevel, lowerLevel, pageIndex, pageSize, callback) {
        var url = '', t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/liveRooms.json?t='+t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server+
                '/aums_server_interface/live/getMyWacthLive?userId='+ userId + '&terminalType=' + type +
                '&regionId=' + regionId + '&tm=' + t + '&identify=' + t +'&liveType=' + liveType +
                '&areaRange=' + areaRange + '&upperLevel=' + (upperLevel || 7) + '&lowerLevel=' + (lowerLevel || 7);
            if(!evm.isFunction(pageIndex)) {
                url += '&pageIndex=' + pageIndex + '&pageSize=' + pageSize;
            }
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function(resp) {
                if(evm.isFunction(pageIndex)) {
                    pageIndex(resp);
                }
                else {
                    callback(resp);
                }
            });
        }
    },
    getCanWatchRecordVideos: function(userId, type, areaId, pageNumber, pageSize, callback) {
        var url = '', t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/recordVideos.json?t='+t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server+
                '/aums_terminal_interface/shortVideo/getViewableShortVideoList?userId=' + userId +
                '&userType=' + type + '&areaId=' + areaId + '&tm=' + t + '&identify=' + t + '&isStb=1';
            if(!evm.isFunction(pageNumber)) {
                url += '&pageNum=' + pageNumber + '&pageSize=' + pageSize;
            } else {
                url += '&pageNum=1&pageSize=180';
            }
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function(resp) {
                if(evm.isFunction(pageNumber)) {
                    pageNumber(resp);
                }
                else {
                    callback(resp);
                }
            });
        }
    },
    getCanWatchRecordVideosWithNumber: function(userId, type, areaId, pageNumber, pageSize, callback) {
        var url = '', t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/recordVideos.json?t='+t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server+
                '/aums_terminal_interface/shortVideo/getViewableShortVideoList?userId=' + userId +
                '&userType=' + type + '&areaId=' + areaId + '&tm=' + t + '&identify=' + t + '&isStb=1';
            if(!evm.isFunction(pageNumber)) {
                url += '&pageNum=' + pageNumber + '&pageSize=' + pageSize;
            } else {
                url += '&pageNum=1&pageSize=180';
            }
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function(resp) {
                if(typeof resp == 'string') {
                    resp = eval('false||' + resp);
                }
                var v_d = resp && resp.data;
                var ids = [];
                for(var i=0;i<v_d.length;i++) {
                    ids.push(v_d[i].id);
                }
                ids = ids.join(',');
                evm.globalConfig.getTotalCntByCIds(evm.globalConfig.videoTypeId, ids, function(data) {
                    if(typeof data == 'string') {
                        data = eval("false||" + data);
                    }
                    var d = data.data;
                    if(d) {
                        for(var i=0;i<resp.data.length;i++) {
                            for(var j=0;j<d.length;j++) {
                                if(resp.data[i].id == d[j].columnId) {
                                    resp.data[i].totalCnt = d[j].totalCnt;
                                    break;
                                }
                            }
                        }
                    } else {
                        for(var i=0;i<resp.data.length;i++) {
                            resp.data[i].totalCnt = 0;
                        }
                    }
                    if(evm.isFunction(pageNumber)) {
                        pageNumber(resp);
                    }
                    else {
                        callback(resp);
                    }
                });
            });
        }
    },
    getMultipleUserInfo: function(ids, callback) {
        var url = '', t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/multiUserInfo.json?t='+t;
        } else {
            url = evm.globalConfig.ums_server+
                '/ums_v3/getMultipleUserInfo?userIds=' + ids;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }

        if (url) {
            evm.ajax(url, function( resp){
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    joinLiveRoom: function(userId, regionId, type, roomId, callback) {
        var url = '', t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/joinRooms.json?t='+t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server+
                '/aums_server_interface/live/joinLive?guestId='+ userId + '&guestAreaId=' + regionId + '&guestType='
                + type + '&roomId=' + roomId;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    leaveLiveRoom: function(userId, roomId, type, id, callback) {
        var url = '', t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/joinRooms.json?t='+t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server+
                '/aums_server_interface/live/leftLive?guestId=' + userId + '&roomId=' + roomId + '&guestType=' + type +'&id=' + id;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    },
    statusLiveRoom: function(roomId, detail, callback) {
        var url = '', t;
        if (evm.globalConfig.debug) {
            t = new Date().getTime();
            url = '../data/roomStatus.json?t='+t;
        } else {
            t = new Date().getTime();
            url = evm.globalConfig.aums_server+
                '/aums_server_interface/live/getLiveRoomStatus?roomId=' + roomId + '&GuestDetail=' + detail;
            if (evm.globalConfig.bridge_switch) {
                url = evm.createQuery(evm.globalConfig.bridge_php, 'url', url);
            }
        }
        if (url) {
            evm.ajax(url, function(resp) {
                if (typeof callback === 'function') {
                    callback(resp);
                }
            });
        }
    }
});

if (!evm.globalConfig.tomcat_url) {
    evm.globalConfig.tomcat_url = evm.globalConfig.protocol+'//'+
        evm.globalConfig.host+':'+evm.globalConfig.tomcat_port;
}

if (!evm.globalConfig.cms_server) {
    evm.globalConfig.cms_server = evm.globalConfig.protocol+'//'+
        evm.globalConfig.host+':'+evm.globalConfig.tomcat_port;
}

evm.globalConfig.CMSImagePattern = new RegExp('^\/EMSP_CMS');
evm.globalConfig.CMSImagePatternContent = new RegExp('\/EMSP_CMS', 'g');

/* evm.isCrossOriginRequestSupported(evm.globalConfig.tomcat_url , function (resp) {
    evm.globalConfig.bridge_switch = !evm.crossOriginRequestSupported;
}); */

function Tipbox (_c) {
    function hander(_c){
        // 触发事件的默认方法
        try{
        }catch(E){}
    }
    if (evm.isNumber(_c.type)) {
        this.type = _c.type;
    } else {
        this.type = 2; //默认2个按钮
    }
    this.config = _c||{};
    this.activeIndex = 0;
    this.timer = -1;
    this.box_id = 'tipbox';
    this.box_elem = null;
    this.box_title_elem = null;
    this.box_msg_elem = null;
    this.box_button_confirm_img = null;
    this.box_button_cancel_img = null;
    this.x = 320;
    this.y = 140;
    this.buttonIcon = [
        {
            name:'confirm',
            focus:'../images/TipBox2/sure_button2.png',
            blur:'../images/TipBox2/sure_button.png'
        },
        {
            name:'cancel',
            focus:'../images/TipBox2/cancel_button2.png',
            blur:'../images/TipBox2/cancel_button.png'
        }
    ];

    this.onEvent  = _c&&_c.onEvent || hander;
}

evm.extend(Tipbox.prototype,{
    init: function (c) {
        var me = this;
        if ( !me.box_elem ) {
            me.box_elem = evm.$(me.box_id+me.type);
        }
        if ( !me.box_title_elem ) {
            me.box_title_elem = evm.$(me.box_id+me.type+'-title');
        }
        if ( !me.box_msg_elem ) {
            me.box_msg_elem = evm.$(me.box_id+me.type+'-msg');
        }
        if ( !me.box_button_confirm_img ) {
            me.box_button_confirm_img = evm.$(me.box_id+me.type+'-btn0');
        }
        if ( !me.box_button_cancel_img && me.type > 1 ) {
            me.box_button_cancel_img = evm.$(me.box_id+me.type+'-btn1');
        }

        if(c.title) {
            evm.html(me.box_title_elem, c.title);
        }
        if(c.msg) {
            evm.html(me.box_msg_elem, c.msg);
        }
        if(c.buttons && c.buttons.length > 0) {
            me.config.buttons = c.buttons;
            me.timer = setTimeout(function() {
                me.toggleFocus(me.activeIndex, 'focus');
                me.addListener();
            }, 40);
        } else {
            me.config.buttons = null;
            if(c.timeout > 0) {
                // 配置对象有超时时间
                me.timer = setTimeout(function() {
                    me.toggle('hide');
                    if(evm.isFunction(c.callback)) {
                        // 配置对象有回调函数
                        c.callback();
                    }
                }, c.timeout);
            }
            else{
                if(evm.isFunction(c.callback)) {
                    // 配置对象有回调函数
                    c.callback();
                }
            }
        }
        me.toggle('show');

    },
    toggle: function(d) {
        var me = this;

        evm.css( me.box_elem, {'display':(d==='show'?'block':'none')});
        if(d === 'hide') {
            if(me.config.buttons)
                me.removeListener();
        }
    },
    toggleFocus: function(n, d) {
        var me = this,
            elem = null;
        if(n === 0) {
            elem = me.box_button_confirm_img;
        } else{
            elem = me.box_button_cancel_img;
        }
        elem.src = me.buttonIcon[n][d];
    },
    moveTo: function(x, y) {
        var me = this;
        if(!evm.isNumber(x) || !evm.isNumber(y)) return false;
        evm.css(me.box_elem, {
            left: x+'px',
            top: y+'px'
        });
        return true;
    },
    move: function(_d) {
        var me = this,
            buttonNumber = me.config.buttons.length;
        if(_d === 'LEFT') {
            if(me.activeIndex > 0) {
                me.toggleFocus(me.activeIndex, 'blur');
                me.activeIndex -= 1;
                me.toggleFocus(me.activeIndex, 'focus');
            }
        } else{
            if(me.activeIndex < buttonNumber-1) {
                me.toggleFocus(me.activeIndex, 'blur');
                me.activeIndex += 1;
                me.toggleFocus(me.activeIndex, 'focus');
            }
        }
        return me;
    },
    grabEvent: function(_v, _e) {
        var me = this,
            isBlock = 0,
            buttonNumber = me.config.buttons.length;

        switch(_e.alias) {
            case 'RIGHT':
            case 'LEFT':
                me.move(_e.alias);
                break;
            case 'SELECT':
                var cb = me.config.buttons[me.activeIndex].callback;
                if(evm.isFunction(cb)) {
                    cb();
                }
                me.toggleFocus(me.activeIndex, 'blur');
                me.toggle('hide');
                break;
            case 'BACK':
                isBlock = 1;
                break;
        }
        return isBlock;
    },
    addListener: function() {
        var me = this;
        evm.controller.subscribe({
            type: 0,
            method: 'add',
            callback: me.grabEvent,
            context: me
        });
    },
    removeListener: function() {
        var me = this;
        evm.controller.subscribe({
            type: 1,
            method: 'remove',
            callback: me.grabEvent,
            context: me
        });
    }
});

function getMacCode (resolvedCallback, rejectedCallback) {
    try {
        evm.globalConfig.mac_code = CAManager.cardSerialNumber;
    }catch(e) {
    }

    if (!evm.globalConfig.mac_code) {
        var param = evm.getUrl();
        if (param && param.mac) {
            evm.globalConfig.mac_code = param.mac;
        }
    }

    evm.globalConfig.mac_code = evm.globalConfig.mac_code.replace(/\s/g, "");

    if (evm.globalConfig.mac_code) {
        evm.log("macCode:"+evm.globalConfig.mac_code);
        if ( typeof resolvedCallback === 'function' ) {
            resolvedCallback();
        }
    } else {
        evm.log("未获取mac_code");
        if ( typeof rejectedCallback === 'function' ) {
            rejectedCallback();
        }
    }
}
